# Generated by Makefile. Do not edit.

commit b582d9684ebe11d2aa1217907a938927ec33e2ef
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Mar 27 09:26:33 2012 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 8ad2ab8ad2715b9eab804209a0843f5e898855d1
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Mar 27 12:06:08 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit d2bbf2606b1938b29a29218eca154d41f65f87e1
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Mon Mar 26 22:39:07 2012 +0300

    Updated Lithuanian translation

M	po/lt.po

commit 9fda27099c6d28e4bba5c139001f2ee74922cfe1
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Tue Mar 27 01:33:54 2012 +0900

    Updated Korean translation

M	po/ko.po

commit e96ccb521f3452d13e8620f27f85e8fd232ba339
Author: A S Alam <aalam@users.sf.net>
Date:   Mon Mar 26 17:20:42 2012 +0530

    update Punjabi Translation

M	po/pa.po

commit eabb701c03e8cc0777396e0bef672f1b42cddc99
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Mon Mar 26 14:35:09 2012 +0300

    [l10n] Updated Estonian translation

M	po/et.po

commit c87de57722d86c0e485f8d1b682c756f0aa08d4a
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Mar 26 17:10:25 2012 +0530

    Updated Gujarati Translations

M	po/gu.po

commit 03b33abc800a998a7bf8e0bd4e41fd89c0a52df0
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:   Mon Mar 26 02:48:25 2012 -0500

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit fd514f3a0924641a35da04e8eda7cb9e771e5c4e
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Mar 25 22:40:39 2012 +0200

    Updated Danish translation

M	po/da.po

commit b0002a14eaf86c356ad57f95fabf9d63675387c1
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Mar 25 19:20:35 2012 +0300

    Updated Bulgarian translation

M	po/bg.po

commit e973c3c0de099a280baef9812f26713b4bc816f5
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Mar 25 15:42:16 2012 +0300

    Updated Latvian translation.

M	po/lv.po

commit b5f73a8eab30ef31c54bcfcadf21e74f88cab61a
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sat Mar 24 18:54:34 2012 +0100

    Updated Swedish translation

M	po/sv.po

commit a4e7424673a953b9cbebb3f1a304af6f76085349
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sat Mar 24 20:42:09 2012 +0300

    Updated Belarusian translation.

M	po/be.po

commit 93e55397a84e991ed15ae1b268969f7063bd362f
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Mar 24 19:33:43 2012 +0200

    Updated Hebrew translation.

M	po/he.po

commit 781b9ad63a010c35d5966f14b4dfa4a186651afe
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sat Mar 24 14:44:19 2012 +0100

    Updated French translation

M	po/fr.po

commit 5f9ed61b66d37926414a61d99b01f077e44935e7
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Mar 24 12:03:37 2012 +0000

    Updated Portuguese translation

M	po/pt.po

commit 0350d658eb2a61c5fc4c1342b40ef9bb5cf2e1b9
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat Mar 24 12:09:28 2012 +0400

    Updated Russian translation

M	po/ru.po

commit 948e22af63d8eb6a77b82c818e3370e8c7978146
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Mar 24 09:07:20 2012 +0100

    Updated Czech translation

M	po/cs.po

commit fe204494b16c65270bbd18463cf42d97228cae3e
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sat Mar 24 09:59:50 2012 +0200

    Uploaded Ukranian

M	po/uk.po

commit 08ee76b9c58612c5db70b09927c962cea3afb14d
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sat Mar 24 01:41:31 2012 +0100

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 14a4c3670946bfd7523d14285b884a06efb1c4f2
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Mar 24 01:41:28 2012 +0100

    [l10n] Updated Catalan translation

M	po/ca.po

commit 09c54cea2b5bb1c105854fb835113497283cd12f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Mar 23 23:47:56 2012 +0100

    Updated Galician translations

M	po/gl.po

commit 2fd7d253a7a2354775d7849fb759a883f69ea207
Author: Djavan Fagundes <djavanf@gnome.org>
Date:   Wed Mar 21 05:50:58 2012 -0300

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 9868b819b0ad179292b1d516b49ef1941acf639b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Mar 23 18:45:29 2012 +0100

    Updated Slovenian translation

M	po/sl.po

commit a3244fd35d40fafcf1b475ed46b566d08c023f88
Author: Wylmer Wang <wantinghard@gmail.com>
Date:   Fri Mar 23 16:45:16 2012 +0000

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 8034e3b8c5e208be5f8cebe0f033f514f99c5d1f
Author: Sasi Bhushan <sasi@swecha.net>
Date:   Fri Mar 23 21:36:42 2012 +0530

    Udated Telugu Translations

M	po/te.po

commit 3ee8228955ffe90d68b9131dc49a00792e70b5a6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Mar 23 16:14:26 2012 +0100

    Updated Polish translation

M	po/pl.po

commit 1dcbc3f74300077bf2e87f34c093631b02c44a05
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Fri Mar 23 16:11:53 2012 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit d60fa6a1db29fb8fbce08a29e0aecf3273b60426
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Fri Mar 23 18:29:16 2012 +0530

    Assamese translation updated

M	po/as.po

commit d509dc6925e6fd9e0676c076b4331ae56cd9f66f
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Fri Mar 23 19:05:12 2012 +0700

    Updated Vietnamese translation

M	po/vi.po

commit eece89eafd7361d5edbfe9544917f429eafee4f4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Mar 23 11:09:49 2012 +0100

    Updated Spanish translation

M	po/es.po

commit 1313fbbcb1505b14d40b331a6949e11860852ba2
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Mar 19 20:22:19 2012 -0400

    manager: Fix compile warning
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672417

M	gnome-session/gsm-manager.c

commit ad6d425e99fe72658a7d0d7840d17a3c542729f4
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sat Mar 17 04:25:25 2012 -0400

    fail-whale: Don't use deprecated API
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672417

M	gnome-session/gsm-fail-whale-dialog.c

commit 5d4e07d6cf157dcc911e94b04c3d96000572b395
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Mar 9 13:47:49 2012 -0500

    shell-extensions: Don't show toggle switches for extensions
    
    The UI for extension toggle switches was never really thought out
    that well, and it looks awful. Remove it and replace it with code
    that simply disables all extensions.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671693

M	gnome-session/gsm-fail-whale-dialog.c
M	gnome-session/gsm-fail-whale-dialog.h
M	gnome-session/gsm-manager.c
M	gnome-session/gsm-shell-extensions.c
M	gnome-session/gsm-shell-extensions.h
M	gnome-session/main.c

commit c84706e9558811dab0c5f987e336ca3e8948b35d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 19 14:01:26 2012 +0100

    release: post-release bump to 3.4.0

M	configure.ac

commit 05f29cd81ccf6c38caef0b08d91e7cf89faf2b53
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 19 14:01:20 2012 +0100

    release: 3.3.92

M	NEWS
M	configure.ac

commit 8f26e275fd5dbfe9fd9749ffab548838c80a170b
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sun Mar 18 20:18:13 2012 +0400

    Fixed Russian translation

M	po/ru.po

commit 8282c0eda41f6453f7533aadd188ab132b19c0b9
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Mar 9 13:48:42 2012 -0500

    shell-extensions: Fix memory leak
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671693

M	gnome-session/gsm-shell-extensions.c

commit 4d3d4f67c6022d9f0d540a3f25f730b088288d92
Author: Ray Strode <rstrode@redhat.com>
Date:   Fri Mar 9 10:41:07 2012 -0500

    systemd: add better error reporting
    
    commit 079398edaa added better handling for systemd
    failing, but it used the wrong variable for reporting
    which message to give.
    
    This commit changes the code to use the right error
    variable.
    
    Spotted by Hans de Goede

M	gnome-session/gsm-systemd.c

commit 0cae82a7c1a9c5d2e4363603ecb957ddafe86b74
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Mon Mar 5 20:55:52 2012 +0530

    Assamese translation completed

M	po/as.po

commit 4cbae019d61c6e93adb0b4e56058a5180cb9ecf3
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Tue Feb 28 20:51:26 2012 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit ce300a61e584c0c93721bef8658a3494e44e8c80
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 22 15:10:32 2012 +0100

    build: Generate ChangeLog on make dist

M	Makefile.am

commit 97d6cd942b45981a0e2a1ec1a62684c612e5ef17
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 22 15:02:38 2012 +0100

    build: Update git.mk and ignore generated tarballs

M	Makefile.am
M	git.mk

commit af46c743edd5ae120a48a19f93285d63367d2dc3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 21 10:44:51 2012 +0100

    release: post-release bump to 3.3.91

M	configure.ac

commit 02ee9030061d1d20cd24891c085cc38ee67d9289
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 21 10:44:45 2012 +0100

    release: 3.3.90

M	NEWS

commit d78b71511f6fbf9a037422c7cf6645e4b0907bc7
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Feb 10 17:01:19 2012 -0500

    fix obvious typo

M	gnome-session/gsm-system.c

commit 14f124cb990c5a0612c94e105603fea8ec5338ff
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 9 23:32:23 2012 -0500

    Fix the GsmSystem type registration
    
    The third argument to G_DEFINE_INTERFACE is a prerequisite,
    so passing G_TYPE_INTERFACE there is not right. Instead pass
    G_TYPE_OBJECT.

M	gnome-session/gsm-system.c

commit b81a00bc2ba67ea73871c2efc0d08ea17b055305
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 7 08:26:21 2012 +0100

    release: post-release bump to 3.3.90

M	configure.ac

commit 270f8e1b951c6cc11bef77a36e8729f49e80b192
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 7 08:26:15 2012 +0100

    release: 3.3.5

M	NEWS
M	configure.ac

commit 5e5b6f93b50349ceec93865ce8868214466d164d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 15:50:06 2012 +0100

    build: Clarify configure output when systemd is used
    
    Explicitly mention that ConsoleKit will be used as fallback.

M	configure.ac

commit 079398edaa989b3356e253d23103965784bf51a6
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Jan 30 15:28:43 2012 -0500

    systemd: add better error handling
    
    My booted version of systemd didn't
    support sd_session_get_service() which
    lead to crashes.
    
    This commit makes it probably recover in
    that case.
    
    Related to bug 666891

M	gnome-session/gsm-systemd.c

commit 371d254a38ab04b9e88530c2eca5837293f90a97
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jan 24 18:21:31 2012 -0500

    Add a systemd implementation of GsmSystem
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666891

M	gnome-session/Makefile.am
M	gnome-session/gsm-system.c
A	gnome-session/gsm-systemd.c
A	gnome-session/gsm-systemd.h

commit 7e8dd200bdbf3c5c4ef25c55816f7ac2ed62616e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jan 24 18:17:20 2012 -0500

    Implement GsmSystem in GsmConsolekit
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666891

M	gnome-session/gsm-consolekit.c
M	gnome-session/gsm-consolekit.h

commit 62df42e33cef8b537f5cb6217d5fbc981492c2c9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jan 24 18:16:37 2012 -0500

    Use GsmSystem instead of GsmConsolekit
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666891

M	gnome-session/gsm-logout-dialog.c
M	gnome-session/gsm-manager.c
M	gnome-session/gsm-session-fill.c

commit 7082c67a6e31b19662bfe12a48710f408994a14b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jan 24 18:15:25 2012 -0500

    Add a GsmSystem interface
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666891

M	gnome-session/Makefile.am
A	gnome-session/gsm-system.c
A	gnome-session/gsm-system.h

commit 088bf40453bda3897aa76b924f9044151f5baaee
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jan 24 18:01:49 2012 -0500

    Add a --enable-systemd configure option
    
    This will be used in the subsequent commits to implement
    session tracking using systemd instead of ConsoleKit.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666891

M	configure.ac

commit f7dfc5ffea22635e19f363d0d147ed86dced5370
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jan 24 18:00:05 2012 -0500

    GsmConsolekit: make api more uniform
    
    gsm_consolekit_is_current_session_login was called out as
    'not like the others' in patch review, so change it
    to gsm_consolekit_is_login_session and give it a GsmConsolekit
    argument. Adjust all callers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666891

M	gnome-session/gsm-consolekit.c
M	gnome-session/gsm-consolekit.h
M	gnome-session/gsm-logout-dialog.c
M	gnome-session/gsm-manager.c
M	gnome-session/gsm-session-fill.c

commit 2b39cce7682ecb08e09a489c7c343b4400f2b3e1
Author: Hideki Yamane <henrich@debian.org>
Date:   Mon Jan 23 13:31:08 2012 +0900

    [l10n] Update Japanese translation

M	po/ja.po

commit 6aaf2ff522cffdf886faf4dfef8f0d881118c0c6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 4 19:47:43 2012 -0500

    gsm: Drop the unused property GsmConsoleKit::is-connected
    
    Nothing has ever used this property.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666891

M	gnome-session/gsm-consolekit.c

commit e3151d516dbf187b93eb19ea03a4fab27e4a07f8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 26 22:06:12 2011 -0500

    gsm: Don't export gsm_consolekit_get_current_session_type
    
    We already have gsm_consolekit_is_current_session_login to
    replace direct session type manipulation, so use it as the
    public API, and keep the session type private.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666891

M	gnome-session/gsm-consolekit.c
M	gnome-session/gsm-consolekit.h
M	gnome-session/gsm-logout-dialog.c

commit 5bf657e1327ccdd6068e3d7ececbe4818e767c1f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 26 22:40:24 2011 -0500

    gsm: Don't leak a reference to the GsmConsolekit singleton
    
    gsm_consolekit_get returns a new reference.

M	gnome-session/gsm-manager.c

commit 1a56c0ddc63dfd4607e432990ee0d18872284449
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Wed Jan 4 10:15:16 2012 +0200

    [l10n]Updated Turkish translation

M	po/tr.po

commit 0662a4b96973716eaa980c5915ce3be8d1df8a63
Author: Andreas N <gedemiti@gmail.com>
Date:   Mon Dec 26 17:04:53 2011 +0100

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit 9e8572719ab5fec69474cf43053351949abcac84
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 09:45:30 2011 +0100

    build: Create xz tarballs

M	configure.ac

commit fa00cce4ab51e09d11097fbf16be7188a3c537db
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 09:19:48 2011 +0100

    release: post-release bump to 3.3.4

M	configure.ac

commit 1da9a898e1a4d017334b62733c09d822502f9d31
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 09:19:41 2011 +0100

    release: 3.3.3

M	NEWS

commit 29eee98f67efded080f6fad238d63a13aadee92b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Dec 19 10:49:00 2011 +0100

    data: Add regexps to blacklist pre-r300 radeon
    
    I didn't get the regexp when asking for it, but Fedora has a patch with
    such a regexp... Since I don't know exactly how the renderer string is
    built, and I don't want regexp that are not strict, we use two regexps
    to make sure that something like "Mesa DRI R2000" would not be caught.

M	data/hardware-compatibility

commit 652a68fd484c0869955c41abe656787054fdab15
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 21 14:05:18 2011 +0100

    release: post-release bump to 3.3.3

M	configure.ac

commit be1ac0a5fe1675b625809ca0f5bf17753b7da71a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 21 14:05:07 2011 +0100

    release: 3.3.2

M	NEWS

commit 571db285cbb202954744231fc42327561d937cc8
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sun Nov 13 16:54:14 2011 +0100

    Updated Esperanto translation

M	po/eo.po

commit b7db5c55424a3ce0b0c4d24cb02862402a70ff29
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Oct 25 21:37:36 2011 +0200

    data: Fix regexp for Intel 830-865 hardware blacklisting

M	data/hardware-compatibility

commit 1080699b182000e1755a99dc01d9fbb55c6b711b
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Mon Oct 24 21:42:40 2011 +0300

    Updated Turkish translation

M	po/tr.po

commit 5c368cc14d3a1d1838a786a1dd9e6318f66948d2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 24 14:08:34 2011 +0200

    release: post-release bump to 3.3.2

M	configure.ac

commit 59539181a11375ed9438b4e8be71f95d9db95ba5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 24 14:08:28 2011 +0200

    release: 3.3.1

M	NEWS
M	configure.ac

commit cf55ec446f01ba5ed5e34edcef08de83f332d43f
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Mon Oct 24 01:30:59 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit 5762becdbb2a308647067e0e09617b3f91f0ac0e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 19 14:36:57 2011 +0200

    data: Blacklist Intel 830-865 hardware
    
    https://bugzilla.gnome.org/show_bug.cgi?id=644325

M	data/hardware-compatibility

commit 50b121a7737a13bde1195d1aea215ff8789f65fd
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 19 14:27:25 2011 +0200

    tools: Use whitelist/blacklist regexps when evaluating renderer
    
    The regexps are in a file that we also ship.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=644325

M	data/Makefile.am
A	data/hardware-compatibility
M	tools/Makefile.am
M	tools/gnome-session-check-accelerated-helper.c

commit a8ccac0ef5074229b562b90dc8dcf183c0440395
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 19 13:14:50 2011 +0200

    tools: Look at gnome.fallback argument in kernel boot line
    
    This is a quick way to let users easily force the fallback (or
    non-fallback mode) with gnome.fallback=0/1 on boot.

M	tools/gnome-session-check-accelerated-helper.c

commit 70ff3bb3cd07cefe61756239cc478aeabb5498ae
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Oct 16 15:20:57 2011 +0200

    release: post-release bump to 3.2.2

M	configure.ac

commit 6b44f19d78717e3be3522cc15448f75285095ff2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Oct 16 15:20:50 2011 +0200

    release: 3.2.1

M	NEWS

commit 8ac1644772f3fb87364b3a4a36af7c594fff8a9f
Author: Brian Cameron <brian.cameron@oracle.com>
Date:   Fri Oct 7 11:23:07 2011 +0200

    gsm: Fix crash on Solaris because of bad comparison
    
    https://bugzilla.gnome.org/show_bug.cgi?id=661088

M	gnome-session/gsm-shell-extensions.c

commit be627c10409129408e135925d5dd83ae2d554fa0
Author: Rodrigo Moya <rodrigo@gnome-db.org>
Date:   Thu Oct 6 12:11:09 2011 +0200

    gsm: Refuse to install an idle timeout of 0 seconds
    
    This was making gnome-screensaver fade and blank the screen as soon as you
    stopped moving the mouse/using the keyboard when the timeout is set to 0.
    
    https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/863038

M	gnome-session/gsm-presence.c

commit b453733edd7302246f26fcecb9f71ae7cffe7436
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Oct 1 20:23:53 2011 +1000

    Updated Vietnamese translation

M	po/vi.po

commit a4c70998e65cf344d1712e7ee9d5fa52f0f3eb97
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Oct 1 20:21:13 2011 +1000

    po/vi: import from Damned Lies

M	po/vi.po

commit 970df465ecc78df14174a82e4c02d272d890eaf6
Author: Tiffany Antopolski <tiffany.antopolski@gmail.com>
Date:   Fri Sep 30 18:07:01 2011 +0200

    Updated Esperanto translation

M	po/eo.po

commit 3a866bc6f4df218bfa8d4f5a90163ba70fe8d145
Author: Dexter Morgan <dmorganec@gmail.com>
Date:   Wed Sep 28 01:54:18 2011 +0200

    fix string format

M	gnome-session/gsm-manager.c

commit bd68c04cf4502e7c97ac79c6a73ff4c6da56317b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Mon Sep 26 23:03:57 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 90f21ed69a91fbd1b3b93416c412c7d6f8d492e7
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Mon Sep 26 14:25:06 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit b24f5444e8340d43da87ec261abd1880ccd27b0d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 26 11:08:30 2011 +0200

    release: post-release bump to 3.2.1

M	configure.ac

commit d320943f9b01e8d9ac769ab0f1d2f3365675b68b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 26 11:08:23 2011 +0200

    release: 3.2.0

M	NEWS

commit 776d900a8f1b05a05f109c997c3065906d9ed323
Author: Petr Kovar <pknbe@volny.cz>
Date:   Mon Sep 26 00:34:19 2011 +0200

    Update Czech translation

M	po/cs.po

commit 5089f724336bbc8e42d5ac9ee28f62e9fbe3aefd
Author: Andika Triwidada <andika@gmail.com>
Date:   Sun Sep 25 15:31:25 2011 +0700

    Updated Indonesian translation

M	po/id.po

commit 562edb76dd5a0b03e2a863c01487d9adf103fba1
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Sep 24 15:35:34 2011 +0300

    Updated Lithuanian translation

M	po/lt.po

commit 17fe833114174b48abb585907548e9a2e25c4961
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Fri Sep 23 18:06:58 2011 +0200

    Updated Basque language

M	po/eu.po

commit b07eadcb6c764ce70495e237693852009a4bb28d
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Fri Sep 23 16:49:30 2011 +0300

    Updated Finnish translation

M	po/fi.po

commit 511d613ea2db3aa1251b6559da22db300be4878c
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Fri Sep 23 05:14:48 2011 +0900

    Updated Korean translation

M	po/ko.po

commit 8f694f91716368248ef480763ad391475061b822
Author: ipraveen <mail2ipn@gmail.com>
Date:   Thu Sep 22 20:29:58 2011 +0530

    Updated Telugu Translation

M	po/te.po

commit a6f03095effa765ff6c9ea53e79ce07a4b921d22
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Thu Sep 22 12:28:14 2011 +0200

    Update Assamese translation

M	po/as.po

commit 2a67c61d4701b83a9f64b88f52f970fe2077c7c9
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Thu Sep 22 14:27:12 2011 +0530

    Updated Gujarati Translations

M	po/gu.po

commit 3c4d634bf9b27fc963ad2bd7b3b62f7ea3dcbe3b
Author: Flemming Christensen <fc@stromata.dk>
Date:   Wed Sep 21 09:33:48 2011 +0200

    Updated Danish translation

M	po/da.po

commit c2760029a4202c2f7a89d0084152d1c46111feb6
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Sep 21 03:25:57 2011 +0200

    Updated Hungarian translation

M	po/hu.po

commit 82f49c3d4878fd3199f63f01a9264378e4814aee
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Sep 20 21:52:43 2011 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit f762772d71c0c9bdf975a1adc6593aa715abd385
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Sep 20 15:24:15 2011 +0300

    Uploaded Ukranian

M	po/uk.po

commit 0844b198f95b6a41d8d3cd07e23c42f6ed312c24
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 19 23:43:45 2011 +0200

    release: post-release bump to 3.2.0

M	configure.ac

commit f11e9c917c498a455413a8d0fbb1d444d4c5edd8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 19 23:43:35 2011 +0200

    release: 3.1.92

M	NEWS

commit fd9fec86836a808570dc1d109b05819fbad56d25
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 19 23:33:37 2011 +0200

    gsm: Add gsm_consolekit_is_current_session_login() utility function
    
    We use the same code in different places, so let's use a function
    instead.

M	gnome-session/gsm-consolekit.c
M	gnome-session/gsm-consolekit.h
M	gnome-session/gsm-manager.c
M	gnome-session/gsm-session-fill.c

commit 6c86c7373fa9c068dc71c9422dbdc9da9d2d9684
Author: Joan Duran <jodufi@gmail.com>
Date:   Mon Sep 19 00:31:06 2011 +0200

    [l10n]Updated Catalan translation

M	po/ca.po

commit 35eb5a6ec68abff58acc05f24aaef7e1fa386fac
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Sep 18 19:14:57 2011 +0300

    Updated Belarusian translation (some fixes after manual testing).

M	po/be.po

commit a7b82b004daa5f89d176f7cb8ac9bec665949c0c
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Sep 18 15:27:30 2011 +0200

    [l10n] Updated German translation

M	po/de.po

commit d57f039c17c46e811a59cc4c9f05c71fab9180d4
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Sep 18 10:51:28 2011 +0300

    Updated Bulgarian translation

M	po/bg.po

commit 2b19cef70759ce1a4d4cef348fcfd976bd5cd332
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Sep 17 10:55:06 2011 +0200

    Updated Slovenian translation

M	po/sl.po

commit 4199397c39a1d2417702dfa7c82fe0805fc571dc
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   Sat Sep 17 14:06:27 2011 +0800

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 11c4a355102350d42043801fe59816be9403e6ac
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Sat Sep 17 12:09:36 2011 +0700

    Updated Thai translation.

M	po/th.po

commit a891df025b760dbd81008e58e14794bbace8d363
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sat Sep 17 13:09:32 2011 +0900

    Updated Japanese translation

M	po/ja.po

commit 8c053c18e032a5ccb17b96ec8a044baee4484aa1
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   Fri Sep 16 09:14:31 2011 -0400

    Updated Brazilian Portuguese translation.

M	po/pt_BR.po

commit 7562cf871adc840124ab96f635d85be63e35a518
Author: Anass Ahmed <anass.1430@gmail.com>
Date:   Fri Sep 16 13:46:39 2011 +0100

    Updated Arabic translation

M	po/ar.po

commit 53dc95eca70eeb26ff19fb16da8cce5370d5b90d
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Thu Sep 15 22:36:47 2011 +0200

    Updated Slovenian translation

M	po/sl.po

commit 8e1d51b15c3ab72a3d2863bac99f7b6628004dee
Author: dmustieles <daniel.mustieles@gmail.com>
Date:   Wed Sep 14 17:41:28 2011 +0200

    Updated Spanish translation

M	po/es.po

commit d3a308236b197171ebaea79e5c12e986e0c92173
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 13 09:30:08 2011 -0400

    GsmFailWhaleDialog: chain up in finalize
    
    Failure to do so leads to somewhat mysterious crashes that we
    don't want out of a session manager.

M	gnome-session/gsm-fail-whale-dialog.c

commit a11d6fe2b07524f061f8e9c6cda428906e9cb53e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 9 17:15:39 2011 -0400

    Fail whale: Don't offer logout on the login screen
    
    We already look at the session type in various places, so
    it is only natural to use the it here too.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658680

M	gnome-session/gsm-manager.c

commit f548342034cab6182ee91525a25896ed07134929
Author: Claude Paroz <claude@2xlibre.net>
Date:   Mon Sep 12 20:03:02 2011 +0200

    Updated French translation

M	po/fr.po

commit 9684c8072c0ca90d18fe8c6508bb57678be8668c
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Mon Sep 12 21:49:41 2011 +0530

    updated Tamil translation

M	po/ta.po

commit dba5f07e45c5761994616f567385d048be352b77
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Sep 11 21:52:49 2011 +0300

    Updated Latvian translation.

M	po/lv.po

commit b9cee0328f9328293aef5eb4ab90ae6f35a0aba4
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Sep 10 23:46:26 2011 +0100

    Updated Portuguese translation

M	po/pt.po

commit 714405e0dd73b7c5fe2218b90f26cc8a3e9695d7
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Fri Sep 9 13:02:39 2011 +0100

    Updated British English translation

M	po/en_GB.po

commit ca757c93fddec80a95257fd163f65e01c3ffcd5d
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Sep 9 13:22:16 2011 +0300

    Updated Hebrew translation.

M	po/he.po

commit 2c3b11458afd4066de5012391cd845d3694e64a7
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Sep 9 13:19:16 2011 +0300

    Updated Hebrew translation.

M	po/he.po

commit ae8fa537262d6bec9c7eaa5a963cba98ec4e2136
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Sep 9 09:54:14 2011 +0200

    gsm: Disconnect all dbus clients when dbus is disconnected
    
    When we receive the Disconnected signal from dbus on the session bus,
    then we know we won't be able to talk to dbus clients anymore, so mark
    them as disconnected. Also, do not restart them even if they're supposed
    to be autorestarted, as we won't be able to track them.
    
    At this point, the session is kind of hosed. We could possibly decide
    to simply leave, but we don't do it in case it's a user session and
    there's unsaved data.
    
    This helps a lot in the case of the gdm greeter, see
    https://bugzilla.gnome.org/show_bug.cgi?id=658481

M	gnome-session/gsm-manager.c

commit 67dd879fbe62bc28d3bbc48b88c3842e2cb827e8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Sep 9 09:51:54 2011 +0200

    gsm: Never mark as handled the Disconnected signal from dbus
    
    Disconnected is emitted when dbus is quitting. And all the dbus filters
    might be interested in this signal, so never mark it as handled when we
    look at it.

M	gnome-session/gsm-consolekit.c
M	gnome-session/gsm-shell.c

commit 81bff9b419e997294d57e50d08d634862902bb11
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Thu Sep 8 23:10:39 2011 +0200

    l10n: Updated Italian translation

M	po/it.po

commit 59572360db6dd4190a44e99b91870569aeaa3f72
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 8 22:25:25 2011 +0200

    Updated Polish translation

M	po/pl.po

commit 82f228b3072b98c9a69fa8e8954102cc48a46f7f
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Thu Sep 8 22:03:36 2011 +0200

    l10n: Updated Italian translation

M	po/it.po

commit 59242276e95ca9e6cdd2b99afe4279a9339efe67
Author: A S Alam <aalam@users.sf.net>
Date:   Thu Sep 8 21:58:01 2011 +0530

    update PunjabiTranslation

M	po/pa.po

commit 4c5da28a08dbcddf34490a264cba1f8ff48bd4d4
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Wed Sep 7 01:52:38 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit 74fcc90ad7dc64483d55e52a1507e824b97cbe71
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Tue Sep 6 23:26:44 2011 +0430

    Updated Persian translation

M	po/fa.po

commit 42918b4a0eaafb59654c1566f9b6715d22f256ea
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Sep 6 19:30:34 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 1e7c5373e8f006ba9823c07f4486da71ac0687f7
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Tue Sep 6 01:08:01 2011 +0200

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit ae7a42a8c5d6662c69dbfa76f992119125525944
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 5 09:02:29 2011 +0200

    release: post-release bump to 3.1.92

M	configure.ac

commit bfc54caa9967d35960b4246c9b3ce8d7014fea41
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 5 09:02:23 2011 +0200

    release: 3.1.91

M	NEWS

commit 2701a9ae583fa27d23902e6b5d006213bda5c461
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 4 17:15:37 2011 -0400

    Add a translator comment
    
    Requested in bug 658084.

M	gnome-session/main.c

commit cbd3ab515f553ca8cbbb6b4419d43e8efdd307a6
Author: Fran Dieguez <fran@openhost.es>
Date:   Sun Sep 4 19:59:39 2011 +0200

    Updated galician translations

M	po/gl.po

commit 2e69ba5e2f5ca5824b120afb34003134de8ec435
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Sep 2 21:19:08 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit bb34a9f279ad0f74a53a76f28609c4efb3be3f3b
Author: Daniel Nylander <po@danielnylander.se>
Date:   Thu Sep 1 12:34:09 2011 +0200

    Updated Swedish translation

M	po/sv.po

commit fd812396d77c96bd4469f66617c753d5ea238b51
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Sep 1 08:08:05 2011 +0200

    Added Norwegian bokmål translation

M	po/nb.po

commit b2ad0abf2263b4af044388035df8993db9223a1b
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Tue Aug 30 14:46:00 2011 -0400

    Fix usage of %lld for 64-bit formats
    
    %lld isn't appropriate on a 64-bit system, use G_GINT64_FORMAT instead.

M	gnome-session/gs-idle-monitor.c

commit 13e180f18286086aef3ae9bd546983dadb72b033
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 29 21:10:08 2011 -0400

    Post-release version bump

M	configure.ac

commit d3725ca1fc614b2f08f0b3c6526af1cb8cbe15ba
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 29 20:54:11 2011 -0400

    Update NEWS for 3.1.90

M	NEWS

commit 496d0ba9492999979739e6f8b8820e14d169355f
Author: Stas Solovey <whats_up@tut.by>
Date:   Mon Aug 29 20:17:45 2011 +0400

    Fixed and updated Russian translation

M	po/ru.po

commit 8ad6eea1796a77197b1c9a1da6060af4a9873d20
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Aug 29 16:42:19 2011 +0200

    Updated POTFILES.in

M	po/POTFILES.in

commit de30297e831633d38c482ede0e0cb0295d775515
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Aug 29 13:04:16 2011 +0200

    Updated Spanish translation

M	po/es.po

commit e5711e50faa5cd2ed127e2fed0d249f0ee6d90e8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Aug 28 16:54:43 2011 -0400

    Add AM_PROG_CC_C_O
    
    automake complained about its absence.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=646673

M	configure.ac

commit 093d319757e6131734622103f70f46687ac1a625
Author: William Jon McCann <jmccann@redhat.com>
Date:   Sun Apr 3 21:23:59 2011 -0400

    Remove calls to gconf-sanity-check
    
    GConf doesn't use file locking for years anyway.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=646673

M	configure.ac
M	gnome-session/Makefile.am
D	gnome-session/gsm-gconf.c
D	gnome-session/gsm-gconf.h
M	gnome-session/main.c

commit 44995eb51e295d09f49849d32b76577fd4c09e94
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Aug 28 16:46:34 2011 -0400

    Fail whale: respect lockdown
    
    When logout is disabled, don't show a logout button in
    the fail whale. No point in showing shell extension toggles
    then, either.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645477

M	gnome-session/gsm-fail-whale-dialog.c
M	gnome-session/gsm-fail-whale-dialog.h
M	gnome-session/gsm-manager.c
M	gnome-session/main.c

commit 8c6000d7404dbf2735234ab4018f15fb1f1e975e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Aug 28 19:23:30 2011 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 0ce12012a03de67353f175e0c582f776eef61ca4
Author: Fran Dieguez <fran@openhost.es>
Date:   Sun Aug 28 18:07:11 2011 +0200

    Updated galician translations

M	po/gl.po

commit e1a0557f4b5b9a12bcdb9f2819ccfc30e1888a5e
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sun Aug 28 16:39:31 2011 +0200

    Added UG translation

M	po/ug.po

commit 009b0478c1a804527c6022d9b051fb057eb0b302
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Aug 28 10:08:44 2011 +0200

    Updated Spanish translation

M	po/es.po

commit b59d358796343f81b31d4a398998faedd20b8f4b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 27 00:39:12 2011 -0400

    Add an IsSessionRunning method
    
    This gives clients who missed the SessionRunning signal a chance
    to find out if the session has entered the running phase, and
    lets us avoid race conditions.
    
    Patch by Dan Williams,
    https://bugzilla.gnome.org/show_bug.cgi?id=636229

M	gnome-session/gsm-manager.c
M	gnome-session/gsm-manager.h
M	gnome-session/org.gnome.SessionManager.xml

commit 592963b43389265af273a8928badd10f75ced492
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 27 00:38:13 2011 -0400

    Silence a compiler warning
    
    https://bugzilla.gnome.org/show_bug.cgi?id=636229

M	gnome-session/gsm-shell-extensions.c

commit a29df19614f890d638422410313b26624535bdd6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 27 00:19:35 2011 -0400

    Include config.h
    
    One should always do that...

M	gnome-session/gsm-shell-extensions.c

commit 14fa54c0f2b86b93e00c53fe931cc81769112e05
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Aug 26 17:13:33 2011 -0400

    gsm: Only show extensions UI when gnome-shell crashes
    
    If another required component fails, it's quite useless here.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656747

M	gnome-session/gsm-fail-whale-dialog.c
M	gnome-session/gsm-fail-whale-dialog.h
M	gnome-session/gsm-manager.c
M	gnome-session/main.c

commit 0b80e1ac1f2d2cc6be09390d344676d7610e432d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Aug 17 02:23:22 2011 -0400

    gsm: Add a UI to the fail whale for enabling and disabling Shell Extensions
    
    When the session puts up the fail whale after a failed restart, the user now
    has the opportunity to disable/enable extensions.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656747

M	gnome-session/gsm-fail-whale-dialog.c

commit aadad2377c841570b90a409c0a9ae51429cfff6c
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Aug 17 01:13:52 2011 -0400

    gsm: Add a new system to get information and frob Shell Extensions
    
    This functionality will be used to allow the user to enable and disable GNOME
    Shell Extensions in the fail whale dialog after a crash.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656747

M	configure.ac
M	gnome-session/Makefile.am
A	gnome-session/gsm-shell-extensions.c
A	gnome-session/gsm-shell-extensions.h

commit f41c07f6a95a5a22891db45681afeb05bef669c5
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Aug 17 06:09:03 2011 -0400

    gsm: Add debug mode to fail whale dialog
    
    The debug mode lets you crudely debug the fail whale dialog in a window
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656747

M	gnome-session/gsm-fail-whale-dialog.c
M	gnome-session/gsm-fail-whale-dialog.h
M	gnome-session/gsm-manager.c
M	gnome-session/main.c

commit edbf310a825a48f7d7eb10a2dfbd91525aeb83de
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Aug 16 13:03:26 2011 -0400

    gsm: Add a flag to show the fail whale dialog on request
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656747

M	doc/man/gnome-session.1
M	gnome-session/main.c

commit b9a51ac12ff940eb27afcbde917c1dc62c0116e7
Author: Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>
Date:   Fri Aug 19 13:29:22 2011 +0200

    [l10n] Updated German translation

M	po/de.po

commit 83954409c88d2c9ca014eb5e87024d2f7297cd11
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Aug 18 15:03:26 2011 +0700

    Updated Indonesian translation

M	po/id.po

commit 1c55519983f6cc9bc6e1b199a5a331f0fa6ec1ca
Author: Fran Dieguez <fran@openhost.es>
Date:   Tue Aug 16 19:10:51 2011 +0200

    Updated Galician translations

M	po/gl.po

commit 12efb0fb8740bf23fa5f9cee32be52d952b1a44c
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Sat Aug 13 16:25:52 2011 +0700

    Updated Thai translation.

M	po/th.po

commit 9207a72d4b9c446eaf846f3bb746f0402cebcdb8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 11:36:37 2011 +0200

    release: post-release bump to 3.1.90

M	configure.ac

commit afb8942ec038b0ee1662b619cc95e7953ef6f6c4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 11:36:30 2011 +0200

    release: 3.1.5

M	NEWS
M	configure.ac

commit 70b1ccfa82f79767baaa29bf1834d7d24594ed8f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 10:30:48 2011 +0200

    capplet: Respect OnlyShowIn and NotShowIn keys
    
    This only takes into account XDG_CURRENT_DESKTOP.
    
    Loosely based on patch by Michael Terry <michael.terry@canonical.com>.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654040

M	capplet/gsm-properties-dialog.c
M	capplet/gsp-app.c
M	capplet/gsp-app.h
M	capplet/gsp-keyfile.c
M	capplet/gsp-keyfile.h

commit 0e45c5c15d0ffedf90af3ea401288d6a0f758383
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 10:07:28 2011 +0200

    capplet: Do not pretend we need the egg code here

M	capplet/Makefile.am
M	capplet/gsm-properties-dialog.c

commit 28247060fe3daa6b9238531ddb50a7130647e9ec
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 09:55:30 2011 +0200

    gsm: Support XDG_CURRENT_DESKTOP
    
    This enables the abuse of gnome-session in non-GNOME session. We put
    this in since it's really simple to support.
    
    Based on patch by Michael Terry <michael.terry@canonical.com>.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654041

M	gnome-session/gsm-autostart-app.c
M	gnome-session/gsm-util.c
M	gnome-session/gsm-util.h

commit 3eb83dd179c59970574f271e85213af05cbf9bca
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Aug 11 22:23:07 2011 +0200

    Updated Polish translation

M	po/pl.po

commit 245d291c830bd245d90b34d759c6a10836f85d9b
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Thu Aug 11 22:31:38 2011 +0300

    Updated Bulgarian translation

M	po/bg.po

commit bafa078dbc41df851fc5ac31acb9aeca3892cbb2
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Aug 10 15:20:32 2011 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 31277c9812c5b6e02b44cfab4ce5934e52d249f2
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Aug 6 15:54:04 2011 +0300

    Updated Hebrew translation.

M	po/he.po

commit 75636a82a5326f5e3c28b90ec76c2d26f7ed0bea
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Aug 3 09:16:40 2011 +0200

    Updated Swedish translation

M	po/sv.po

commit 7b1a807da7ce3f5b502fe9d5bc6b08d478bbb2b4
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Jul 24 19:21:35 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit 657b4d29c758935e3a187d92fbcfc614614e6f80
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Jul 23 14:31:01 2011 +0200

    Updated Spanish translation

M	po/es.po

commit 1fdcea9cffb96180a4e5064f0280fc8a06ca2a99
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jul 22 18:17:33 2011 +0200

    gsm: Fix --help to mention arguments for options that have one

M	gnome-session/main.c

commit 0312a63142f50d2597f0a1eea8a7dbb4f7d8e516
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Tue Jul 19 08:44:26 2011 +0300

    Updated Finnish translation

M	po/fi.po

commit 1fb96a443dd490be807e6e793e2c9e2d642b4dcb
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Jul 16 01:22:05 2011 +0200

    Updated Czech translation

M	po/cs.po

commit 954b5c8e3982c4534833a3c23380b97bc23e5bc4
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Tue Jul 12 18:39:41 2011 +0300

    Updated Latvian translation.

M	po/lv.po

commit 3b800bd368a3919f13710f5c0ef806faeed8e673
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jul 4 16:51:14 2011 +0200

    release: post-release bump to 3.1.4

M	configure.ac

commit 366ff0642f8012fd43487c8fa93e0aa86c685d86
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jul 4 16:51:05 2011 +0200

    release: 3.1.3

M	NEWS

commit 399f3af4a9b402401379fb0bd57feeac2eba6751
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Jul 2 10:21:11 2011 +0200

    gsm: Fix various warnings about unused variables

M	gnome-session/gsm-consolekit.c
M	gnome-session/gsm-fail-whale-dialog.c
M	gnome-session/gsm-inhibit-dialog.c
M	gnome-session/gsm-manager.c
M	gnome-session/test-client-dbus.c
M	gnome-session/test-inhibit.c

commit c7592d41ed490fde458272a6c489c456445d600d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Jul 2 10:07:37 2011 +0200

    capplet: Remove useless variable

M	capplet/gsm-app-dialog.c

commit 9a78872b026951d597c888a6b0ff68de5f8e4855
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Jul 2 10:06:17 2011 +0200

    build: Remove artificial librsvg dependency
    
    This was only needed when we were loading the computer-fail from our
    data instead of from the icon theme.

M	configure.ac
M	gnome-session/gsm-manager.c

commit 90563d68d18afcd394427a5cb2b6ee781afdd57d
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Sun Jun 26 16:32:03 2011 +0300

    Updated Turkish translation

M	po/tr.po

commit 01c7f952b0b05bd32c1338c593098148324ebc1c
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Jun 25 00:16:09 2011 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit bf3aae448865a386b40393a674d5d8adb7bdfaa4
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Jun 20 09:12:48 2011 +0200

    Updated Swedish translation

M	po/sv.po

commit d68888fa10d5f4bce63d33712f546667d260425d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 14 15:10:03 2011 +0200

    build: Modernize build system a bit
    
    Use the tar-ustar option for AM_INIT_AUTOMAKE for better tarballs.
    Do not use AM_MAINTAINER_MODE as it is not recommended by automake
    developers.
    Do not use AC_HEADER_STDC, AM_PROG_CC_C_O as they shouldn't be needed on
    modern systems.
    Pass dlopen disable-static to LT_INIT.
    Require intltool 0.40.6 to avoid various bugs.
    Remove checks for perl and awk, and the useless --disable-rebuilds
    configure flag.

M	configure.ac

commit db1ec037533c96df953268330dce712050714840
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 14 13:49:29 2011 +0200

    release: post-release bump to 3.1.3

M	configure.ac

commit c2f90b8f93d5371250049491aeb75230b8dfd5cd
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 14 13:49:24 2011 +0200

    release: 3.1.2

M	NEWS
M	configure.ac

commit 8d72359dec298fa92bdf8e4d05c88e7627623dad
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Jun 11 17:38:44 2011 +0200

    Updated Slovenian translation

M	po/sl.po

commit 8db29991a5bfd74f9a7550c3d67bd3a6b83b5eec
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Jun 9 14:44:46 2011 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit b9fa0c8c9ff57f704d83dfd1f7b4ae0c19280edf
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Mar 29 11:35:39 2011 +0200

    Add missing #include <config.h>

M	capplet/gsp-app.c

commit a1489d49290df0ba3812134a45d2311d46db6999
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jun 7 14:44:42 2011 -0400

    gnome-session-check-accelerated: Refuse to work in zaphod mode
    
    https://bugzilla.gnome.org/show_bug.cgi?id=651799

M	tools/gnome-session-check-accelerated-helper.c

commit 85940956b44676bb53130da1601958f156b9a4fe
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Jun 6 11:16:02 2011 +0200

    Updated Galician translations

M	po/gl.po

commit 0d7bf291644e42dd09f654eb4ee35d2ad6130c3e
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Jun 4 13:53:28 2011 +0300

    Updated Hebrew translation.

M	po/he.po

commit 9927cab2ab77ead7ff45389f06b66f6db2688a0e
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun May 29 18:34:30 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit e9633de751e6ba3f8354c3e3b10576cc8b7c1dd5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu May 26 20:26:55 2011 +0200

    Updated Spanish translation

M	po/es.po

commit ebf9afaa10c7903694df5b2fee635a6dde5213a6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu May 26 12:36:35 2011 +0200

    gsm: Add gtk-doc comments for two GsmClient functions
    
    This is useful to quickly know if NULL can be returned by those, instead
    of having to hunt this down in the code.

M	gnome-session/gsm-client.c

commit 9f25b7599ba016f8da7275afa4c3f8e194678734
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu May 26 12:29:22 2011 +0200

    gsm: Do not uselessly duplicate a string

M	gnome-session/gsm-xsmp-client.c

commit 35a9945ae1339297de2e0eeff543e876186dea6e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu May 26 12:26:55 2011 +0200

    gsm: Do not assume XSMP clients set the SmProgram property
    
    Since setting some properties can be skipped, there is no guarantee that
    SmProgram is set.
    
    This fixes a crash.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=590828

M	gnome-session/gsm-xsmp-client.c

commit 7e0f36901093412ea9b904c58fea39c1d73fee0b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu May 26 11:22:08 2011 +0200

    egg: Update smclient code from libegg

M	egg/eggdesktopfile.c
M	egg/eggdesktopfile.h
M	egg/eggsmclient-xsmp.c
M	egg/eggsmclient.c

commit 408d50cfc33d0619efa13812a4ea01a281d5f836
Author: Chris Wilson <afrowildo@gmail.com>
Date:   Tue Jan 11 19:47:55 2011 +0000

    gsm: Replace "Reboot Anyway" with "Restart Anyway"
    
    "Restart" is the term we're using everywhere else, not "Reboot".
    
    https://bugzilla.gnome.org/show_bug.cgi?id=637449
    LP:#685050

M	gnome-session/gsm-inhibit-dialog.c

commit 861313503a741f0129611ca005cf6d7c27124b54
Author: Christopher Halse Rogers <chalserogers@gmail.com>
Date:   Thu May 26 11:09:14 2011 +0200

    gsm: Fix race condition in idle monitor
    
    In _xsync_alarm_set(), the positive and negative transition intervals
    are set to the same value. However, the SYNC extension defines the
    positive transition as set when the counter goes from strictly below the
    threshold to greater than or equal to the threshold and similarly a
    negative transition is triggered when the counter goes form strictly
    greater than the threshold to less than or equal to the threshold.
    
    Thus in the current set up there's a chance that the positive transition
    can trigger, marking the session as idle, and some user input occur on
    the same click so the IDLETIME count will hit the threshold but not go
    above so the negative transition will not trigger. Thus the session will
    not be marked as active.
    
    The negative transition threshold should be set to 1ms less than the
    positive transition to ensure that it always fires.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=627903

M	gnome-session/gs-idle-monitor.c

commit 39830ce7d5f14d4206fae99fa817a590e7a5cc7b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 23 23:13:06 2011 +0200

    release: post-release bump to 3.0.3

M	configure.ac

commit c0bc1ab875f54f0ad262db1c7a2e201adcf0b0e9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 23 23:12:58 2011 +0200

    release: 3.0.2

M	NEWS

commit 5b134ff66f44b0b6d876123bc2510e13418adc5f
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Mon May 2 07:25:06 2011 +0200

    Added UG translation

M	po/ug.po

commit 718a055ee0ba74c0eb13e4d37e12b09f870b848d
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Wed Apr 27 19:54:32 2011 +0200

    Updated Esperanto translation

M	po/eo.po

commit 8c0d358315cefccf622a092a72571ba2a1da77be
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Wed Apr 27 19:49:29 2011 +0200

    Updated Esperanto translation

M	po/eo.po

commit a3cd2b5a3b2cd94cda7d4b04b35ff747cebb82fa
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 26 09:15:58 2011 +0200

    release: post-release bump to 3.0.2

M	configure.ac

commit b33ad6e4b1976f004237d51d70c383cf580730fd
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 26 09:15:52 2011 +0200

    release: 3.0.1

M	NEWS

commit b689e2052d8810bacb0fba823211292c2fcf7688
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Mon Apr 25 20:14:50 2011 +0700

    Updated Thai translation.

M	po/th.po

commit c077752e003bcd881d42d6bd5da7e68fe63b84c0
Author: Arash Mousavi <amousavi@src.gnome.org>
Date:   Sat Apr 23 20:57:45 2011 +0430

    Updated Persian translation

M	po/fa.po

commit 5805aaf36c6349d306c4c1777c9b302985d9caca
Author: Lê Trường An <xinemdungkhoc1@gmail.com>
Date:   Mon Apr 18 19:21:51 2011 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>

M	po/vi.po

commit b4ad871c06f3bf1602d9d7d14f60dff45980c568
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 4 23:15:43 2011 +0200

    release: post-release bump to 3.0.1

M	configure.ac

commit f15ba3d3a66860676813a4d92e465be174eca3fa
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 4 23:15:35 2011 +0200

    release: 3.0.0

M	NEWS

commit bc098ac0fa08d7d31e01092b9e658e83c5732f3a
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Tue Apr 5 01:35:08 2011 +0600

    Updated Bengali translation

M	po/bn.po

commit fb1c94266bf4702a7ae0b2957083e8362a615cc6
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Mon Apr 4 15:36:11 2011 +0600

    Updated Bengali translation

M	po/bn.po

commit 99365e3676228e232afdd446a20578f5ff075a10
Author: Jordi Serratosa <serratosa@gmail.com>
Date:   Sun Apr 3 23:52:08 2011 +0200

    [l10n]Fixes on Catalan translation

M	po/ca.po

commit 74de85bfbc783216a6720bf4792e6dbe08c47d76
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Sun Apr 3 21:06:34 2011 +0200

    [l10n] Updated German translation, umlauts fixed

M	po/de.po

commit b2c1a4f65f54374fa3619a93c7b4e8d77db70aeb
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun Apr 3 16:42:21 2011 +0200

    Update Czech translation

M	po/cs.po

commit 264e34e3aa2462789976cbb2ae107f087e6cad15
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Sun Apr 3 09:04:54 2011 +0530

    Updated Tamil translation

M	po/ta.po

commit 0ac91b6bfd528b40300fc3c943518d6909f53938
Author: Simos Xenitellis <simos@gnome.org>
Date:   Sat Apr 2 17:38:30 2011 +0300

    l10n: Updated Greek translation for gnome-session

M	po/el.po

commit cb880ef504cdd3f5baaeb5ae5a0f7d90ed9c292c
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:   Sat Apr 2 17:33:55 2011 +0300

    l10n: Updated Greek translation for gnome-session

M	po/el.po

commit f59a20d4b6977edc14e3d9dc815415bdccba4f1c
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Apr 2 19:49:33 2011 +0900

    Updated Korean translation

M	po/ko.po

commit 68802f88b9cc4f0722456d8ac3c0b57c6b241a84
Author: Friedel Wolff <friedel@translate.org.za>
Date:   Sat Apr 2 10:24:59 2011 +0200

    Remove previous msgid Afrikaans (af)

M	po/af.po

commit 25dae40f8a7cf53452bcf08c93ac82ec59d3fc8f
Author: Friedel Wolff <friedel@translate.org.za>
Date:   Sat Apr 2 10:24:16 2011 +0200

    Updated translation for Afrikaans (af)

M	po/af.po

commit 71e0ca755ead1d472877905b5ceaee9c8662b619
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:   Fri Apr 1 22:24:20 2011 +0200

    Updated Lithuanian translation.

M	po/lt.po

commit 5c98b7419e0efdbca56dd891029fdbc44dc9df22
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Apr 1 14:27:04 2011 +0200

    Updated Hungarian translation

M	po/hu.po

commit 74eb926eee93acfa4fc0843c10b847d42994c8d8
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Thu Mar 31 16:17:59 2011 +0200

    Updated Basque language

M	po/eu.po

commit 7a04802795278514f32a21bebaa0502851a74ea9
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Thu Mar 31 16:10:19 2011 +0200

    Updated Basque language

M	po/eu.po

commit 9b2d0a8e21d6cf16d2e73e53754275a57b68e730
Author: Kris Thomsen <lakristho@gmail.com>
Date:   Wed Mar 30 23:00:37 2011 +0200

    Updated Danish translation

M	po/da.po

commit e991702196cd466544c37fb975d9979b0a7b4119
Author: Joan Duran <jodufi@gmail.com>
Date:   Wed Mar 30 21:25:53 2011 +0200

    [l10n]Updated Catalan translation

M	po/ca.po

commit 5fe5014e2006a2ed842cffbc00cc24d06cf8772e
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Mar 30 15:02:58 2011 +0100

    Updated British English translation

M	po/en_GB.po

commit df3abfc850e1b505e1fece6bbd1a8411b7a76f05
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Mar 30 13:15:41 2011 +0530

    schema: Change path of GSettings schema
    
    Use gnome-session instead of GnomeSession, since this is really the id
    of this module. Users who have the fallback mode will get the error
    dialog on first login again; else, there is really no side-effect.

M	data/org.gnome.SessionManager.gschema.xml.in

commit 8ae53599b187c79db3e89b33b4f84be0d4c50bf5
Author: Friedel Wolff <friedel@translate.org.za>
Date:   Tue Mar 29 23:14:55 2011 +0200

    Updated translation for Afrikaans (af)

M	po/af.po

commit 9f9500440cfce5105b203b59a8f391761fde0839
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Tue Mar 29 23:26:13 2011 +0700

    Updated Indonesian translation

M	po/id.po

commit cd98babd74fe53fb7be9c0e16c37870f767e6b87
Author: Aron Xu <aronxu@gnome.org>
Date:   Tue Mar 29 16:16:02 2011 +0000

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 18444a0c9c0cb21ce01d5931aeefca6f0bac8712
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Mar 29 21:28:30 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 0da598df093c3af40f29b44f0fb4e686e48f57f1
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Tue Mar 29 00:35:47 2011 +0100

    Updated Portuguese translation

M	po/pt.po

commit 0a30ba36ec42d3476e96255c923e8d134d440642
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 28 19:07:39 2011 -0400

    Back to the future

M	configure.ac

commit aefbfc27e2b08738bb485b57f8544159c972c2a5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 28 19:03:08 2011 -0400

    2.91.94

M	NEWS
M	configure.ac

commit fcfab9de25cd6d5608310a9a4f8ae4b3d835c7f1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 28 18:58:42 2011 -0400

    Fix an unclosed comment from the last commit, breaking the build

M	gnome-session/gsm-manager.c

commit 916dc2958953844b048cbcd35ef5b1686ea1b743
Author: Colin Walters <walters@verbum.org>
Date:   Fri Mar 25 15:30:01 2011 -0400

    gsm-manager.c: Bump phase timeout to 30 seconds
    
    10 seconds is probably just too short for live media and the like,
    see the comment in the source.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645650

M	gnome-session/gsm-manager.c

commit a76fd3fa9470b58b9d6f0c8a09a822a46b742aaa
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 28 20:24:37 2011 +0200

    Updated Polish translation

M	po/pl.po

commit 5f7389d1c3e9449a91271d1f40629fa4d6571ccb
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Mon Mar 28 01:13:22 2011 +0300

    Updated Latvian translation.

M	po/lv.po

commit d14ca625aec894c62b19f2c2d34b0f54ae88df0c
Author: Rodrigo Padula de Oliveira <contato@rodrigopadula.com>
Date:   Sun Mar 27 17:43:23 2011 -0400

    Updated Brazilian Portuguese translation. Reviewed by Flamarion Jorge.

M	po/pt_BR.po

commit 7aeb0a1acbc96e60cb37753a2a48da4a869887e0
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sun Mar 27 22:07:24 2011 +0200

    Updated French translation

M	po/fr.po

commit b104077b0d3a1a2e4a1342571a2c1dac96c1e50d
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sun Mar 27 19:55:35 2011 +0200

    Added UG translation

M	po/ug.po

commit e2f8fdd7670f0d5fec5a2ad48f616e8ea67f53e0
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Mar 27 15:48:30 2011 +0700

    Updated Vietnamese translation

M	po/vi.po

commit bb821037277c67b1e32fcb4c1dd8c091ab743c72
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Mar 27 15:43:09 2011 +0700

    po/vi.po: import from Damned Lies

M	po/vi.po

commit c41ecba41586325e0d49f158e5249c7ea47b285a
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat Mar 26 21:22:55 2011 +0300

    Updated Russian translation

M	po/ru.po

commit d676f17ac664ea74cdbbd1fe8d8f3c023f4fa49f
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Mar 26 17:49:42 2011 +0200

    Updated Arabic translation

M	po/ar.po

commit 817deb2c434b81eea8a1dd7f84d05e6824fe2e90
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Sat Mar 26 23:24:07 2011 +0900

    Updated Japanese translation.

M	po/ja.po

commit 700467d166f5b2449f09eccccc7f76e788f183fe
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Sat Mar 26 11:52:54 2011 +0100

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit f386f79ff52fc0ccf7879f2ec390f9a0aa45b1a3
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Mar 26 09:40:19 2011 +0200

    Updated Hebrew translation

M	po/he.po

commit 55402a8aa3571593beb919a5ea51fe4faad38d51
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Sat Mar 26 07:50:41 2011 +0100

    Updated German translation

M	po/de.po

commit 94965cc3f60770e1d06aa320189e85863f67c500
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Sat Mar 26 07:45:15 2011 +0100

    Updated German translation

M	po/de.po

commit aba935a2a8892fb09146fcd73281cff2ee609f22
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Mar 25 20:30:43 2011 -0400

    Fix a typo in the 'fail whale' dialog
    
    All translations have been updated, so effectively, no string change.

M	gnome-session/gsm-fail-whale-dialog.c
M	po/bg.po
M	po/es.po
M	po/gl.po
M	po/it.po
M	po/nb.po
M	po/pa.po
M	po/ro.po
M	po/sl.po
M	po/sv.po
M	po/uk.po

commit fb43612f2de65e71765374267da6cde7484868b4
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Mar 26 01:10:14 2011 +0200

    Updated Hebrew translation.

M	po/he.po

commit 5cc956dd631bd64c2df2a64911d870bef898de80
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Fri Mar 25 21:59:40 2011 +0100

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit 1a4e2377651c3d6f69426068860e3ed9174401b2
Author: Rodrigo Padula de Oliveira <contato@rodrigopadula.com>
Date:   Fri Mar 25 15:00:51 2011 -0300

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 66cd79ac59524444af42682298fa28be1aa1c2fd
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Mar 25 14:37:09 2011 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit 8dfdfc5098f8a69be3c9a1422328f39f95b6aff8
Author: A S Alam <aalam@users.sf.net>
Date:   Fri Mar 25 08:34:14 2011 +0530

    update tranlation for Punjabi by A S Alam

M	po/pa.po

commit c5d2b22cdacfc0de7ef829d193396dd5e2d687ae
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri Mar 25 00:25:36 2011 +0200

    Uploaded Ukranian

M	po/uk.po

commit 86040715cafd25e44ffdd234d2c70ad59266e5fb
Author: Daniel Nylander <po@danielnylander.se>
Date:   Thu Mar 24 20:57:31 2011 +0100

    Updated Swedish translation

M	po/sv.po

commit 5a7ee5c90be5b042aa0359425cdfd9c9a96545a5
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Mar 22 21:36:35 2011 +0100

    release: post-release bump to 3.0.0

M	configure.ac

commit 1dd8ad6a2a199c143d6d69e683aea8382f30b8ab
Author: Ray Strode <rstrode@redhat.com>
Date:   Wed Mar 23 18:30:47 2011 -0400

    release: 2.91.93

M	NEWS

commit aae2e25213215bb6f50668169099c29608d2f78b
Author: Ray Strode <rstrode@redhat.com>
Date:   Wed Mar 23 18:26:20 2011 -0400

    release: pre-release drop to 2.91.93

M	configure.ac

commit 3e66149916912ccbd07d3981730ddc16673fd9c8
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Mar 21 14:03:55 2011 -0400

    manager: port to latest shell api
    
    The shell API changed to support multiple
    buttons on the log out dialog (see bug 641375)
    
    This commit brings gnome-session up to speed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645432

M	gnome-session/gsm-manager.c
M	gnome-session/gsm-shell.c
M	gnome-session/gsm-shell.h

commit bbbe4c2e180e13c844688e1a958984faf6893dbc
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Mar 23 18:51:32 2011 +0100

    Updated Spanish translation

M	po/es.po

commit d93093c72b143ef8130c939c5940847214599396
Author: Krasimir Chonov <mk2616@abv.bg>
Date:   Wed Mar 23 11:29:49 2011 +0200

    Updated Bulgarian translation

M	po/bg.po

commit df9e3106055f0e514edcb81402c528172dd275d6
Author: Daniel Șerbănescu <cyber19rider@gmail.com>
Date:   Wed Mar 23 01:41:02 2011 +0100

    Updated Romanian translation

M	po/ro.po

commit 36a9980d2881369b6b97b89881093041b79ad532
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Tue Mar 22 22:20:18 2011 +0100

    Updated Italian translation

M	po/it.po

commit 2b02f43e3d1c2446fe6dfb3d983236392fc2f0a6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Mar 22 22:04:49 2011 +0100

    Updated Slovenian translation

M	po/sl.po

commit 3299606ed8b8507729d4dbe1b6698d22505b8c85
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 21:36:35 2011 +0100

    release: post-release bump to 3.0.0

M	configure.ac

commit 6aaff2c1a4c5dc17dbb36f40a7198a62c1874f11
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 21:36:19 2011 +0100

    release: 2.91.92

M	NEWS

commit e7e7f35ad80ddb02bd72927a866c07d4847e3208
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 21:34:35 2011 +0100

    gsm: Ship gsm-icon-names.h to fix build

M	gnome-session/Makefile.am

commit bf74d31acf9be30ab758b309d5a44893b92f538a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Mar 22 21:21:04 2011 +0100

    Updated Galician translations

M	po/gl.po

commit aed66bd05f9a5b5ab982082117b8de1ad211d7ac
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 21:14:08 2011 +0100

    gsm: Use "Log out" instead of "Close" for button in fatal error dialog
    
    Clicking the button really logs you out, so it's a bit better.
    
    This is not a new string.

M	gnome-session/gsm-util.c

commit c6a29dc93da9cf78641adb1d78df36defb3861db
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 21:09:05 2011 +0100

    gsm: Make fatal errors exit after error dialog during initialization
    
    While we're setting up everything, there is no main loop, so calling
    gtk_main_quit() usually won't work and the user will be stuck with an
    empty session after the error dialog. So simply call exit() if there is
    no main loop after a fatal error.

M	gnome-session/gsm-util.c

commit dec2bf24d71ccb660ab7ca8e6d924e3b81259070
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Mar 22 15:56:05 2011 -0400

    gsm: make gconf failure non-fatal
    
    We don't really depend on GConf these days so much, so it probably
    shouldn't be fatal when it fails.  Furthermore, the "make it fatal"
    part doesn't work anyway, since the dialog gets shown before the
    main loop is run.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645564

M	gnome-session/gsm-gconf.c

commit f806a096f07b539777a28e33db341fb848b0d598
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 21:00:36 2011 +0100

    gsm: Cleanup past two commits
    
    This includes a fix for a GError leak, removing some unneeded
    functions/fields, and fixing gsm_fail_whale_dialog_size_request() to
    correctly compare old and new geometries.

M	gnome-session/gsm-fail-whale-dialog.c
M	gnome-session/gsm-manager.c

commit b9aa675ef083256e5aca12ac448c6a84a8f620d6
Author: Colin Walters <walters@verbum.org>
Date:   Tue Mar 22 20:34:47 2011 +0100

    gsm-manager/gsm-app: Fix restart logic
    
    We only care about restart time; if the app crashes within
    a minute of initial start, we should still restart.
    
    Also, ignore "died" for autorestart apps; we'll lose
    the connection and do the restart there.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645251

M	gnome-session/gsm-app.c
M	gnome-session/gsm-manager.c

commit 4df48234f85f0a4cb617be7dc4dbf925fcc996f6
Author: Colin Walters <walters@verbum.org>
Date:   Tue Mar 22 14:19:49 2011 -0400

    gsm-manager: Improve the experience when required components fail
    
    Instead of just failing and leaving the user no way out, present
    a "fail whale" that allows the user to logout and try again.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645251

M	gnome-session/gsm-app.c
M	gnome-session/gsm-fail-whale-dialog.c
M	gnome-session/gsm-fail-whale-dialog.h
M	gnome-session/gsm-manager.c
M	gnome-session/gsm-manager.h

commit c6aa04195c75350033107f472b826fb078da8666
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Mar 22 13:29:09 2011 -0400

    shell: drop has_open_dialog state variable
    
    We don't actually need it, since the only time
    we care if the dialog is open, is when it also
    has stale inhibitors.  That case is already implied
    by shell->priv->update_idle_id != 0.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645485

M	gnome-session/gsm-shell.c

commit 1ff1a167dd89046bbbc00f2594a1af310742a25b
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Mar 22 12:53:53 2011 -0400

    shell: listen for 'Closed' signal
    
    Right now we track when the shell end
    session dialog is closed by tracking when the
    user clicks cancel or (e.g.) logout.
    
    The problem is, there are other cases besides
    the user hitting a button on the dialog that leads
    to the dialog getting closed.
    
    This commit tracks the closed state of the dialog
    via the closed signal instead of the button siganls.
    
    Upon getting notification of the dialog closing,
    we immediately stop processing updates to the
    inhibitor list.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645485

M	gnome-session/gsm-shell.c
M	gnome-session/gsm-shell.h

commit fa30b73948c50c2493e19565b4e3b14b40f985e1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 19:11:49 2011 +0100

    gsm: Support disable-user-switching lockdown setting in logout dialog
    
    https://bugzilla.gnome.org/show_bug.cgi?id=598255

M	gnome-session/gsm-logout-dialog.c

commit 899fe6b1628cd2d86931632f72512bca04d2aeaf
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 19:01:42 2011 +0100

    gsm: Enforce disable-user-switching lockdown setting
    
    This part of https://bugzilla.gnome.org/show_bug.cgi?id=598255 but this
    does not cover the UI yet.

M	gnome-session/gsm-manager.c

commit e5ceda53eda8860123dc93098f40b03909dae84e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 18:54:29 2011 +0100

    gsm: Fix error string
    
    This was referencing the wrong interface. This is not translated, so no
    string freeze break.

M	gnome-session/gsm-manager.c

commit 962d6014d85f2551b1e9cb3900d1f2c3cb0a5bc8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 18:27:58 2011 +0100

    gsm: Move all icon names to gsm-icon-names.h with defines
    
    This makes it much easier to know what we use and to change things when
    needed.

M	gnome-session/gsm-fail-whale-dialog.c
A	gnome-session/gsm-icon-names.h
M	gnome-session/gsm-inhibit-dialog.c
M	gnome-session/gsm-logout-dialog.c
M	gnome-session/gsm-manager.c
M	gnome-session/gsm-xsmp-client.c

commit 66dbc4d171e49b58932bb3151b06ebda1fc8e4ca
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Mar 22 10:50:57 2011 -0400

    shell: don't leak inhibitor list on updates
    
    gsm_shell_open_end_session_dialog takes a reference
    to a passed in inhibitor store.
    
    This function is explicitly called by the manager
    whenever a log out should happen, but also gets
    implicitly called whenever the inhibitor store is
    changed.
    
    This commit makes sure we don't leak a reference to the
    store during implicit calls to
    gsm_shell_open_end_session_dialog.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645485

M	gnome-session/gsm-shell.c

commit fcdca87b80646c1a1617fe68f0c1c38515a54281
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 17:58:46 2011 +0100

    gsm: Use "computer-fail" icon from theme instead of our own sad-computer
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645396

M	data/Makefile.am
D	data/sad-computer.svgz
M	gnome-session/gsm-manager.c
M	gnome-session/gsm-util.c
M	gnome-session/gsm-util.h

commit cbe3d42b3595567ad60fdfbabbd37afcc74808aa
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 17:36:05 2011 +0100

    build: Require glib 2.28.0
    
    We use g_slist_free_full(), which appeared in 2.28.0.

M	configure.ac

commit e8759ab5a06fbfe5faf81805c56f61e604572bfa
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 16:33:05 2011 +0100

    gsm: Remove saved session if auto-save-session is set to false
    
    If we don't do that, right now, there is no just no way to go back to a
    default session for users. Of course, this will make people who save a
    session once unhappy, but if we want to handle that correctly, we need
    more work anyway.

M	gnome-session/gsm-manager.c
M	gnome-session/gsm-session-save.c
M	gnome-session/gsm-session-save.h

commit b49de741bf73afd564728df4bffff6b4d6974e36
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 16:04:48 2011 +0100

    sessions: Explicitly require gnome-shell/gnome-panel
    
    For gnome-shell and gnome-panel, we really know this is what we want. We
    don't want another provider.

M	data/gnome-fallback.session.desktop.in.in
M	data/gnome.session.desktop.in.in

commit cc2560d9570077bcd1e0152b50462b4eb4e35eb8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 15:55:02 2011 +0100

    gsm: Use app-id when saving session instead of startup-id for .desktop
    
    We try to use the app-id whenever possible for the .desktop filename
    when saving an app since this means the saved app can be used as
    required component on login. (Still fallback to startup-id if app-id
    doesn't work because it's empty or filename already exists)
    
    This is important because on login, the required component will be
    loaded first, and if it's in the saved session with another name, the
    saved version will get ignored: we first load all required components
    from saved/autostart/apps, and then we load other apps in the saved
    session (and the saved component, if using another name, will look like
    a random app so will be loaded at that time).

M	gnome-session/gsm-session-save.c

commit c8ddd51c4ae4f145bfd830ff1d5ccea844d0548a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 15:12:35 2011 +0100

    gsm: Move auto_save_is_enabled() check to maybe_save_session()

M	gnome-session/gsm-manager.c

commit 044def3fce18480e8b3e7a6ad6c38bad253ce64e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 14:58:06 2011 +0100

    gsm: Mark a provider as required if it came from autostart/saved session
    
    If a default provider is not added because the service is already
    provided, then the is_required property should be set on the provider
    that we'll use.

M	gnome-session/gsm-manager.c

commit 6bd6703fadd36b05bc2fa88913be52c82f5cdf80
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 14:52:51 2011 +0100

    gsm: Remove unused variable

M	gnome-session/gsm-manager.c

commit 98767400d9dffaa795151bf5f96146beaabd865f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 14:50:04 2011 +0100

    gsm: Keep required/provides state of app if already appended
    
    If an application is not appended because its app-id already exists, we
    should make sure that if the app is required or if it provides a
    service, then the pre-existing app with the app-id gets those states.

M	gnome-session/gsm-manager.c

commit a359ce1d9b7520ac9b2fc2c7afebcd6f6d2e8c17
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 14:35:09 2011 +0100

    gsm: Add more details to a debug message

M	gnome-session/gsm-manager.c

commit 71b0fe1ddbb7d61c1e36ebd1c6c5d195b354a311
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 13:45:50 2011 +0100

    gsm: Remember Provides defined in session definition but not in .desktop
    
    If a provider is defined in the session definition, it doesn't
    necessarily have the Provides in the .desktop file. So we remember the
    Provides from the session definition.

M	gnome-session/gsm-autostart-app.c
M	gnome-session/gsm-autostart-app.h
M	gnome-session/gsm-manager.c

commit f436a357396ed54544de801ac018461f616e14e7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 13:15:21 2011 +0100

    gsm: Do not add autostart apps providing a service already provided
    
    We were already doing this, but only for the Provides defined in the
    session definition, and we were ignoring Provides defined in the
    .desktop files themselves.

M	gnome-session/gsm-manager.c

commit 6eafe805d2b5880cc020586c7d155ad30fe958d2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 13:14:26 2011 +0100

    gsm: Add gsm_app_provides() to get list of Provides defined in .desktop
    
    We need this to compare Provides defined in autostart files, so we don't
    start two applications providing the same service.

M	gnome-session/gsm-app.c
M	gnome-session/gsm-app.h
M	gnome-session/gsm-autostart-app.c

commit 69cad093b1d32392078233166edac5180dabaf8a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 12:57:46 2011 +0100

    gsm: Reorder how we fill session, to start with required components
    
    We first fill with required components because we always want to
    guarantee that explicitly defined required components are available.
    Then we add normal autostart applications and default providers, which
    can be overridden.
    
    Part of https://bugzilla.gnome.org/show_bug.cgi?id=642367

M	gnome-session/gsm-session-fill.c

commit d754aa829542f944e2899db939b6d15ad9751780
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 12:44:25 2011 +0100

    gsm: Force common code path to look for .desktop files in directories
    
    We make sure we always have the right set of directories this way,
    instead of always looking in different places for autostart directories.
    This also makes it easier to look at the saved session directory if
    needed.

M	gnome-session/gsm-inhibit-dialog.c
M	gnome-session/gsm-session-fill.c
M	gnome-session/gsm-util.c
M	gnome-session/gsm-util.h
M	gnome-session/gsm-xsmp-client.c

commit f27aa0a8de70b993cd77a828e81fa88f98b270fb
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 12:03:57 2011 +0100

    doc: Fix gnome-session-quit man page
    
    Mention that --logout is the default and that --no-prompt only works
    with --logout.

M	doc/man/gnome-session-quit.1

commit 06a4d5122ce8fb13a787fba509dbab0da71870a1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 11:58:35 2011 +0100

    doc: Document session definition format in man page

M	doc/man/gnome-session.1

commit 22b1affed9d62ad1ad79806115fea50e511113f8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 11:33:03 2011 +0100

    gsm: Update format for .session files
    
    All components defined in .session files are really required, and the
    format should make this clear.
    
    Rename:
     - Required to RequiredProviders
     - Required-* to DefaultProvider-*
     - DefaultApps to RequiredComponents
    
    Make sure to check for all required components and providers at all
    time, and reduce code redundancy a bit.

M	data/gnome-fallback.session.desktop.in.in
M	data/gnome.session.desktop.in.in
M	gnome-session/gsm-session-fill.c

commit 64611a022260e8162a8388cfbdd92df6ae64369c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Mar 22 10:53:36 2011 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit cc8a3cdad278e0646c9b53b091ba7988acc501eb
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Mar 21 13:54:38 2011 -0400

    manager: drop request-privileges stuff
    
    It's all a farce that immediately returns with hardcoded values.
    
    Eventually, we need a better story here (see bug 585614), but for
    now, let's not pretend like we're doing something we aren't.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645432

M	gnome-session/gsm-consolekit.c
M	gnome-session/gsm-consolekit.h
M	gnome-session/gsm-manager.c

commit 107cfa7a4f6f43698407772e31472d742bdb219f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 22 00:47:24 2011 +0100

    gsm: Also support disable-log-out for Shutdown/CanShutdown dbus methods
    
    On top of that, be a bit paranoid and ensure we don't log out in
    end_phase() by checking the lockdown setting there too.

M	gnome-session/gsm-manager.c

commit 1e3e0b475cfd352d4abe7ace4ee5a40be04a8b42
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Mar 21 08:31:37 2011 -0400

    manager: honor disable-log-out lockdown configuration
    
    Right now we have a disable-log-out configuration key in the
    org.gnome.desktop.lockdown schema that we superficially support in the
    UI, but disregard when servicing the dbus session manager interface.
    
    This commit makes gnome-session prohibit log out via its D-Bus
    interface (and XSMP), if log out is locked down.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645419

M	gnome-session/gsm-manager.c
M	gnome-session/gsm-manager.h

commit 90ff5bba8a2446d481f0efbdf150360a2706fe9d
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Mon Mar 21 22:54:55 2011 +0300

    Updated Russian translation

M	po/ru.po

commit a249a5689f6b22ec38467eace98058daf9d29f1c
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:   Mon Mar 21 12:03:39 2011 +0530

    Updated Assamese translations

M	po/as.po

commit 09df0434ab33ed11e90df8ed925db3931437de4c
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Mon Mar 21 00:04:04 2011 +0000

    Updated Portuguese translation

M	po/pt.po

commit 6443cfe5251f243f2e4db3ea83b648d9a80d8ece
Author: Sense Hofstede <sense@ubuntu.com>
Date:   Sun Mar 20 20:11:51 2011 +0100

    Updated Frisian translations

M	po/fy.po

commit 37feac0ce68563124ae7b211faae9a586cdfe021
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Mar 20 19:04:15 2011 +0100

    Updated Galician translations

M	po/gl.po

commit ec69cd1b9f390486d37c7b83d345fe883119ac99
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Mar 20 18:53:27 2011 +0100

    Updated Galician translations

M	po/gl.po

commit 46c9b1625b90f7dd16df61113baefceb52160d45
Author: Sense Hofstede <sense@ubuntu.com>
Date:   Sun Mar 20 16:54:08 2011 +0100

    Updated Frisian translation

M	po/fy.po

commit 93fb68034c920d871812ff57a9ff87128ac5a7c1
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Mar 20 15:39:51 2011 +0200

    Updated Latvian translation.

M	po/lv.po

commit 5d14cdc07a567bf0df800358d627828a65c0a468
Author: Andika Triwidada <andika@gmail.com>
Date:   Sun Mar 20 17:34:02 2011 +0700

    Updated Indonesian translation

M	po/id.po

commit b127a42ad82d0e7f52313ffd2e2cc4189ec707fc
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Mar 20 00:27:09 2011 +0100

    Updated Swedish translation

M	po/sv.po

commit a439de87e2c23344c81669efa9a013609e4920ae
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sat Mar 19 23:26:27 2011 +0100

    Updated French translation

M	po/fr.po

commit b0c050a1ab03a5a34f8090e006b49e16aa96a004
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Mar 19 16:22:26 2011 +0100

    Updated Polish translation

M	po/pl.po

commit 7a03897fe1c19f1f94de24a723b30d4a6f1f41e9
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Mar 19 23:14:20 2011 +0900

    Updated Korean translation

M	po/ko.po

commit 8d0dc0073c99b7f834705d74fe8dc612f3f4477c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Mar 19 14:50:44 2011 +0100

    Updated Spanish translation

M	po/es.po

commit 984c0ac441a58c04ac36aec7ea7e11f71610cbcc
Author: Милош Поповић <gpopac@gmail.com>
Date:   Sat Mar 19 12:01:48 2011 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 6b05df82527fdbc2e05d51f79573ffbd15f78828
Author: Miroslav Nikolić <miroslavnikolic@rocketmail.com>
Date:   Sat Mar 19 11:55:56 2011 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 2db0af388409a40708b1cf1492e91c4c13f5aa7f
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sat Mar 19 10:38:43 2011 +0200

    Uploaded Ukranian

M	po/uk.po

commit 3a5f484bdeecfe8cd1cc700e5ab3a4cb432d8dce
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Mar 19 02:46:41 2011 +0100

    Updated Hungarian translation

M	po/hu.po

commit a193974901635ed369533be21ac230f51cf34efd
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Mar 19 02:46:58 2011 +0200

    Updated Arabic translation

M	po/ar.po

commit 1e0944d53010db573284a09c7196732dd4e03562
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Fri Mar 18 21:27:36 2011 +0100

    Updated Slovenian translation

M	po/sl.po

commit a18e2a2df8d921d2b6caccde03025d6a8e7624db
Author: Colin Walters <walters@verbum.org>
Date:   Fri Mar 18 15:12:23 2011 -0400

    Consistently translate component failure message
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642497

M	gnome-session/gsm-manager.c
M	gnome-session/gsm-process-helper.c
M	po/POTFILES.in

commit c0f87685af13fd49e3fbcf07e7f9045b60a7e72b
Author: Colin Walters <walters@verbum.org>
Date:   Fri Mar 18 15:12:03 2011 -0400

    gsm-fail-whale-dialog: Fix height request
    
    We want a minimum of 480 here.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642497

M	gnome-session/gsm-fail-whale-dialog.c

commit 39242dc576ee61034fdb81ae893b6c9e7ac7a2ca
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Mar 18 17:22:28 2011 +0100

    Updated Hungarian translation

M	po/hu.po

commit 13226af8eabf01a7683c325c9dd2cc36236e4b75
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Mar 18 15:25:37 2011 +0100

    gsm: Cleanup previous commits...
    
    Remove trailing spaces and fix strings (no string change, since they are
    not translatable).

M	gnome-session/gsm-fail-whale-dialog.c
M	gnome-session/gsm-manager.c

commit 23a01422fffe9e8b812f8d93ec2d822d6acb13b7
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Mar 17 22:51:17 2011 +0200

    Updated Arabic translation

M	po/ar.po

commit 76d42b38b4b98ae8b123248a7c3be5e315da1e90
Author: Andre Klapper <a9016009@gmx.de>
Date:   Thu Mar 17 21:46:27 2011 +0100

    Add a translator comment as discussed on gnome-i18n mailing list

M	gnome-session/gsm-manager.c

commit e60d7f1eb3fce5b02c725b23d07082aa960c4baf
Author: Daniel Nylander <po@danielnylander.se>
Date:   Thu Mar 17 21:37:56 2011 +0100

    Updated Swedish translation

M	po/sv.po

commit 9dc1a58f47b2a59a351597d2f608ecf130c3b8a6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Mar 17 20:30:36 2011 +0100

    Updated Spanish translation

M	po/es.po

commit d011770f8b235b91db6969ff54665f5f18ca549c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Mar 17 19:52:13 2011 +0100

    Updated Slovenian translation

M	po/sl.po

commit 2e0b08bffedee3aa88bcb41aff4d582560d0b8ac
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Thu Mar 17 19:58:43 2011 +0200

    Uploaded Ukranian

M	po/uk.po

commit 2e92bb08bd7b700ae5e385e07292f37b307a36a5
Author: Colin Walters <walters@verbum.org>
Date:   Sun Mar 13 16:57:31 2011 -0400

    Add "Try Recovery" option to fail whale
    
    Also resize the fail whale dialog to a minimum of 640x480
    to ensure visibility.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642497

M	gnome-session/gsm-app.c
M	gnome-session/gsm-fail-whale-dialog.c
M	gnome-session/gsm-manager.c
M	gnome-session/gsm-manager.h

commit 9a4ff4b674fb7b63fd361eeedd4925ad84c67686
Author: Colin Walters <walters@verbum.org>
Date:   Thu Mar 10 18:56:39 2011 -0500

    Handle required component failure by showing fail whale
    
    When a required component either times out on startup, or
    is killed by a fatal signal, toss up a fail whale dialog.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642497

M	gnome-session/gsm-manager.c
M	gnome-session/gsm-manager.h
M	gnome-session/gsm-session-fill.c

commit c01831c0dea7f6728106ae12090b248f37ad1feb
Author: Colin Walters <walters@verbum.org>
Date:   Thu Mar 10 16:14:14 2011 -0500

    gsm-manager: Add comment with historical context
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642497

M	gnome-session/gsm-manager.c

commit a2fedc4dc0e655a13f43d205c4982fa142bf67d6
Author: Colin Walters <walters@verbum.org>
Date:   Thu Mar 10 09:54:54 2011 -0500

    Add "fail whale" dialog, will be shown on component failure
    
    Named the "fail whale" after Twitter, this dialog tells the user we
    hit a serious problem and offers to log out.  Will be used
    by following patches.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642497

M	gnome-session/Makefile.am
A	gnome-session/gsm-fail-whale-dialog.c
A	gnome-session/gsm-fail-whale-dialog.h
M	gnome-session/gsm-logout-dialog.c

commit 2676795df387a8f02debdb749a3d8ffa95aaf6d8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Mar 17 09:59:15 2011 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit b48a9f89be99390f8333dbde959037ba37e3bc58
Author: William Jon McCann <jmccann@redhat.com>
Date:   Wed Mar 16 23:35:25 2011 -0400

    switch to using seconds for idle time
    
    Changed in the schema to be consistent with power etc time values.

M	gnome-session/gsm-manager.c

commit 2eabf107604706fedd731abc268bccd34219bb0c
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Wed Mar 16 17:02:55 2011 +0200

    Updated Hebrew translation.

M	po/he.po

commit 9a0c8f0b5d91d3a216987a8299eb7fe02279d407
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Wed Mar 16 00:10:02 2011 +0000

    Updated Portuguese translation

M	po/pt.po

commit 17821aead4a942c23438db0c0d43652cb85708d6
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Tue Mar 15 22:23:37 2011 +0100

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit 74fdd957eeefafb8763c6b283da80ac28ee59eae
Author: Ivar Smolin <okul@linux.ee>
Date:   Tue Mar 15 17:15:51 2011 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit d36c9fca0d23fb673d7d4ddcf7b0d2c79739b56b
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Tue Mar 15 16:09:18 2011 +0100

    Updated Slovenian translation

M	po/sl.po

commit 5e97f774b224fe2886a1eed3ffcac7eb2bb72af7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Mar 15 14:01:30 2011 +0100

    Updated Polish translation

M	po/pl.po

commit 59fb60ced6537ab67652b8c7b4f167a8da135592
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Tue Mar 15 12:35:41 2011 +0100

    Updated Romanian translation

M	po/ro.po

commit f395fb3d490be996b8aa5ff25a94f863ccd250be
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Tue Mar 15 12:35:07 2011 +0100

    Updated Romanian translation

M	po/ro.po

commit 17e21bc87b53cb8c05c35809f40407ac6363fde1
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Mar 15 06:35:27 2011 +0200

    Uploaded Ukranian

M	po/uk.po

commit c6bbfa797386885d7230d128502b03c5df1feb2b
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Mar 15 04:26:42 2011 +0100

    Updated Hungarian translation

M	po/hu.po

commit f53870759374060135d4815b54ccb13d7bb1f7ac
Author: Fran Diéguez <fran@openhost.es>
Date:   Tue Mar 15 01:33:46 2011 +0100

    Updated Galician translations

M	po/gl.po

commit d008875cf57a790798c243bb136b27176bb64646
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Mar 15 00:09:36 2011 +0100

    Updated Swedish translation

M	po/sv.po

commit 66810adad747a1fbd6714a62817c227254ac7a4f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Mar 14 22:03:57 2011 +0100

    Updated Spanish translation

M	po/es.po

commit 8bdfe9e49297bfce3f82708001c7918d21fb55c9
Author: Flamarion Jorge <jorge.flamarion@gmail.com>
Date:   Mon Mar 14 11:49:36 2011 -0300

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit ce2968402f20087cec2c5d9f4fc5eb7bbfb25903
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 09:22:00 2011 -0400

    gnome-session-check-accelerated: Avoid double checking
    
    Add a mechanism to have a second gnome-session-check-accelerated
    instance wait until a first instance is done with the GL checks.
    This is meant to accomodate the situation where we run the check
    in the gdm login session, but the user quickly logs in, and
    gnome-session runs the check again.

M	tools/gnome-session-check-accelerated.c

commit bde1abd31529cbcc1c5bb80d4baaf4a799767882
Author: Daniel Șerbănescu <cyber19rider@gmail.com>
Date:   Mon Mar 14 13:47:16 2011 +0100

    Updated Romanian translation

M	po/ro.po

commit e0a65f4bfb8bb77ddef22ff3eb9aa9f885f172c9
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Mar 14 14:27:27 2011 +0200

    Updated Arabic translation

M	po/ar.po

commit aa8f8ec3395350ec5d0d3f9bea618f6188c356dc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 06:44:53 2011 -0400

    Add a full stop
    
    This was pointed out in bug 644461.

M	gnome-session/gsm-manager.c

commit 7039030ca360f844ec6d042b2e625630f12412ce
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 06:42:38 2011 -0400

    Improve the wording of the fallback dialog
    
    The changes were discussed in
    http://bugzilla.gnome.org/show_bug.cgi?id=644461 and
    http://bugzilla.gnome.org/show_bug.cgi?id=643107

M	gnome-session/gsm-manager.c

commit ac1a3a240bf08779fb920b0e123c79494c1bf32d
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Sat Mar 12 18:16:21 2011 +0000

    Updated British English translation

M	po/en_GB.po

commit 0e10923053fdc99f5da997c5d2a26e8a9bcce41b
Author: Colin Walters <walters@verbum.org>
Date:   Thu Mar 10 10:08:00 2011 -0500

    gsm-session-fill: Fix error message to include session name
    
    This was what I intended originally.

M	gnome-session/gsm-session-fill.c

commit 248e3bc0fc47e2db69b3ddba0d75033620c61102
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Mar 9 20:25:02 2011 +0100

    Updated Polish translation

M	po/pl.po

commit 86d8df6cc552e375c896ed0f7f8dae2d5915b5eb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Mar 9 11:50:57 2011 -0500

    Back up

M	configure.ac

commit 74e31ef1436319bd5587ef6b077c9341c0e9892d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Mar 9 11:46:37 2011 -0500

    Update

M	NEWS

commit 8367d907c1c46c2642a0b07bf2cfb51331f54195
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Mar 9 11:46:12 2011 -0500

    Back down

M	configure.ac

commit 18462165c81e1cc8049650f09575318c565f37c1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Mar 9 11:44:59 2011 -0500

    Fix a bug when lauching gnome-session-check-accelerated-helper
    
    This only ever worked by happenstance.
    https://bugzilla.gnome.org/show_bug.cgi?id=644299

M	tools/gnome-session-check-accelerated.c

commit 0fbff68b057d93e61e38105e978eb3497c5f35df
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Mar 9 11:02:13 2011 -0500

    Back up to 2.91.92

M	configure.ac

commit 046bc894bddbb550106b3f8023186dd2cffe3ce4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Mar 9 10:54:19 2011 -0500

    Updates

M	NEWS

commit 4af5e647404319c28686a4bc719ec8cc2bb2c821
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Mar 9 10:53:45 2011 -0500

    Back down to 2.91.91.2

M	configure.ac

commit c0840a766a02ba3f920bc810c938e6c6d13e897c
Author: Colin Walters <walters@verbum.org>
Date:   Thu Mar 3 18:55:16 2011 -0500

    gsm-process-helper: Give useful error data
    
    In order for engineers to be able to extract why a tool
    like gnome-session-check-accelerated failed, we should print
    something to ~/.xsession-errors.
    
    gsm_process_helper() only returned the exit code, unless the process
    was killed by a signal, in which case it returned -1.  However
    the only consumer of the code never checked the exit code, just
    success.
    
    So fix this by having gsm_process_helper return a normal
    gboolean/GError pair.  As part of this, clean up the code so that it
    also handles the WIFSIGNALED and WIFSTOPPED cases (See "man 2 waitpid").
    
    Also, the exit_child_simple() function was lame; we don't
    need to call g_spawn_close_pid() on Unix, so don't do it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=643880

M	gnome-session/gsm-process-helper.c
M	gnome-session/gsm-process-helper.h
M	gnome-session/gsm-session-fill.c
M	gnome-session/test-process-helper.c

commit e629d060e0a553c340d0a55f42f8a3bfda75338b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Mar 8 17:45:39 2011 -0500

    Back up to 2.91.92

M	configure.ac

commit 9a5c05ce149aa40a8c8e8dd4a3bcebd60418c15b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Mar 8 17:39:14 2011 -0500

    Fix linking with pedantic linkers

M	tools/Makefile.am

commit b1ab3eafea6db29c18d0c643f50a88c943acd41e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Mar 8 17:24:05 2011 -0500

    Update NEWS

M	NEWS

commit c71155625f26f07ef3ccdda114aa057b3a1ad4cc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Mar 8 17:23:04 2011 -0500

    Back down to 2.91.91.1

M	configure.ac

commit 01217f38addd7ea47e121fc5e31eb2a35a54f9f8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Mar 8 14:04:05 2011 -0500

    Return 0 on success
    
    Booleans and exist status don't go together well...

M	tools/gnome-session-check-accelerated.c

commit 195176657fa9dde1b2bcc1dfd7d46796c2da109f
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   Mon Mar 7 16:46:47 2011 +0530

    Updated Oriya Translation

M	po/or.po

commit 72256e903bd44018815a80d5a68582fe5ce63a18
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 7 00:01:01 2011 +0100

    release: post-release bump to 2.91.92

M	configure.ac

commit ba167fb22e46e0942b16d342bcd26799cd762301
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 7 00:00:55 2011 +0100

    release: 2.91.91

M	NEWS

commit 7bbd1fcb43f892a09aad65cf1b74fa29b38c2a9d
Author: David Planella <david.planella@gmail.com>
Date:   Sun Mar 6 22:22:20 2011 +0100

    [l10n] Updated Catalan translation

M	po/ca.po

commit db7903f9438cfd3c47dda9d65ca84ec5591a44fe
Author: Pavol Šimo <palo.simo@gmail.com>
Date:   Sun Mar 6 17:46:41 2011 +0100

    Updated Slovak translation

M	po/sk.po

commit 6528cc48071975f945db76053b3324cde11ba496
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Mar 6 15:35:09 2011 +0200

    Updated Arabic translation

M	po/ar.po

commit 201ef329f2aa2a7715bb319b266294eec97a5926
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri Mar 4 17:00:49 2011 +0200

    Uploaded Ukranian

M	po/uk.po

commit d05fceeefab3af71a40e7a2e12a7eb41f13310c5
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Fri Mar 4 00:43:21 2011 +0200

    Updated Latvian translation.

M	po/lv.po

commit ffe98dd102abd4b39732cae69fc35ed3b0522604
Author: Colin Walters <walters@verbum.org>
Date:   Mon Feb 28 10:03:13 2011 -0500

    gnome-session-check-accelerated: Set X property _GNOME_SESSION_ACCELERATED
    
    It would make sense to run gnome-session-is-accelerated in
    GDM, in parallel with the user is typing their password.  A
    good way to pass that knowledge through to gnome-session
    so it knows it can avoid repeating the same check is via
    an X property.
    
    So create a new tool "gnome-session-check-accelerated", which takes
    the name of the old one (now renamed "gnome-session-check-accelerated-helper")
    and stores that status as an X property.  gnome-session will then
    itself run it again, but it should pick up the property and reuse that
    value.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=641992

M	configure.ac
M	data/gnome.session.desktop.in.in
M	tools/Makefile.am
R099	tools/gnome-session-is-accelerated.c	tools/gnome-session-check-accelerated-helper.c
A	tools/gnome-session-check-accelerated.c

commit 68c1927aee83020156e00b79928870aaa8c40bc5
Author: A S Alam <aalam@users.sf.net>
Date:   Thu Mar 3 08:23:31 2011 +0530

    update Punjabi Translation by A S Alam

M	po/pa.po

commit 51d1473c3e8ffc1328b4bde2c3e8e9415ddccd4d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Mar 2 20:32:04 2011 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit 7260541a114d52f1de735e0ba123979c53ccab44
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Mar 2 18:44:13 2011 +0100

    Rename org.gnome.SessionManager.gschema.migrate to gnome-session.convert
    
    This is more consistent with what others are doing.

M	data/Makefile.am
R100	data/org.gnome.SessionManager.gschema.migrate	data/gnome-session.convert

commit 2e875d3d011b24005d807d96be167414c4a6d6ac
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Wed Mar 2 13:41:48 2011 +0100

    Updated French translation

M	po/fr.po

commit 6c6810669b35168ed4c74c4c8e615ea768622796
Author: Lucas Rocha <lucasr@litl.com>
Date:   Tue Mar 1 17:43:54 2011 +0000

    Remove my name from list of maintainers
    
    It's been long enough that I'm not hacking on gnome-session.

M	MAINTAINERS
M	gnome-session.doap

commit 6131a4cfba214b89d0197510a4f4cab33a160bfd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 28 19:43:32 2011 -0500

    gsm_manager_get does not return a reference
    
    This causes gnome-session to crash and burn whenever the new
    if-session condition is used.

M	gnome-session/gsm-autostart-app.c

commit 9d0ee2ef615e27d3b612b36a0b7d2916d6759b32
Author: Colin Walters <walters@verbum.org>
Date:   Mon Feb 28 12:12:18 2011 -0500

    Remove GTK2 compilation option
    
    Acked by vuntz on IRC; if someone really cares and has a rationale
    they can come by with a patch.  I don't want to have to worry
    about testing with GTK2 for some new changes.

M	configure.ac

commit f6a20af48ac40bb02c763da53c793008c42a64d6
Author: Colin Walters <walters@verbum.org>
Date:   Mon Feb 28 10:25:15 2011 -0500

    Increase is-accelerated runnable helper timeout
    
    0.5 seconds is *way* too short; we could easily get 0.25 seconds from
    simply loading the binary off a slower disk/fragmented filesystem etc.
    
    This is likely a temporary hack; see the bug for more discussion.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=641992

M	gnome-session/gsm-session-fill.c

commit 4d1f6b096900a117d20be1d163d3701e8ececff3
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sun Feb 27 23:07:41 2011 +0200

    Updated Hebrew translation.

M	po/he.po

commit 7227dec7afa2cf764e3bc1e9fc1802a69b74dc36
Author: Ivar Smolin <okul@linux.ee>
Date:   Sun Feb 27 19:20:56 2011 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit 3ae2c358655006c4bf692572303a1055c0e865be
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Feb 27 17:54:35 2011 +0100

    Updated Swedish translation

M	po/sv.po

commit e82df3f67f70820cdcc4b9628b03c8f9e4d05aff
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Feb 27 17:55:12 2011 +0900

    Updated Korean translation

M	po/ko.po

commit 3cd96587721a1d6a1b652bba73289e7a6c888a90
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Feb 26 12:23:23 2011 +0100

    Updated Spanish translation

M	po/es.po

commit 3e2cb3e932a9f87b2d995b0dd2d3716d2853147d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Feb 25 20:18:35 2011 +0100

    Updated Slovenian translation

M	po/sl.po

commit bd5578317a6818d9b104d1acd839387fd5dc8e6a
Author: Ray Strode <rstrode@redhat.com>
Date:   Fri Feb 25 09:45:19 2011 -0500

    shell: fix cancel button in logout dialog
    
    We were queuing an update from inhibitor changes that could
    fire after the dialog was canceled, which would cause it to
    reopen.
    
    This commit makes sure the dialog is still open before processing
    any queued inhibitor updates.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=643294

M	gnome-session/gsm-shell.c

commit 8663860ff44b9a5e441e4909a49eee4cfa08378d
Author: William Jon McCann <jmccann@redhat.com>
Date:   Thu Feb 24 17:38:13 2011 -0500

    rename gnome-session-save to gnome-session-quit
    
    Is much less misleading since it doesn't save anything.

M	doc/man/Makefile.am
A	doc/man/gnome-session-quit.1
D	doc/man/gnome-session-save.1
M	po/POTFILES.in
M	tools/Makefile.am
R059	tools/gnome-session-save.c	tools/gnome-session-quit.c

commit cba6e372e3f9130b22d7d614d376c3c9ae898ce7
Author: Colin Walters <walters@verbum.org>
Date:   Tue Feb 22 15:23:14 2011 -0500

    main: Better error message on not-found session
    
    I didn't have "gnome-fallback" yet in my install, but my user
    had that configured.  Just show a better error message for
    debugging.

M	gnome-session/gsm-session-fill.c
M	gnome-session/main.c

commit a4d8da2de02b3815441f8bdc9281dccdeba3c2dc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 24 01:01:31 2011 +0100

    gsm: Move a define
    
    Just moving a define for a GSettings key to live with the schema it
    belongs to.

M	gnome-session/gsm-manager.c

commit ed9acae10a2e7e6363e3a3e691a75cabc67fe5a9
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Feb 23 18:40:24 2011 +0200

    Updated Arabic translation

M	po/ar.po

commit 4c6feb42ad7d3fd5f290f613cfd21fc12823d0d2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 23 16:44:30 2011 +0100

    gsm: Fix typo in fallback dialog
    
    https://bugzilla.gnome.org/show_bug.cgi?id=643055

M	gnome-session/gsm-manager.c

commit 27008ed3db201fdc31b47571b4b721f3b22680cd
Author: Ivar Smolin <okul@linux.ee>
Date:   Wed Feb 23 13:36:01 2011 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit c7d97c675b03840a38916d4f8a472f8138f7a74e
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Wed Feb 23 07:50:44 2011 +0200

    Updated Bulgarian translation

M	po/bg.po

commit 1fde73507d561079669c1c6ad09bca9094ce8792
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 23 01:56:14 2011 +0100

    release: post-release bump to 2.91.91

M	configure.ac

commit a3ac120330776d9378329879b9c9ec8eb9643590
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 23 01:56:08 2011 +0100

    release: 2.91.90.1

M	NEWS
M	configure.ac

commit 0b71e3d369d1b922541c0f0fe764e576b54a8f1d
Author: Colin Walters <walters@verbum.org>
Date:   Tue Feb 22 14:57:58 2011 -0500

    manager: Handle session name being NULL from gdm
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642988

M	gnome-session/gsm-manager.c

commit 8f9778ff429c29fc0aa16def9968fe7ff6bdcccd
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Tue Feb 22 15:23:20 2011 +0530

    Updated Bengali India Translation

M	po/bn_IN.po

commit 222a6c2576725a8e32b48d01aacd00e92c79bb55
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 22 00:01:03 2011 +0100

    release: post-release bump to 2.91.91

M	configure.ac

commit 95aa91bc6d2c07b7e017d070e123db95b47dc68f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 22 00:00:57 2011 +0100

    release: 2.91.90

M	NEWS

commit 778dd6617d9500b96d8c2370a129e23043a3090a
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Mon Feb 21 09:29:55 2011 +0200

    Updated Hebrew translation.

M	po/he.po

commit ea94a0cf4364a3110e56cad77aff7e9d4a6bb07c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Feb 20 14:03:53 2011 +0100

    Updated Slovenian translation

M	po/sl.po

commit 5865584ec2c9a77bf9a92003b3e27aa581c6e73e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Feb 20 12:13:06 2011 +0100

    Updated Norwegian bokmål translation.

M	po/nb.po

commit d194ca8932503d89c8e5b2748a634025f5ba368b
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Feb 19 12:46:27 2011 +0100

    Updated Spanish translation

M	po/es.po

commit 3f238fe67647ea8bfe26701a36d6372021572249
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Feb 17 18:09:43 2011 -0500

    shell: update dialog as inhibitors change
    
    This commit allows the logout dialog to get updates
    when the list of inhibitors changes.

M	gnome-session/gsm-shell.c

commit b0f4b0510d97f4b702413b1956ddfe51254e1bd1
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Feb 17 18:06:46 2011 -0500

    shell: drop unused parameter to open function

M	gnome-session/gsm-manager.c
M	gnome-session/gsm-shell.c
M	gnome-session/gsm-shell.h

commit f8fb3ad12a8a7eb4a4609ac9c2889c5c8f3db908
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Feb 17 16:21:58 2011 -0500

    manager: add some phase checking paranoia
    
    When the user confirms logout, make sure we didn't
    already start logging out for other reasons before
    processing the confirmation
    
    Suggestion form Vincent.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=637188

M	gnome-session/gsm-manager.c

commit 6f0f9f0b55eb8b95f94415400ba6ecf5a8a773ad
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Feb 17 16:12:55 2011 -0500

    manager: clean up shell signal connection code
    
    We weren't doing a very good job disconnecting the handlers.
    
    Spotted by vuntz
    
    https://bugzilla.gnome.org/show_bug.cgi?id=637188

M	gnome-session/gsm-manager.c

commit ff337d253a475a79337e0f610e4d6027095721f4
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Feb 17 16:07:04 2011 -0500

    manager: honor no confirmation logout mode for shell
    
    We were previously ignoring the bit.  This commit makes us
    look at it and honor it.
    
    Based on feedback from vuntz
    
    https://bugzilla.gnome.org/show_bug.cgi?id=637188

M	gnome-session/gsm-manager.c

commit d7adaa9111d0f42d11225c7e29a7ee1d37d74d2f
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Feb 17 15:37:57 2011 -0500

    manager: track full details of logout request
    
    When we get a logout request, there are two bits of information
    that come with the request:
    
    1) Whether or not we should seek confirmation by default from the user
    before proceeding
    2) Whether or not individual applications should be given an
    opportunity to ask us to seek confirmation from the user before
    proceeding.
    
    We track the latter in a boolean state variable (forceful_logout),
    but not the former.
    
    We already have an enumeration type (GsmManagerLogoutMode) that can
    be used to track both bits, though.
    
    This commit changes the boolean state variable to the enum type, so
    the whether-we-should-confirmation information is available deeper
    down in the logout process.

M	gnome-session/gsm-manager.c

commit 14e39d6aaed4a34448fe264a8393e3527522c4d2
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Feb 17 14:52:04 2011 -0500

    manager: don't show inhibitor dialog if no inhibitors
    
    I moved this to the wrong place when shuffling code around before.
    
    Spotted by vuntz
    
    http://bugzilla.gnome.org/637188

M	gnome-session/gsm-manager.c

commit 6454e7b0a994777ebe4c10fbc49087a231f66c05
Author: William Jon McCann <jmccann@redhat.com>
Date:   Thu Feb 17 17:55:11 2011 -0500

    Mark session-name as read only
    
    Avoids a warning

M	gnome-session/gsm-manager.c

commit 457c92b483cea2514125a3ce1d800f8a03113dde
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Feb 17 19:42:38 2011 +0200

    Updated Arabic translation

M	po/ar.po

commit 85975ceb221b6137814ed695438cbf93ddd4ab0c
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Feb 17 14:11:19 2011 +0100

    Store svg compressed
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642556

M	data/Makefile.am
D	data/sad-computer.svg
A	data/sad-computer.svgz
M	gnome-session/gsm-manager.c

commit ff349aa2da1b7437f58e9950f2a28468fcfc1225
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Feb 17 14:03:53 2011 +0100

    Updated Norwegian bokmål translation.

M	po/nb.po

commit bad81e27574fcf8d1623cdc6d07cc7bf4b08b12e
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Feb 17 11:46:41 2011 +0100

    Show a dialog after login the first time we fall back to gnome-fallback
    
    This is based on the mockups in:
    
     http://gitorious.org/gnome-design/gnome-design/blobs/master/mockups/session/fallback.png
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642556

M	configure.ac
M	data/Makefile.am
M	data/org.gnome.SessionManager.gschema.xml.in
A	data/sad-computer.svg
M	gnome-session/gsm-manager.c

commit 70669f60c82431c0b1193fc60d3dae8b51318c3b
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Thu Feb 17 13:11:48 2011 +0530

    Updated Gujarati Translations

M	po/gu.po

commit 25b4a9e701bf8f4221d41665b2c049576d7b1187
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Wed Feb 16 22:47:42 2011 +0200

    Updated Bulgarian translation

M	po/bg.po

commit 3f6b9b6409c8d3d589084765d16c67a7a13cae95
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 16 13:21:04 2011 -0500

    Fix the build

M	gnome-session/gsm-manager.c

commit 9e07c6fa9ca2535316ac249e190e8b4f382e0527
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 15 13:45:32 2011 -0500

    Avoid a warning from the fallback property
    
    Construct properties still need to be handled in set_property.

M	gnome-session/gsm-manager.c

commit 52d19775daa22f48d0c11688efbd0dbd647fb58f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 16 12:01:54 2011 -0500

    Make notification-daemon a required part of the fallback session
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642378

M	data/gnome-fallback.session.desktop.in.in

commit 13803738bd514553eb86919979fb69e09ddf68c8
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed Feb 16 17:21:29 2011 +0100

    Use gsm_manager_get instead of gsm_manager_new to get the manager

M	gnome-session/gsm-autostart-app.c

commit 02a34d8405b271678697569c439ec2aa3cc5895c
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed Feb 16 17:21:11 2011 +0100

    Add gsm_manager_get() to get the manager singleton

M	gnome-session/gsm-manager.c
M	gnome-session/gsm-manager.h

commit 58ebdfac223e6246323a6fcc452221a7581ed868
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed Feb 16 14:36:37 2011 +0100

    Support autostart conditions that depend on the current session
    
    autostart desktop files can add for example:
     AutostartCondition=GNOME3 is-session gnome-fallback
    or
     AutostartCondition=GNOME3 unless-session gnome
    
    To start only under a specific session.
    
    The GNOME3 prefix is to make it desktop specific as per the
    autostart spec. Unfortunately GNOME means a gconf key for historical
    reasons.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642368

M	gnome-session/gsm-autostart-app.c

commit 3de35f663d1a3cb188fe662ca8aed0fa5af1ebeb
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed Feb 16 12:25:15 2011 +0100

    Make the current session name a property on the session manager
    
    This way this is introspectable via dbus, and its also useful internally
    as a change notification if it changes at runtime.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642368

M	gnome-session/gsm-manager.c
M	gnome-session/gsm-manager.h
M	gnome-session/gsm-session-fill.c

commit 71cc0cde1a3fe81639ad86dde11ee4b2be42955e
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Feb 14 16:29:13 2011 +0100

    Use "session-name" property which specifies which session to use
    
    Currently we have two sessions:
    
    "gnome"
    "gnome-fallback"
    
    This adds a GSetting (actual key defined in gsettings-desktop-schemacs)
    which allows choosing between these, and potentially any arbitrary
    .desktop file that a fork or embed may write.
    
    This key will be toggled by gnome-control-center to implement
    the "always fall back" preference.

M	gnome-session/gsm-manager.c
M	gnome-session/gsm-manager.h
M	gnome-session/gsm-session-fill.c

commit e5e3a4cbc6ec4b9697e1c8a7cf02151a3d6659b3
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Feb 12 00:25:08 2011 +0100

    [l10n] Updated Catalan translation

M	po/ca.po

commit 918cbc83d17f21b37a4b4aaba588dd2abe9c2990
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Fri Feb 11 23:11:10 2011 +0100

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit dab1547fee33704624bd9b40882d59eef5587827
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 8 08:53:18 2011 +0100

    gsm: screensaver schemas moved to gsettings-desktop-schemas
    
    So use org.gnome.desktop.screensaver instead of org.gnome.screensaver.

M	gnome-session/gsm-manager.c

commit 559ae7984759a8e2b696f8e84383aa9195112812
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 04:09:36 2011 +0100

    gsm: Do not even care about error message in gsm_shell_init()
    
    The newly added debug messages should be enough, and we know the shell
    won't be running yet at that time (unless a new object is created after
    startup, but that's not the case right now).

M	gnome-session/gsm-shell.c

commit 13b7b47f26646592785b9a4facf13b0e404d19ae
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 04:08:01 2011 +0100

    gsm: Add some debug message in gsm-shell.c

M	gnome-session/gsm-shell.c

commit b032b2689ee1d55e2c8c856edf0c8490a895adbc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 03:58:41 2011 +0100

    gsm: Fix description of a property

M	gnome-session/gsm-shell.c

commit 2a7b9286e511f0592c05090acb8aa1d25a463768
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 03:51:49 2011 +0100

    gsm: Use g_settings_bind_with_mapping() to keep idle-delay in sync
    
    This requires latest gsettings-desktop-schemas, since idle-delay needs
    to be a guint32.

M	gnome-session/gsm-manager.c

commit ef30fc6c2ee72a2de8d014cd3a30c6e0fbf6da25
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 03:49:42 2011 +0100

    release: post-release bump to 2.91.90

M	configure.ac

commit 67cb5053c264be4731c2922e431750090bbc851d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 03:49:37 2011 +0100

    release: 2.91.6

M	NEWS
M	configure.ac

commit 178f9042c101d717d5664fb63d3507bbfed60186
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 03:20:43 2011 +0100

    gsm: Simplify gsettings code
    
    There's no need to be that careful with GSettings: we're guaranteed to
    always get a value.

M	gnome-session/gsm-manager.c

commit 11d9ec5976671e54714a4667e5ca45c925c0d762
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 03:11:09 2011 +0100

    capplet: Use g_settings_bind() to simplify code
    
    Also unref the GSettings on dispose().

M	capplet/gsm-properties-dialog.c

commit 85f69aab79858b13f8838b7868b724e264eda82b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 02:42:12 2011 +0100

    gsm: When checking for required components, abort on the first missing

M	gnome-session/gsm-session-fill.c

commit d560ee0d428b7f2dfb2dee4b6aec5741c404a241
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 02:35:35 2011 +0100

    gsm: Remove duplicate debug message

M	gnome-session/gsm-session-fill.c

commit b4900b634f4aca8b87c4b98442d72554f13087a3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 02:34:28 2011 +0100

    gsm: Code beautification

M	gnome-session/gsm-session-fill.c

commit 2e538e02100d7b76acabc6ba6e234b1c8b50d99e
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Feb 1 13:58:37 2011 -0500

    gsm: drop desktop schema
    
    It's been moved to gsettings-desktop-schemas

M	configure.ac
M	data/Makefile.am
D	data/org.gnome.desktop.session.gschema.migrate
D	data/org.gnome.desktop.session.gschema.xml.in

commit d26b7787917ac7c20b71377c79f86b88d343516e
Author: Ivar Smolin <okul@linux.ee>
Date:   Tue Feb 1 19:36:02 2011 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit 5a472935e9fc23ac2d946b72a2d5eea150148b67
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 31 12:32:30 2011 +0100

    capplet: Fix build warning
    
    gtk_target_table_new_from_list() takes gint* instead of guint*.

M	capplet/gsm-properties-dialog.c

commit b1adda256147810818bfb1753db6965e72ca18bb
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 31 12:31:05 2011 +0100

    gsm: Do not use deprecated gdk_app_launch_context_new()

M	gnome-session/gsm-manager.c

commit 2c9448bbe456dd2b29e42952151ff15baf5d733f
Author: Ray Strode <rstrode@redhat.com>
Date:   Fri Jan 28 15:54:27 2011 -0500

    shell: don't scream if shell isn't around
    
    It's not necessarily a problem if the shell isn't around,
    so we shouldn't g_warning it.

M	gnome-session/gsm-shell.c

commit c7d579a374e6942f6f5b8ce5eda246e5bffb8ca5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jan 28 09:27:15 2011 +0100

    build: Remove leftovers from DEFAULT_WM forgotten in 5f114bde

M	data/Makefile.am
M	data/gnome-fallback.session.desktop.in.in

commit 0a8d6882e011eb6978c6b10fa93aa051b0bb18d2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 27 16:07:51 2011 -0500

    Fix a warning message

M	gnome-session/gsm-session-fill.c

commit ef3dae97b7fdd53bc9cabb1c1010acecc4b45ae0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 27 15:57:39 2011 -0500

    Remove gnome-wm man page
    
    Since the script is gone...

M	doc/man/Makefile.am
M	doc/man/gnome-session.1
D	doc/man/gnome-wm.1

commit d77392333122e8a4177d9e58088706920ea94181
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 26 21:45:16 2011 -0500

    Use fallback session if required components are missing
    
    https://bugzilla.gnome.org/show_bug.cgi?id=639971
    
    Also, avoid a segfault when no valid session is found.

M	gnome-session/gsm-session-fill.c

commit 6afeeb5de842b1cbba6399fdc48952363c60e810
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Jan 27 03:34:41 2011 +0100

    QA of Galician translations

M	po/gl.po

commit afc4fcb5fca869f168b7e172d1e4265f48625cb8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Jan 26 12:12:16 2011 +0100

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 9594f7f67cdab0ea14a03ed5c3f90ee8fea7ef90
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Jan 24 21:48:59 2011 +0100

    Updated Slovenian translation

M	po/sl.po

commit 1f9ed4829f56826b05c9d4f9fbab8fb7bca53e8c
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Oct 26 17:04:51 2010 -0400

    shell: add support for shell logout/shutdown dialog
    
    This commit changes gnome-session to use the shell for
    presenting the logout and shutdown dialogs.
    
    Coordination happens over the session bus.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=637188

M	gnome-session/Makefile.am
M	gnome-session/gsm-manager.c
A	gnome-session/gsm-shell.c
A	gnome-session/gsm-shell.h

commit 5f50ada8a0ddb39d56c73a4c813e9ce135251e23
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Jan 24 13:04:13 2011 -0500

    build: fix typo in CLEANFILES
    
    We were cleaning out non-generated files.

M	data/Makefile.am

commit 93c66fece3ee439e9d4bf55ab7455c0321dbe8e2
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Jan 17 19:13:07 2011 -0500

    gsm, capplet: move from gconf to gsettings
    
    This gets us more GNOME 3 compliant.
    
    Note we still use gconf for autostart files that require it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=639801

M	capplet/gsm-properties-dialog.c
M	capplet/main.c
M	configure.ac
M	data/Makefile.am
D	data/gnome-session.schemas.in
A	data/org.gnome.SessionManager.gschema.migrate
A	data/org.gnome.SessionManager.gschema.xml.in
A	data/org.gnome.desktop.session.gschema.migrate
A	data/org.gnome.desktop.session.gschema.xml.in
M	gnome-session/gsm-inhibit-dialog.c
M	gnome-session/gsm-manager.c

commit 80b5b15d68e4bc80d19d924bcadfeac5263cf8d2
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Jan 23 14:38:41 2011 +0200

    Updated Arabic translation

M	po/ar.po

commit dff5a0436c1052b7e689160dc7bb5b140ca1c3ba
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sun Jan 23 02:59:50 2011 +0200

    Updated Hebrew translation.

M	po/he.po

commit 18946d96d1c3caa05be22e212f4fd2d24a19d470
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sat Jan 22 14:16:14 2011 +0100

    Updated Swedish translation

M	po/sv.po

commit 2c68cb5597e9f7243492852a6b7e811de173d3c1
Author: David Planella <david.planella@gmail.com>
Date:   Sat Jan 22 13:34:55 2011 +0100

    Updated Catalan translation

M	po/ca.po

commit 5f3ffaf38d136afcb2a6e2687b757cf20b9a3c19
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Jan 20 19:24:01 2011 +0100

    Remove gnome-wm.* leftovers

M	po/POTFILES.in

commit cb3b8e81a415885a496a53eb989bd0b5f8e9eeef
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Jan 20 19:23:42 2011 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit 5f114bde4d4c37d2bd895f18df78bc2ba8355c32
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 20 10:07:58 2011 -0500

    Drop gnome-wm script
    
    This doesn't make sense in the GNOME 3 world anymore.
    Also, nuke the --default-wm configure option.

M	configure.ac
M	data/Makefile.am
D	data/gnome-wm
D	data/gnome-wm.desktop.in.in

commit 078ad57e32adddbee29d9bbbfec1f9ccd63ed2eb
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Jan 19 23:49:44 2011 +0100

    Updated Galician translations

M	po/gl.po

commit 67d17d735b3e4be9d0a0423a3c48d090b07f3acc
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Jan 19 21:26:22 2011 +0100

    Updated Spanish translation

M	po/es.po

commit 9579aab70dbae973cded235dcd41bc881f8928f0
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Jan 19 21:25:39 2011 +0100

    Updated Spanish translation

M	po/es.po

commit e9caec6fd1bc269d5998465bb9d7fb067c67f4ec
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Jan 19 21:25:18 2011 +0100

    Updated Spanish translation

M	po/es.po

commit c9cdc9131f75657d9f9dad63184bf43f2a3b5fe7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 19 15:02:16 2011 -0500

    Rename 'Classic GNOME' to 'GNOME fallback'
    
    Since this is what it is...

M	data/Makefile.am
R087	data/classic-gnome.session.desktop.in.in	data/gnome-fallback.session.desktop.in.in
M	data/gnome.session.desktop.in.in
M	po/POTFILES.in

commit 6b9e86c07a5a3dd73a6457afd9d6e4388150422b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 19 14:58:27 2011 -0500

    Don't run nautilus by default
    
    Since nautilus is no longer showing icons on the desktop by default,
    running it only slows down login.

M	data/classic-gnome.session.desktop.in.in
M	data/gnome.session.desktop.in.in

commit d2adb9d3e932473afb164840530595ede6997a8a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 16 11:02:04 2011 -0500

    Don't use internal GTK+ api
    
    GtkTargetPair was always documented as private.
    In GTK+ 3, it is gone from the headers. Operate on
    GtkTargetEntry tables instead.

M	capplet/gsm-properties-dialog.c

commit 2bd1975803f1d7e03a7f98881e8332a2330c4146
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jan 14 08:44:52 2011 +0100

    tools: Do not consider Gallium's softpipe and llvmpipe as accelerated
    
    Those are software renderers too. It might be that llvmpipe gets good
    enough in the future, but it's not the case at the moment.
    
    Based on patch from Matthias Clasen <mclasen@redhat.com>.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=639490

M	tools/gnome-session-is-accelerated.c

commit e99cf457281dde402dbf7aa9e85697ded35a5458
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Wed Jan 12 23:32:21 2011 +0200

    Updated Bulgarian translation

M	po/bg.po

commit e67d4bf8d00dcd7ef2b8eafebcb0227fd1b5ad4f
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Jan 12 11:39:54 2011 +0200

    Updated Arabic translation

M	po/ar.po

commit 2d34922330470d20cb63d607a219336f271f5364
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue Jan 11 15:34:34 2011 +0700

    Updated Indonesian translation

M	po/id.po

commit a62ce22005652f88dfd43ff97858d9e44713b24e
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Sat Jan 8 18:45:54 2011 +0100

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit 3c0ddac0a62135e8ce7d5cdbfa9bbbbc4c629443
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Fri Jan 7 09:38:05 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 1ebedc175e6e2eb7b8af47b478cf9b268e26fd61
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Jan 3 11:17:42 2011 +0100

    Updated Hungarian translation

M	po/hu.po

commit 8382aafc0e4093c314594b3632ae629552ae2b75
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Jan 2 19:18:15 2011 +0100

    Updated Norwegian bokmål translation from Torstein Adolf Winterseth

M	po/nb.po

commit 7dd60e01c88d2d92b0706bea8b19f7d9d7abed30
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Dec 29 15:51:07 2010 +0100

    Updated Swedish translation

M	po/sv.po

commit deb58a8aff0b875f26eda1d536f17c15b766158a
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Dec 29 15:38:55 2010 +0100

    Updated Swedish translation

M	po/sv.po

commit 5f7a36bfe672c31d0b29497f80daa4d3cd8be0b9
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Dec 28 22:34:12 2010 +0100

    Updated Slovenian translation

M	po/sl.po

commit 09337cc27ab641f27d7de9210187a2c7852042fd
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Thu Dec 23 19:07:38 2010 +0100

    Added UG translation

M	po/ug.po

commit cbce4760c63c5a42300b5ed7fdd1b7dca19bf619
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Dec 23 16:32:28 2010 +0100

    build: Change GETTEXT_PACKAGE to gnome-session-3.0

M	configure.ac

commit 2201e7362b761a2273c759bbdfce45ae34e3c4e9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Dec 23 11:32:42 2010 +0100

    release: post-release bump to 2.91.5

M	configure.ac

commit 5a20e32c4962fd25fcc960bb0cf530c4a808fba3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Dec 23 11:32:35 2010 +0100

    release: 2.91.4

M	NEWS
M	configure.ac

commit 96f2f79e9f43168b4e8681665ceec970f9c7b98c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Dec 23 11:13:18 2010 +0100

    gsm: Fix previous commit (c1008ee0)
    
    The error check was wrong.

M	gnome-session/gsm-manager.c

commit c1008ee0e31b9ada5ebf4854988687394281693b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Dec 22 12:00:56 2010 -0500

    Don't use gdk_spawn to launch gdmflexiserver

M	gnome-session/gsm-manager.c

commit 627e9520a713d44e26172e3a07b568b851a7ffcb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Dec 22 10:21:52 2010 -0500

    Fix the build with recent GTK+
    
    I've tried to ifdef this, but the gtk2 branch is untested.

M	egg/eggsmclient-private.h
M	egg/eggsmclient-xsmp.c

commit e0a593f465f0d76837a823081550e48816ef984e
Author: Mahyar Moghimi <mahyar.moqimi@gmail.com>
Date:   Tue Dec 21 14:48:32 2010 +0330

    Updating Persian translation

M	po/fa.po

commit 9a79ea59c3d71b441144e498add15c3a95c92137
Author: Ivar Smolin <okul@linux.ee>
Date:   Mon Dec 20 14:25:56 2010 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit c8f6f15cce8c6651c5f31ccabeebb690d57753a9
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Dec 12 22:02:47 2010 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit a9812395e88d0d4bbbc3d387018089270cc16992
Author: Ivar Smolin <okul@linux.ee>
Date:   Sun Dec 12 13:17:14 2010 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit e6fcf322a449b3c4cc5a4369ebf78b82ca75d5e2
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Dec 11 20:41:02 2010 +0100

    Updated Slovenian translation

M	po/sl.po

commit 3f4e2dd9f9fae6901d6571ce77964e971957f65c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Dec 11 16:30:44 2010 +0100

    Updated Spanish translation

M	po/es.po

commit ac52139c41868657d4447ff80000253bf5fc02b7
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Dec 10 23:49:54 2010 +0100

    Updated Galician translations

M	po/gl.po

commit f01b8560e56411f34f1d7c29dba660d7a75c7d49
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Dec 9 16:00:42 2010 +0200

    Updated Hebrew translation.

M	po/he.po

commit 18839336d46638ab3c756acea4f4c069625bd674
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Dec 8 12:00:40 2010 -0500

    Update POTFILES.in to make make check work

M	po/POTFILES.in

commit 18467c516f481f647aca929f2a618d2bfe489dbf
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Dec 6 18:56:58 2010 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit 735e6513938e03ec3b62d53d1c71aadd34e6ecca
Author: Ivar Smolin <okul@linux.ee>
Date:   Mon Dec 6 17:27:12 2010 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit 757a5a92721fb8bc81b3efebc2294810746eaf38
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Mon Dec 6 14:38:32 2010 +0200

    Updated Hebrew translation.

M	po/he.po

commit bf06cfac662cec1ea0475414645b1c4e5af5f08c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 6 00:52:54 2010 -0500

    Remove nonexisting data/gnome-session.schemas.in.in from POTFILES.in

M	po/POTFILES.in

commit ce7828bbd9446fd08edfaca9815b76c1314b99ed
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Dec 2 18:05:48 2010 -0500

    Fix build with current GTK+

M	gnome-session/test-inhibit.c

commit 402afb93ca0ddeff6ae857f728678316ccfac8c8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Nov 30 17:04:48 2010 +0100

    build: don't forget to link gnome-session-is-accelerated to Xlib

M	tools/Makefile.am

commit e8ca44654d728e1d1abb2da553aa7b2e6259d0b1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 29 23:26:22 2010 +0100

    gsm: Remove a timeout when ending a phase
    
    This is just to be consistent with what we do when we start a phase.

M	gnome-session/gsm-manager.c

commit 6fd301895a39fc32f302ea3fced74fc03e5c75c9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 29 22:47:00 2010 +0100

    capplet: Also give the dialog a reasonable width
    
    We don't want to depend on the natural size, which depends on the length
    of strings for this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=635891

M	capplet/gsm-properties-dialog.c

commit 8c4cdd5304929d19a27f876eb9cb5bbb67a4d59f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 29 22:44:03 2010 +0100

    capplet: Give the dialog a reasonable default height
    
    https://bugzilla.gnome.org/show_bug.cgi?id=635891

M	capplet/gsm-properties-dialog.c

commit b3375fa652b236d0c81079a3513ba2a11f22eee9
Author: Ricardo Cruz <rpmcruz@alunos.dcc.fc.up.pt>
Date:   Mon Nov 29 22:42:31 2010 +0100

    capplet: Fix inline search
    
    The inline search works with a strncmp(), so we need a string that has
    no markup to compare it with.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=633269

M	capplet/gsm-properties-dialog.c

commit a907ca8cdfbd07d4b752a5d04c1210b6b468f68f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 29 19:38:15 2010 +0100

    doc: Fix small issues in gnome-session man page

M	doc/man/gnome-session.1

commit a4133fcb08dc72b581a82a7754f712a82b07c5f7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 29 19:31:30 2010 +0100

    data: Change gnome.session to start GNOME Shell
    
    We use the gnome-session-is-accelerated tool to know if GNOME Shell be
    used, and if no, we fallback to the classic-gnome session.

M	data/Makefile.am
C090	data/gnome.session.desktop.in.in	data/classic-gnome.session.desktop.in.in
M	data/gnome.session.desktop.in.in

commit f8d340652f597cfef6e06aef1e271ab7fde24f27
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 29 19:31:02 2010 +0100

    tools: Add a gnome-session-is-accelerated helper tool
    
    This small tool does various checks, and it will be used to know if we
    can run GNOME Shell or not.

M	configure.ac
M	tools/Makefile.am
A	tools/gnome-session-is-accelerated.c

commit 8e6713f15a2819dd7bdd8a9a33ec2314633ff2d6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 29 19:28:07 2010 +0100

    gsm: Make it possible for a .session file to define a fallback session
    
    Two new keys are introduced: IsRunnableHelper and FallbackSession.
    
    The first one defines a helper that is run to know if the session can be
    used (only if the helper returns 0). The second defines the fallback
    session to use if the helper doesn't return 0.
    
    The helper cannot run for more than 500 ms.
    
    There is a test program to make sure that our helper process management
    works okay.

M	gnome-session/Makefile.am
A	gnome-session/gsm-process-helper.c
A	gnome-session/gsm-process-helper.h
M	gnome-session/gsm-session-fill.c
A	gnome-session/test-process-helper.c

commit 30da8bec52103eb812439ddc03dcdb9ff47d34a9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 29 19:06:30 2010 +0100

    gsm: Move the definition of a session from gconf to .desktop-like files
    
    This will help us both for the GSettings migration and to implement the
    fallback from GNOME Shell to Classic GNOME.
    
    The --default-session-key argument has been changed to --session, which
    takes the basename (without extension) of the .desktop-like file to use.
    By default, gnome is used, and the gnome.session file is looked for in
    $XDG_CONFIG_HOME/gnome-session/sessions,
    $XDG_CONFIG_DIRS/gnome-session/sessions,
    $XDG_DATA_DIRS/gnome-session/sessions.

M	data/Makefile.am
A	data/gnome-session.schemas.in
D	data/gnome-session.schemas.in.in
A	data/gnome.session.desktop.in.in
M	doc/man/gnome-session.1
M	gnome-session/gsm-session-fill.c
M	gnome-session/gsm-session-fill.h
M	gnome-session/main.c

commit f415130f0de6cdc13d9433632d5ee1554a242103
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 29 15:14:31 2010 +0100

    capplet: Remove useless define

M	capplet/gsm-properties-dialog.c

commit 378f502047022b263d14bbbec213ad442e5ad822
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 29 15:13:50 2010 +0100

    gsm, capplet: Do not define IS_STRING_EMPTY in multiple places
    
    Just define it in gsm-util.h once.

M	capplet/gsm-properties-dialog.c
M	gnome-session/gsm-dbus-client.c
M	gnome-session/gsm-inhibit-dialog.c
M	gnome-session/gsm-inhibitor.c
M	gnome-session/gsm-manager.c
M	gnome-session/gsm-presence.c
M	gnome-session/gsm-session-fill.c
M	gnome-session/gsm-util.h
M	gnome-session/gsm-xsmp-client.c

commit f20859108a0c699aed4a0fe6640930f45e308aad
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 29 15:03:57 2010 +0100

    gsm: Move the code filling the autostart apps to gsm-session-fill.[ch]

M	gnome-session/Makefile.am
A	gnome-session/gsm-session-fill.c
A	gnome-session/gsm-session-fill.h
M	gnome-session/main.c

commit 4b561b5ea22b62804ce92102f841bc55cdb4a1f2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 29 15:03:32 2010 +0100

    gsm: Add gsm_manager_get_failsafe()

M	gnome-session/gsm-manager.c
M	gnome-session/gsm-manager.h

commit d90e9bbc4937658eb6b661df1eff90ed6d81238e
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Sun Nov 28 16:45:06 2010 +0700

    Updated Thai translation.

M	po/th.po

commit c3e3ebdb1603757adcf1d8848d61037337741df5
Author: William Jon McCann <jmccann@redhat.com>
Date:   Sat Nov 20 21:03:16 2010 -0500

    Add an application restart limit
    
    Limit the number of times the session tries to restart an app to 20.  The
    counter is reset the next time the app is started (but not restarted).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=634762

M	gnome-session/gsm-app.c
M	gnome-session/gsm-app.h
M	gnome-session/gsm-manager.c

commit 37c5e901488117753a19d72dfd1eeecca5a03f39
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Sat Nov 20 11:46:40 2010 +0100

    Added UG translation

M	po/ug.po

commit 2776d9d3cad158955ee7355f0d3da47071d77769
Author: Javier Jardón <jjardon@gnome.org>
Date:   Wed Nov 17 05:51:54 2010 +0100

    build: Update autotools configuration
    
    Use new libtool syntax and update deprecated macros

M	Makefile.am
M	autogen.sh
M	configure.ac

commit 5b87d78f1b4b8759a57d0935d5423ebf153d80d8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Nov 15 17:36:10 2010 +0100

    session-properties: fix notebook expand
    
    It looks incredibly small without this tweak, probably due to some
    changed in GTK3.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=634922

M	capplet/gsm-properties-dialog.c

commit 588005584fa91e0d7a45f04c6556ec54aa223739
Author: Yasumichi Akahoshi <yasumichi@vinelinux.org>
Date:   Mon Nov 15 20:48:33 2010 +0900

    Updated Japanese translation.

M	po/ja.po

commit e6686b8a4ed4f9b318f048a43faf1b98c61aefba
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sun Nov 14 21:35:53 2010 +0200

    Updated Romanian translation

M	po/ro.po

commit c17a9abd5f43f84953398f005b692a2e4ccd67a4
Author: Daniel Șerbănescu <cyber19rider@gmail.com>
Date:   Sun Nov 14 21:31:30 2010 +0200

    Updated Romanian translation

M	po/ro.po

commit 348c240a4469881766342c0ce7c00cbf76d56e5f
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sun Nov 14 21:31:05 2010 +0200

    Updated Romanian translation

M	po/ro.po

commit e72eb8c9b4456d0d34b297f959a4dea3f57c9e64
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Sat Nov 13 22:25:51 2010 +0100

    Added UG translation

M	po/ug.po

commit 6d82c5925df9e8e2c0bb0d88b9438d491fce34ee
Author: Ville-Pekka Vainio <vpivaini@cs.helsinki.fi>
Date:   Tue Nov 9 15:26:01 2010 +0200

    Updated Finnish translation

M	po/fi.po

commit 8e6afcf1789c02692cf3b1ff3ee0a792d57e17a3
Author: Ray Strode <rstrode@redhat.com>
Date:   Sun Nov 7 12:32:17 2010 -0500

    manager: remove client from query clients list on disconnect
    
    When the session manager enters the query end session phase,
    it temporarily adds all clients to the "query clients" list.
    
    This list is used to track the progression of clients quitting.
    
    If a client quits during the query end session phase instead of
    waiting until the end session phase, then it will get destroyed
    but not get removed from the query clients list.
    
    This commit removes it from the query clients list in
    this case. It does this by explicitly invoking the end session
    response handler (in effect, the client responded to the end
    session query by exiting).

M	gnome-session/gsm-manager.c

commit bf1b6e8843b5e72d4f5a62a34eb322b82e33c2df
Author: Ray Strode <rstrode@redhat.com>
Date:   Sun Nov 7 11:49:33 2010 -0500

    manager: don't ever show inhibitor dialog if logout is forced
    
    If logout is forced, we don't want to show the inhibitor dialog.
    A forced logout is one that shouldn't be "cancelable".
    
    This commit prevents inhibitors from getting added if logout is
    forced.

M	gnome-session/gsm-manager.c

commit 172db15097c84e4d3c93bfcc4d51eed6c7d25e3d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Nov 5 08:19:52 2010 -0400

    Don't use allow-shrink property
    
    allow-shrink and allow-grow don't exist anymore. Instead, use
    the resizable property.

M	gnome-session/gsm-inhibit-dialog.c

commit 4fd6096618cd04710abab66ca42c52084980df7f
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:   Thu Nov 4 19:12:49 2010 -0500

    Minor update for Crimean Tatar/Turkish translation

M	po/crh.po

commit c2f08d0342f78309892db5a2d1ba016651d98daa
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:   Thu Nov 4 19:05:54 2010 -0500

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit 84a733203e076142a960005eaf0ac602521470fb
Author: William Jon McCann <jmccann@redhat.com>
Date:   Mon Nov 1 19:42:17 2010 -0400

    [session-properties] set NoDisplay=true for the session properties dialog
    
    It doesn't really fit into the new System Settings design nor does it really
    make sense for a user to be able to turn off core desktop components like
    power management or networking.  We'll likely redesign this to only
    show applications and include it in some other place in the System Settings.

M	data/session-properties.desktop.in.in

commit a26144b5ec8a2d502dc0cabd269fb18a43b85ddd
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri Oct 29 01:20:14 2010 +0100

    Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 2f56ee1acfdbe0158408317b29a2fb81dc5c960b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Oct 21 12:16:30 2010 +0100

    [gsm] Add autostart condition through GSettings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=632724

M	gnome-session/gsm-autostart-app.c

commit 008a18d5705896cdb60d01fbc0e038c161dc34a0
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Thu Oct 21 18:39:31 2010 +0200

    Added UG translation

M	po/ug.po

commit c1015ae40a9703b6e630975d531668b68de7ac2b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Oct 9 11:48:53 2010 +0200

    build: Update git.mk from pango

M	git.mk

commit 6524444a8296d3dba5d2e4442b99d2365031a13c
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Oct 9 05:20:16 2010 +0900

    Updated Korean translation

M	po/ko.po

commit 2a2d22ed7023f6ed82ed2fc5625dc1ec521881e6
Author: Ivar Smolin <okul@linux.ee>
Date:   Thu Oct 7 11:17:50 2010 +0300

    [l10n] Updated Estonian translation

M	po/et.po

commit 33ffc207f4f87cc04fa9344627b7fa296b19a1e2
Author: Sense Hofstede <sense@ubuntu.com>
Date:   Tue Oct 5 22:25:50 2010 +0200

    Updated Frisian translations

M	po/fy.po

commit 6469537c76efa71ad440b3a99a8d2e24a61cca1f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Oct 5 00:05:23 2010 +0200

    release: post-release bump to 2.91.1

M	configure.ac

commit 5e8b1d325943691149a7d06488efda063d9d6fb3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Oct 5 00:05:16 2010 +0200

    release: 2.91.0

M	NEWS

commit ad1803ba68389e6346090030ea9ffb93e3e9d2f6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 4 23:59:29 2010 +0200

    gsm: Update for gdk_error_trap_*() API changes

M	gnome-session/gsm-inhibit-dialog.c

commit 37b429054d90ac5ed15e9a17e33dc7439c150bb1
Author: Fernando Herrera <fherrera@onirica.com>
Date:   Sun Oct 3 19:39:32 2010 +0200

    Fix build with gtk+ 3
    
    https://bugzilla.gnome.org/show_bug.cgi?id=631154

M	gnome-session/gsm-inhibit-dialog.c

commit 4540f64cbb4bc3a4ca4606787ca5f59f5208d568
Author: Žygimantas Beručka <zygis@gnome.org>
Date:   Fri Oct 1 20:11:42 2010 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 8947ca9eb6f56574f353454e0cd4b22c1a652f79
Author: Gil Forcada <gforcada@gnome.org>
Date:   Wed Sep 29 23:33:20 2010 +0200

    Updated Catalan translation

M	po/ca.po

commit afce85b272186c99d3d810fea286855df9b26b88
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 27 12:34:35 2010 +0200

    misc: Rename --enable-deprecations to --enable-deprecation-flags
    
    This is a better name for this configure option, since it's really about
    enabling the use of the deprecation flags, not allowing the use of
    deprecated API.

M	configure.ac

commit b1855cbf148c83f867bf55fc090af3ecaee8bd18
Author: Damyan Ivanov <dam+gnome@ktnx.net>
Date:   Sun Sep 26 17:51:43 2010 +0300

    Updated Bulgarian translation

M	po/bg.po

commit 5decce9dee908a44f3571e001ed1332030e2dacd
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Sep 23 16:09:51 2010 +0200

    Fix a mistranslation

M	po/hu.po

commit 1cd67223880236ee5d1ace2b940b461d6f888120
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Sep 23 14:35:54 2010 +0300

    Updated Arabic translation

M	po/ar.po

commit 317efe4f9b7d9f8255f206435dd00e5478803780
Author: Petr Kovar <pknbe@volny.cz>
Date:   Thu Sep 23 00:17:51 2010 +0200

    Update Czech translation

M	po/cs.po

commit abfa647b235308e91f7ebf530907e3c9af5523f5
Author: Daniel S. Koda <danielskoda@gmail.com>
Date:   Tue Sep 21 16:28:17 2010 -0300

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 3cfe1f378263dad42c7dcc36af4675085991ff08
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Sep 21 14:35:52 2010 -0400

    all: Drop gtk_dialog_set_has_separator () calls
    
    This is another round of GTK+ 3 fixes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=630277

M	capplet/gsm-app-dialog.c
M	capplet/gsm-properties-dialog.c
M	gnome-session/gsm-inhibit-dialog.c

commit fa73f94f992cde97ea1fe84e04fd896c0085855d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 21 14:28:37 2010 -0400

    all: Drop GTK_DISPLAY () calls
    
    This is another round of GTK+ 3 fixes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=630277

M	gnome-session/gs-idle-monitor.c
M	gnome-session/gsm-inhibit-dialog.c

commit d5a9bd7aeb3032f0c3c921a0680eb2b25ac36d32
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Sep 21 14:26:22 2010 -0400

    build: use gtk3 by default

M	configure.ac

commit b3c7638d835ffcc3e5e36ec2bdd9f961ee79235b
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Sep 21 14:22:27 2010 -0400

    build: Up required gtk versions
    
    We're going to be making some non-backward compatible changes.

M	configure.ac

commit 8b77e723680ec495e57ff6643961869400d2901e
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Sep 21 14:25:00 2010 -0400

    build: add AM_PROG_CC_C_O to configure
    
    I'm doing this because autogoo told me to.

M	configure.ac

commit 0627d658cc8b8ca90c6d878a469a30818f472726
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Sep 21 14:22:07 2010 -0400

    release: bump version to 2.91.0

M	configure.ac

commit 44ec4e3f38e733ad676fc3872574459ac2a0900f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 20 17:40:40 2010 +0200

    build: Update all Makefile.am to more recent standards

M	Makefile.am
M	capplet/Makefile.am
M	data/Makefile.am
M	data/icons/16x16/Makefile.am
M	data/icons/22x22/Makefile.am
M	data/icons/24x24/Makefile.am
M	data/icons/32x32/Makefile.am
M	data/icons/48x48/Makefile.am
M	data/icons/scalable/Makefile.am
M	doc/dbus/Makefile.am
M	gnome-session/Makefile.am
M	tools/Makefile.am

commit 7f355e7c79e14e107de8c82f2f3ec5502ecb3db5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 20 17:38:21 2010 +0200

    misc: Update instructions for commit messages
    
    We're switching to "tag:" instead of "[tag]".

M	ChangeLog

commit 919492a7b1539c0d961d78b4f2d2e385e93b3775
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Sep 19 08:36:54 2010 +0530

    update for Punjabi

M	po/pa.po

commit 9c7038375b17aa154092778addb8e3479327fd44
Author: Timo Jyrinki <timo.jyrinki@iki.fi>
Date:   Fri Sep 17 18:28:55 2010 +0300

    Updated Finnish translation by Jiri Grönroos.

M	po/fi.po

commit bd246c96a6dc8ed2527a593ac8af03c049c68f46
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Sep 17 14:05:25 2010 +0700

    Updated Indonesian translation

M	po/id.po

commit 36843a37e8e504b41633e06f6e05edc227dfa5f6
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Wed Sep 15 21:40:24 2010 +0200

    Updated Danish translation

M	po/da.po

commit a58b6ce034ad3e1804cab56acfe9d56d76ae149e
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Mon Sep 13 01:54:30 2010 +0900

    Updated Japanese translation.

M	po/ja.po

commit a8a07483553a6d8e4cf463bf74ef12910b57d94f
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Sep 12 16:07:05 2010 +0200

    [i18n] Updated German translation

M	po/de.po

commit 88d2581f585b2617fcf95301a07bec1c9f3a0119
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Sun Sep 12 15:08:21 2010 +0200

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit 86899d53b41f883f2a72d4070a46337dbe6d7d0a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Sep 10 02:11:28 2010 +0200

    [doc] Update man pages

M	doc/man/gnome-session-properties.1
M	doc/man/gnome-session-save.1
M	doc/man/gnome-session.1
M	doc/man/gnome-wm.1

commit 74469b73fd20c7fae912c49c0d347c3d141282e1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 8 19:20:59 2010 +0200

    [misc] Update AUTHORS, HACKING, README
    
    Nothing new, but make sure this is up-to-date.
    
    Also tweak a bit autogen.sh and Makefile.am to make them look similar in
    all my modules.

M	AUTHORS
M	HACKING
M	Makefile.am
M	README
M	autogen.sh

commit e33ef0b4a8a4ce87aac014eb090b689fa88f351a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 8 17:48:24 2010 +0200

    [misc] Update license files to latest text
    
    Note that this doesn't change the license. The license text was updated
    for the latest FSF address, for example.

M	COPYING
D	COPYING-DOCS
D	COPYING.LIB

commit c9aaf778a4ec1eb70be889e59a317548ba28027d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 8 17:09:42 2010 +0200

    [build] Rename configure.in to configure.ac

M	autogen.sh
R100	configure.in	configure.ac

commit 1a0e576b88f65104dfb34434559cafdf67e38693
Author: Aron Xu <aronxu@gnome.org>
Date:   Wed Sep 8 10:54:15 2010 +0800

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit fdab784586113986de188fb405bb5aa7e279b634
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Sep 6 14:50:20 2010 +0200

    Updated Hungarian translation

M	po/hu.po

commit 6e25cce91c5f81033bc9d51e5dead757742dc9e2
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Sep 5 19:29:38 2010 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 529a46fa69fb91bee4aeca8fe6be9ee388dd9f90
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sun Sep 5 01:08:05 2010 +0100

    Updated Portuguese translation

M	po/pt.po

commit d8cc2472b16f7ad8936276e176047e5467b5f7b3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 4 19:41:20 2010 +0200

    Updated Polish translation

M	po/pl.po

commit e331231648025004db9b4c0816a94f8dc7164688
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:   Sat Sep 4 18:44:13 2010 +0300

    Updated Greek translation

M	po/el.po

commit 89a7bae1fa97ffbdfc20d622eddd8f8535e787f3
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Sep 4 13:14:26 2010 +0200

    Updated French translation

M	po/fr.po

commit 3663e72f355a1519af217bd4f484d9112763bb95
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Sep 4 09:39:12 2010 +0200

    Updated Spanish translation

M	po/es.po

commit 7ffec543b35add62262bd76a300c47a6aacb6941
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Sep 3 18:34:25 2010 +0200

    Updated Slovenian translation

M	po/sl.po

commit 57ba79842cd0eadd451c4c58d719056c39ab33af
Author: drtv <vasudeven@git.gnome.org>
Date:   Fri Sep 3 19:57:00 2010 +0530

    Updated Tamil translation

M	po/ta.po

commit 0d25b88b9ef6c7e8386a886ed6071fcb52104145
Author: Daniel Nylander <po@danielnylander.se>
Date:   Fri Sep 3 01:19:58 2010 +0200

    Updated Swedish translation

M	po/sv.po

commit 8683f58caff10d8f70b620d639717ac4632f5dd2
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Thu Sep 2 23:12:56 2010 +0200

    Updated Italian translation

M	po/it.po

commit c6901e01e177fc50f955fd9f8e2462919c873f69
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Sep 2 18:00:19 2010 +0300

    Updated Hebrew translation.

M	po/he.po

commit b74087af1656d7a4a5cc11ae81f7d94726d24ccc
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Sep 2 11:32:30 2010 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit f6af7655644de5f8ee96472274af376a19c1cfe2
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Thu Sep 2 11:14:05 2010 +0300

    [l10n] Updated Estonian translation

M	po/et.po

commit 520e2203902132921220a32e437a2b3be421e418
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Sep 1 11:07:24 2010 +0200

    Updated Galician translations

M	po/gl.po

commit bd2222611d82d464d45abbb87f6eb639b575467e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 1 09:30:53 2010 +0100

    Update British English translation

M	po/en_GB.po

commit 00663fa2ef04bd1393280fcf71ec32c31ba839b7
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Apr 25 17:44:56 2010 +0100

    Miscellaneous string fixes
    
    A few string fixes, mainly for confusion between verb/noun forms. One change
    to use a proper Unicode ellipsis instead of an ASCII fallback.

M	data/gsm-inhibit-dialog.ui
M	data/session-properties.ui
M	gnome-session/gsm-inhibit-dialog.c
M	gnome-session/gsm-xsmp-client.c
M	gnome-session/main.c

commit b0d735c099a89f448b6bf85939f8b3ed95b8e212
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sun Aug 29 15:28:34 2010 +0200

    Updated Hungarian translation

M	po/hu.po

commit 7c2a07ae4d8368dd952eba7729b21d7e74d34657
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Thu Aug 26 15:06:56 2010 +0200

    Updated French translation

M	po/fr.po

commit bc48d837211feb16326a6c0c7391c7fb8399ab99
Author: Alexander Shopov <ash@contact.bg>
Date:   Tue Aug 24 15:06:52 2010 +0300

    Updated Bulgarian translation

M	po/bg.po

commit d4eb2839ba780a7647616581fa45649e9e2a63e5
Author: Милош Поповић <gpopac@gmail.com>
Date:   Tue Aug 24 05:39:07 2010 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit b1558edcc266d283ab93c4584b81caabcb86d164
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Aug 21 20:41:02 2010 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit f9a7008256cd6f3110fe46474378487236df1580
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Aug 19 21:18:14 2010 +0200

    Updated Arabic translation

M	po/ar.po

commit f4f3b73676471020148af2431419ee51f3bb1c80
Author: Pavol Šimo <palo.simo@gmail.com>
Date:   Wed Aug 18 22:26:26 2010 +0200

    Updated Slovak translation

M	po/sk.po

commit 4559d6d1ec91f053dae1ece23c217264afee0e5f
Author: David Planella <david.planella@googlemail.com>
Date:   Sat Aug 14 00:36:06 2010 +0200

    Updated Catalan translation

M	po/ca.po

commit ea2fab23e885e6dc7a842eafec456f56cec21771
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Wed Aug 11 17:58:09 2010 +0200

    Added UG translation

M	po/LINGUAS
A	po/ug.po

commit d99b40e0aa04f61430a66a61b9b07d3c9cb34be0
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Thu Aug 5 03:09:07 2010 +0700

    Updated Indonesian translation

M	po/id.po

commit 720a4cdcef952b596c5e6213609190896212649d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Aug 4 13:43:08 2010 +0200

    [release] post-release bump to 2.31.90

M	configure.in

commit 7b9d4c0bbff2365e941d6c408ebed6038bd99865
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Aug 4 13:42:49 2010 +0200

    [release] 2.31.6

M	NEWS
M	configure.in

commit 064d688586de0f4a9b26986bc74622510e6a3c03
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Aug 4 14:37:38 2010 +0530

    update Punjabi Translation by A S Alam

M	po/pa.po

commit 592b3bdd8be24f0b70ed73170361d01b3b17a896
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   Tue Aug 3 19:50:18 2010 +0200

    Update git.mk from pango

M	git.mk

commit 7aa0ed06669e06211c86c5c29efe24edbc5d0b73
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Aug 2 17:19:14 2010 +0530

    Updated Gujarati Translations

M	po/gu.po

commit c0718c6915a3e90f39fa46dfd6eb449215085e44
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Aug 2 17:11:46 2010 +0530

    Updated Gujarati Translations

M	po/gu.po

commit 09e441c16c8771efbfc7df8905a27ef67b547ec4
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Aug 2 16:59:14 2010 +0530

    Updated Gujarati Translations

M	po/gu.po

commit deb83c6b9f50ff046b7ad8dd8b91496f4718c9f4
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Fri Jul 30 16:30:42 2010 +0530

    Updated Bengali India Translation

M	po/bn_IN.po

commit 3d647925db820966113bbc27e5e616ece535ca7a
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Thu Jul 29 00:14:35 2010 +0300

    [l10n] Updated Estonian translation

M	po/et.po

commit 6e527bf69e5cfd9f2ac1b683e93163ef0fa539fc
Author: Frédéric Péters <fpeters@0d.be>
Date:   Wed Jul 28 16:30:49 2010 +0200

    New configure flag to switch GTK+ version

M	configure.in

commit 6fbfe74bc8d07aeb8cb9498f754567fad6c0f19f
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Jul 25 17:50:58 2010 +0200

    Updated Swedish translation

M	po/sv.po

commit cda5b398f5c4043923d2c7a784e2294ae96a2079
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sat Jul 24 18:03:44 2010 +0200

    Remove the splash program
    
    The splash screen has been off by default in the last few releases so
    lets just drop it for 3.0.

M	Makefile.am
M	configure.in
M	data/Makefile.am
M	data/gnome-session.schemas.in.in
D	data/gnome-splash.png
M	po/POTFILES.in
M	po/POTFILES.skip
D	splash/Makefile.am
D	splash/README
D	splash/gnome-session-splash.c
D	splash/gnome-session-splash.desktop.in.in.in
D	splash/splash-window.c
D	splash/splash-window.h

commit f9a005d12d6450e1ecb4f1ddb0639122a3dfb893
Author: Aron Xu <aronxu@gnome.org>
Date:   Sat Jul 24 18:41:24 2010 +0800

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 927a682ba9a1ff083ef89fc0c601369b806b96c5
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Jul 22 14:45:47 2010 +0200

    Updated Slovenian translation

M	po/sl.po

commit 781b1718341bfbd8c62de5a3671f1ac028a9e55b
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:   Thu Jul 22 14:33:10 2010 +0530

    Updated Marathi Translations

M	po/mr.po

commit 507b90ead1abb4bd2426472f622c8795e6309261
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Jul 20 13:01:40 2010 +0200

    Updated Galician translations

M	po/gl.po

commit a30fb62dc03815ad97aa4da42b8fa2e77e21156a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Jul 19 23:05:44 2010 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 5eef3be0fece8df500438db800506ec2a7a5b7ce
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Jul 18 18:42:27 2010 +0200

    [i18n] Updated German translation

M	po/de.po

commit b747c92cb72879259e6ad675c5a5f9229610a791
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Jul 18 12:11:51 2010 +0200

    Updated Spanish translation

M	po/es.po

commit 429cf11b939b17f9698c77a5d1b0cedb715b128a
Author: Sense Hofstede <qense@ubuntu.com>
Date:   Sun Jul 18 01:03:20 2010 +0200

    Updated Frisian translation and added it to the LINGUAS file

M	po/LINGUAS
A	po/fy.po

commit 5e59606e13403e1ca4bf45de7c4c1358916f1d8c
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Jul 15 17:27:18 2010 +0300

    Updated Hebrew translation.

M	po/he.po

commit 6eac9beab881e70e8a7ef4b4308a30edb1045da0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jul 15 14:54:19 2010 +0200

    Fix description of auto_save_session key

M	data/gnome-session.schemas.in.in

commit c6e36fa4f8a1991c5f35c2ef3150da1edfc30dbd
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Jul 14 15:02:34 2010 +0200

    Updated Slovenian translation

M	po/sl.po

commit e0702c0c23d1645546f5ce0c2436731fed640111
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Jul 14 11:28:44 2010 +0200

    Updated Galician translations

M	po/gl.po

commit c7ded57f7c89489609365ed0d65e67598aeca321
Author: Aron Xu <aronxu@gnome.org>
Date:   Tue Jul 13 23:22:32 2010 +0800

    Complete Simplified Chinese translation.

M	po/zh_CN.po

commit 2886b1c0ad3405345b3788f4ad60cf6ce609bfbf
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jul 13 15:16:08 2010 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 034671ad6465a8b82f71892a2caf2109bb8759e2
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Tue Jul 13 03:27:27 2010 +0300

    Updated Hebrew translation.

M	po/he.po

commit 75935773a6c5b0f7d93ca4fb9a032baa9f7dfa40
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 12 14:07:02 2010 +0100

    Port gnome-session to upower
    
    devkit-power-gobject is deprecated and will be removed in future versions.
    UPower 0.9.0 has been required by gnome-power-manager for many months now.

M	configure.in
M	gnome-session/gsm-logout-dialog.c
M	gnome-session/gsm-manager.c

commit e07a7744b066b8ca87c73daad61a658e0aada1e4
Author: Ivar Smolin <okul@linux.ee>
Date:   Mon Jul 12 08:21:46 2010 +0300

    [l10n] Updated Estonian translation

M	po/et.po

commit b709a17ea90e46b0cda07ce9cf51e9620da1065b
Author: Frédéric Péters <fpeters@0d.be>
Date:   Sun Jul 11 18:54:43 2010 +0200

    Fixed spelling error in schema description (GNOME bug 608044)

M	data/gnome-session.schemas.in.in

commit 4e9d782a2bb16453ba51748abb3d9c740dfc1dd5
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Mon Jul 5 13:24:21 2010 +0300

    [l10n] Updated Estonian translation

M	po/et.po

commit c74ff5fc411cc24e355696180f7015a1792cd12e
Author: Ivar Smolin <okul@linux.ee>
Date:   Sat Jul 3 00:57:50 2010 +0300

    [l10n] Updated Estonian translation

M	po/et.po

commit 7905778e3095fe71cc943c7d6cc09bafcd1b43ad
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jul 2 14:24:46 2010 -0400

    Remove the compat directory

M	Makefile.am

commit cc5252dd1eecdfca2bc75bebd7868bc251e9378b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jul 2 12:06:58 2010 +0200

    [compat] Drop compatibility tool that set GTK+ 1.x environment variable
    
    We're moving to GTK+ 3, so we don't want to support GTK+ 1.x anymore.

D	compat/Makefile.am
D	compat/README
D	compat/gnome-settings-daemon-helper.c
D	compat/gnome-settings-daemon-helper.desktop.in.in.in
M	configure.in
M	po/POTFILES.in
M	po/POTFILES.skip

commit 3db1316234f1bf30b515dfec793b0d5231294894
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jul 2 12:04:30 2010 +0200

    [all] Build against GTK+ 3.0
    
    This is untested, but it builds fine.

M	configure.in

commit ec867487f2d3ae90f23ddb40b26c117114fb2a69
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jul 2 12:04:17 2010 +0200

    [gsm] Fix a GSeal issue

M	gnome-session/gsm-inhibit-dialog.c

commit 73092531a626d102ef138ed6e371f25c491e12b6
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:   Fri Jun 25 04:56:57 2010 +0200

    Updated Esperanto translation

M	po/eo.po

commit 41622c5a16bb763ae12aeb9588b78e3ea27955bf
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Jun 17 09:55:27 2010 +0200

    Updated Slovenian translation

M	po/sl.po

commit 20126b1712d4a653892ec8ea4a77367ca6c6ca9d
Author: Rudols Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Jun 13 23:10:58 2010 +0300

    Updated Latvian translation.

M	po/lv.po

commit 18556b851b421e33b9128a546aaecee435a8683e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed May 26 19:34:30 2010 +0200

    [release] post-release bump to 2.31.3

M	configure.in

commit b0816562c5e1a9538ad732484cc973e7bfe06c69
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed May 26 19:34:21 2010 +0200

    [release] 2.31.2

M	NEWS
M	configure.in

commit 2d009213933907ddd8b36df854af2a53ad8b993a
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat May 22 23:25:26 2010 +0200

    Minor fix in Catalan translation

M	po/ca.po

commit 017b5eeb7d6ab64db3b1db2a22136237bd765af7
Author: Colin Walters <walters@verbum.org>
Date:   Fri May 7 11:22:43 2010 -0400

    [GsmClient] Export _stop method
    
    This allows the shell to request that a client quit.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=619120

M	gnome-session/org.gnome.SessionManager.Client.xml

commit a55dee623bea7b89d2751416ab8abb4a67ccf439
Author: Thomas Thurman <tthurman@gnome.org>
Date:   Wed May 12 18:40:56 2010 -0400

    Updated Shavian transliteration

M	po/en@shaw.po

commit b4a83d8919f198c0290a3d55cf84a7bfb9cf67cd
Author: Manoj Kumar Giri <mgiri@mgiri.csb>
Date:   Wed May 12 12:56:09 2010 +0530

    Updated Oriya Translation

M	po/or.po

commit b7926c7bada91a333e2c49da83808589191b8a8f
Author: Colin Walters <walters@verbum.org>
Date:   Fri May 7 11:10:42 2010 -0400

    Explicitly add -lXext -lXau to linker line
    
    Newer versions of GCC require all libraries to be explicitly
    specified.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=583618

M	configure.in
M	gnome-session/Makefile.am

commit ebc46cd63293c2a1626e6992897f59f6ff6df024
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Apr 25 17:41:46 2010 +0100

    Updated British English translation

M	po/en_GB.po

commit 8b17c2f887effd3f0e8688ddcd56b2538dec2232
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Wed Apr 21 23:23:13 2010 +0200

    Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 386f2afaed3ffb586fb314acb245c9bcc937f45a
Author: Shankar Prasad <svenkate@svenkate.pnq.redhat.com>
Date:   Wed Apr 21 14:38:01 2010 +0530

    Updated Kannada translations

M	po/kn.po

commit d6b863a61a5824d4ffc0e44ec0e11dc54a556949
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:   Tue Apr 13 14:46:53 2010 +0530

    Updated Marathi Translations

M	po/mr.po

commit 81b9cbd0bf3cc1bc2c544e5b15720a1293b7040e
Author: Andika Triwidada <andika@gmail.com>
Date:   Sun Apr 11 18:42:13 2010 +0700

    Updated Indonesian translation

M	po/id.po

commit 87d796fad29c3301242a7a16c48103b4efabc870
Author: Timo Jyrinki <timo.jyrinki@iki.fi>
Date:   Thu Apr 1 09:58:23 2010 +0300

    term change in Finnish translation

M	po/fi.po

commit 9fa098a4322fefc9887d8f857a466b89b3dc8d12
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Tue Mar 30 17:45:58 2010 +0200

    Dutch translation updated by Wouter Bolsterlee

M	po/nl.po

commit 52bc1a5769c3aefb471ad65d5cf52beee46ae0e4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 30 02:07:31 2010 +0200

    [release] post-release bump to 2.30.1

M	configure.in

commit 9b17734eec3c4ade67638780a0f54cb273bf7647
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 30 02:07:20 2010 +0200

    [release] 2.30.0

M	NEWS

commit bd05e991743d388c2fe7970a4284d0dca0784cc0
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Sun Mar 28 01:25:48 2010 +0600

    Updated Bengali translation

M	po/bn.po

commit 8a2ae10957b14a28789e15c86a4f644922e33ab0
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Tue Mar 23 16:22:05 2010 +0100

    Updated Basque language

M	po/eu.po

commit ca3009e5bbcbf0da3162eea00055ec9b661a58c7
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:   Mon Mar 22 23:50:50 2010 +0100

    Updated Serbian translations

M	po/sr.po
M	po/sr@latin.po

commit d2ce94290fd088b5daa9cec82f69eba9915c14a8
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Mar 13 23:59:25 2010 +0900

    Translated Korean translation

M	po/ko.po

commit c3611b2c7ba8e80f56ce5750bec5f748dfb9b032
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 9 13:36:26 2010 +0100

    [build] Do not use [] but @<:@ and @:>@ for default values in configure

M	configure.in

commit 385bf595a97e08bc8ac3081b20fad357a264e2d7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 9 13:09:10 2010 +0100

    [build] Add more information to configure summary

M	configure.in

commit 843f4efafcc942e81f86fec78730b8c55328fad5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 9 01:47:57 2010 +0100

    [release] post-release bump to 2.30.0

M	configure.in

commit ba19aa1de06ed8faf94fa423c6c04aec548f709b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 9 01:47:40 2010 +0100

    [release] 2.29.92

M	NEWS
M	configure.in

commit b0dc999e0b45355314616321dbb6cb71e729fc9d
Author: Romain Perier <mrpouet@gentoo.org>
Date:   Mon Feb 1 19:41:57 2010 +0100

    [gsm] Delay the creation of the GsmXSMPClient until it really exists
    
    We used to create the GsmXSMPClient before the XSMP connection is really
    accepted. This can lead to some issues, though. An example is:
    https://bugzilla.gnome.org/show_bug.cgi?id=598211#c19. Quoting:
    
     "What is happening is that a new client (probably metacity in your
     case) is opening an ICE connection in the GSM_MANAGER_PHASE_END_SESSION
     phase, which causes a new GsmXSMPClient to be added to the client
     store. The GSM_MANAGER_PHASE_EXIT phase then begins before the client
     has had a chance to establish a xsmp connection, which means that
     client->priv->conn will not be initialized at the point that xsmp_stop
     is called on the new unregistered client."
    
    The fix is to create the GsmXSMPClient object when there's a real XSMP
    connection. This implies moving the timeout that makes sure we don't
    have an empty client to the XSMP server.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=598211

M	gnome-session/gsm-xsmp-client.c
M	gnome-session/gsm-xsmp-server.c

commit 5198aa08d2b77204cd8bf669a64f2e044d9a9e0d
Author: Halton Huo <haltonhuo@gnome.org>
Date:   Tue Mar 9 00:34:34 2010 +0100

    [gsm] Log out on SIGTERM and SIGINT
    
    Note that this requires a change in GDM to correctly work in the GDM
    case.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=607658

M	gnome-session/main.c

commit 1dd9a320b769360de1d8da6a436524187c55913e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Mar 7 12:35:54 2010 +0100

    [build] Remove unneeded LIBGNOMEUI_REQUIRED from configure.in
    
    https://bugzilla.gnome.org/show_bug.cgi?id=612053

M	configure.in

commit b98ebe9c0eba15c6c64171e8611b8ea3e5e7039e
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Mar 6 12:07:30 2010 +0900

    Updated Korean translation

M	po/ko.po

commit d242aa30b636fb281644816a005b46e4f0966379
Author: Torstein Adolf Winterseth <kvikende@yahoo.no>
Date:   Sat Feb 27 13:36:53 2010 +0100

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit 65ea7a19199ef7932ed2e2599ba79569d88ee3ad
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 25 13:39:47 2010 +0100

    Updated Polish translation

M	po/pl.po

commit 36aadda22d003d6931c480f3cec05e02861c8672
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:   Mon Feb 15 18:36:44 2010 +0100

    Updated Galician Translation

M	po/gl.po

commit e8037c4a0d9c4fe2e0c1f6232fceb591d4cdd4ba
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 27 16:30:11 2010 +0100

    [release] post-release bump to 2.29.90

M	configure.in

commit 6d7f23ddc7f3037ee1a1fa4558c4e47c7405c5e0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 27 16:30:04 2010 +0100

    [release] 2.29.6

M	NEWS
M	configure.in

commit b2214df90d82cf5b588858b1a145e26d0f7c8b87
Author: Romain Perier <mrpouet@gentoo.org>
Date:   Wed Jan 27 16:18:34 2010 +0100

    [gsm] Check that the XSMP connection exists when stopping a client
    
    While this should never happen, it currently happens in some cases. A
    complete fix will come later, but this change doesn't hurt and is
    consistant with what is already done in other functions.
    
    Helps with https://bugzilla.gnome.org/show_bug.cgi?id=598211

M	gnome-session/gsm-xsmp-client.c

commit 43488b8026b8f3ea5cafef956b85c47dd8503f5c
Author: Amitakhya Phukan <aphukan@fedoraproject.org>
Date:   Fri Jan 8 18:11:53 2010 +0530

    updated assamese translations

M	po/as.po

commit c1e06e09f2580f9edd75f2d3609062d52c84b6f6
Author: Javier Jardón <javierjc1982@gmail.com>
Date:   Sat Aug 29 19:54:39 2009 +0200

    Use accessor functions instead direct access. Second patch
    
    Replace gtk_label_set_text() with gtk_message_dialog_set_markup()
    so we don't have to use GTK_MESSAGE_DIALOG (logout_dialog)->label.
    Also, We don't need to escape the text since there's no markup
    in the string.
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=586767

M	gnome-session/gsm-logout-dialog.c

commit ce37f60501ae4c584160074eee25f1dd4b09a6e9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 1 15:38:41 2009 +0100

    [build] Remove unneeded PolicyKit status line from configure

M	configure.in

commit 89e84c4f0d762a1b0c256ec7d50caa53ceaaeab5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 1 15:38:18 2009 +0100

    [build] Install the helpers in libexecdir, not libdir

M	compat/Makefile.am
M	splash/Makefile.am

commit b0d8270dd060d13456216323474d3eebb8228a23
Author: Aron Xu <aronxu@gnome.org>
Date:   Mon Nov 30 22:14:27 2009 +0800

    Updated Simplified Chinese translation.

M	po/zh_CN.po

commit 9df12477fb7f6759d671ab59e4d325917983acd6
Author: Nikos Charonitakis <nikosx@gmail.com>
Date:   Mon Nov 23 19:58:14 2009 +0200

    Updated Greek translation

M	po/el.po

commit ae9fa656f62d4384d1c0b722e4f0d7bb661f181c
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:   Sun Nov 15 12:32:02 2009 +0100

    Updated Low German translation

M	po/nds.po

commit 44321b7a2a5a00e3ace81d56fe828b40ac0fb704
Author: Thomas Thurman <tthurman@Dorothy.plexq.com>
Date:   Sat Nov 14 07:02:45 2009 +0000

    Shavian translation

M	po/LINGUAS
A	po/en@shaw.po

commit a60500d55c063ab11056606e595b3bb667d0e2b9
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Oct 26 14:46:58 2009 +0100

    Updated Slovenian translation

M	po/sl.po

commit aec5d7b87483573d9d661bc62a1f321d88c26931
Author: Nils-Christoph Fiedler <linux@medienkompanie.de>
Date:   Thu Oct 22 19:54:25 2009 +0200

    Added Low German translation

M	po/LINGUAS
A	po/nds.po

commit 4d9ba012a52d373ad1605ae49ef31b7a3c98fbba
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:   Mon Oct 19 03:54:04 2009 -0500

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit 1dd03e69fa49f7c43ff4d2ef7caa3cf26672d108
Author: Carlos Jose Pereira <carlao2005@gmail.com>
Date:   Fri Oct 16 09:27:00 2009 -0400

    Updated Brazilian Portuguese translation.

M	po/pt_BR.po

commit 71ca07351900846974684f342a913d0c1c952ee9
Author: Leonid Kanter <leon@asplinux.ru>
Date:   Mon Oct 12 13:12:07 2009 +0300

    Updated Russian translation by <vicanis@gmail.com>

M	po/ru.po

commit dd9df169196441717498ac09ee8c437fb552116e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Oct 11 16:32:53 2009 -0400

    [capplet] Destroy the main window on close to ensure changes are saved
    
    For some reasons, sometimes it works, and sometimes it doesn't. By
    destroying the window, we make sure all objects are disposed and the
    changes are saved.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=597623

M	capplet/main.c

commit e97edcc49e77f38589155c3f65490cda5968e2bd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 5 13:43:45 2009 -0400

    Add diagnostic output for exit phase timeout
    
    This helps finding out which clients cause gnome-session to
    hang for 10 seconds in the exit phase. See bug 597168.

M	gnome-session/gsm-manager.c

commit d90b939286251b9fff6d849cfbcce2eb3681ca9f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 1 12:49:04 2009 +0200

    [gsm] Fix typo in error message

M	gnome-session/gsm-dbus-client.c

commit a393e8ac06281a5f477dabf1a180212fac716181
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 21 18:24:18 2009 +0200

    [release] post-release bump to 2.28.1

M	configure.in

commit 57061e91e301fde7df8a6b344ff634d01ea799b0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 21 18:24:12 2009 +0200

    [release] 2.28.0

M	NEWS

commit d8a98ec612ae92195e6e5f83a7437e2114cc0a1a
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Mon Sep 21 10:33:08 2009 +0530

    Updated Kannada(kn) translation

M	po/kn.po

commit 393d31d4240818effd9e8b4e7e84f8cdeba61a83
Author: Petr Kovar <pknbe@volny.cz>
Date:   Mon Sep 21 05:40:46 2009 +0200

    Updated Czech translation

M	po/cs.po

commit 4f244500a55e24ca6a76e8a2d0694b8ba3b52aad
Author: David Planella <david.planella@gmail.com>
Date:   Sun Sep 20 19:44:38 2009 +0200

    Updated Catalan translation

M	po/ca.po

commit f00c5c89f740a73c359da7f00c2b64b52cbb9629
Author: Amitakhya Phukan <aphukan@fedoraproject.org>
Date:   Sun Sep 20 17:16:19 2009 +0530

    Updating Assamese translations

M	po/as.po

commit 7f926064e9fcb9ee166b1fc525b9cc0ecb9d11db
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:   Fri Sep 18 18:00:51 2009 +0530

    maithili update

M	po/LINGUAS
A	po/mai.po

commit 8d026c65c3de5562fe6dc9a8a1f73a24443bbc36
Author: Manoj Kumar Giri <mgiri@mgiri.csb>
Date:   Fri Sep 18 16:28:57 2009 +0530

    Upadated Oriya Translation

M	po/or.po

commit 122e494284b7ff4f6d4c5029c2768bca2152e7cf
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Thu Sep 17 21:30:59 2009 +0530

    Updated Telugu Translation

M	po/te.po

commit 926772088c805f53566995d9e44c9c0fb52ee04f
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   Thu Sep 17 14:32:04 2009 +0300

    Added Ukrainian translation

M	po/uk.po

commit 888f226793f5cc15d86eb0e77ac91e34212ab2ab
Author: Denis ARNAUD <darnaud@src.gnome.org>
Date:   Thu Sep 17 12:30:09 2009 +0200

    Updated breton translation

M	po/br.po

commit feccedd3869e77e8a892d5139748577b802f444f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Sep 16 13:29:48 2009 +0200

    Updated Slovenian translation

M	po/sl.po

commit b278c47cf6f1aa3e5b5d167b7c57a9859843149d
Author: André Gondim <andregondim@ubuntu.com>
Date:   Wed Sep 16 08:21:45 2009 -0300

    Corrected a translation error and some access keys in Brazilian Portuguese translation

M	po/pt_BR.po

commit 7485e72f3f9f47e4b91b3498379e7e5979179060
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:   Wed Sep 16 12:49:11 2009 +0530

    hindi update by Rajesh Ranjan

M	po/hi.po

commit 2174a00f29a620ec12de07fcbed62c9f02067655
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:   Tue Sep 15 02:08:16 2009 +0300

    Updated Lithuanian translation.

M	po/lt.po

commit 57a21a6049084fff173e7cb5ca1b165f01681409
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Mon Sep 14 19:54:32 2009 +0200

    Updated German translation

M	po/de.po

commit fc11487acb6584f7c9deb705e8bdf46aeee0aa75
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Sep 14 16:35:46 2009 +0100

    Ensure we lock the screen before we hibernate or suspend if the user has the screensaver lock enabled
    
    This fixes a regression as gnome-power-manager used to do this for us automatically.

M	gnome-session/gsm-manager.c

commit 5d8c11c1175c61884df2cbfa63f66b0814015441
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sun Sep 13 22:30:28 2009 +0300

    Updated Romanian translation

M	po/ro.po

commit f3a9e755e467fb910cb4c0b7d85d31a660a637a7
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Sep 13 03:31:02 2009 +0200

    Updated Danish translation

M	po/da.po

commit 1576d7c0c411c99cb42d86d7a18a2f8ae869548b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Sep 13 06:38:47 2009 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 9fc05a540dfb0ecd518af51ee3aae06040769268
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 12 23:27:17 2009 +0100

    Updated British English translation

M	po/en_GB.po

commit 9e32a7083f9661afe84a1593b62313ea5f56ade5
Author: Ani <peter.ani@gmail.com>
Date:   Sat Sep 12 18:26:32 2009 +0530

    Updaeted Malayalam Translations

M	po/ml.po

commit dbbc988276713c2bdb4d048ac265a931e0c290d3
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:   Sat Sep 12 14:46:19 2009 +0530

    Updated Marathi Translations

M	po/mr.po

commit fe03014165616980c3a5680003b0c511d9671fc3
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:   Fri Sep 11 11:56:35 2009 +0000

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 3224de605c7c563554e3b9d95518d3f9bd2f6d33
Author: A S Alam <aalam@users.sf.net>
Date:   Thu Sep 10 06:54:12 2009 +0530

    updating for Punjabi

M	po/pa.po

commit 50ba8e6b979989723afd2b932dd1334727eabea5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 9 13:17:25 2009 +0200

    [gsm] Remove dead code, add missing return value, fix bad GError usage

M	gnome-session/gsm-consolekit.c

commit 1a6d85ab7d0132cd18dbf7d7f86d73c9b4fe092b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 9 02:21:07 2009 +0200

    [release] post-release bump to 2.28.0

M	configure.in

commit e351999e23467f2aab28a586feb6e5c4b7f666e3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 9 02:20:56 2009 +0200

    [release] 2.27.92

M	NEWS

commit 2b6d56f1ecb731c2589b3691588039e203a96547
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Sep 9 00:07:35 2009 +0200

    Hungarian translation updated

M	po/hu.po

commit fe9491caab410adc4fd67e0aa41cc99250e0c144
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Tue Sep 8 21:55:24 2009 +0900

    Updated Japanese translation

M	po/ja.po

commit f9c9d15a8e52f33ead6bdb152cdb7f1625888e94
Author: Tomasz Dominikowski <dominikowski@gmail.com>
Date:   Mon Sep 7 19:27:40 2009 +0200

    Updated Polish translation

M	po/POTFILES.in
M	po/pl.po

commit a0bbbc47f744e0a05e5e2a0fd30b4b0e6c6e89c4
Author: Ivar Smolin <okul@linux.ee>
Date:   Sat Sep 5 09:09:23 2009 +0300

    Updating Estonian translation

M	po/et.po

commit 8cd3e07f63ff3550c76b81b14d366c3d9bdf1d3e
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Sat Sep 5 02:27:05 2009 +0700

    Updated Bengali translation

M	po/bn.po

commit 5ff4c7c066e0f4d7146fff1ed236558bde074088
Author: Lucas Rocha <lucasr@gnome.org>
Date:   Mon Aug 24 23:46:59 2009 +0100

    [compat] Remove at-spi-registryd wrapper
    
    Session management is now properly implemented in at-spi.

M	compat/Makefile.am
M	compat/README
D	compat/at-spi-registryd-wrapper.c
D	compat/at-spi-registryd-wrapper.desktop.in.in.in
M	configure.in

commit 3754f3ec17da34e058bfb5d098c8cbf9f5e3f0ad
Author: Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
Date:   Wed Sep 2 16:21:14 2009 +0300

    Updated Belarusian translation

M	po/be.po

commit e904a861bddc1f62123d32db626993e57cabb2e4
Author: Baris Cicek <baris@teamforce.name.tr>
Date:   Sun Aug 30 20:24:20 2009 +0300

    Updated Turkish translation.

M	po/tr.po

commit 12b002b62d7a4fe7fe3026a2585089039905097f
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Aug 28 15:48:21 2009 +0200

    Updated French translation

M	po/fr.po

commit b7f6fd3fd93de97718c54ce6703118fba99a5661
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Fri Aug 28 12:12:48 2009 +0530

    Updated Bengali India Translations

M	po/bn_IN.po

commit eb4d414fdfaf10120b9b327104d0a7dd07eaec05
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Aug 26 21:07:10 2009 +0200

    Updated Basque language

M	po/eu.po

commit f062559b171d77c2e5cd2ec54cb7dae70466d032
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:   Wed Aug 26 14:50:39 2009 +0200

    Updated breton translation

M	po/br.po

commit 645cf60db649965a46afbbfec079d51817592716
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:   Wed Aug 26 12:49:24 2009 +0200

    Updated breton translation

A	po/br.po

commit 777700f26deceef8745db78eab2f2cbbaa086467
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:   Wed Aug 26 12:48:31 2009 +0200

    Added br in LINGUAS

M	po/LINGUAS

commit 6a3d758c2fedee32dc5b478911fb000a5b4363c2
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Wed Aug 26 09:11:03 2009 +0100

    Updated Portuguese translation

M	po/pt.po

commit 7d91624fc898ad03c2cfb6d9508fabf3ce89bd38
Author: Tomasz Dominikowski <dominikowski@gmail.com>
Date:   Tue Aug 25 18:40:37 2009 +0200

    Updated Polish translation

M	po/pl.po

commit ce52f2ed48759be7c8dd25b1994fc748259ff028
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Aug 25 16:17:59 2009 +0200

    [release] post-release bump to 2.27.92

M	configure.in

commit 768f1c1af4e3da64939a322fcd15ef98273690e4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Aug 25 16:17:45 2009 +0200

    [release] 2.27.91

M	NEWS
M	configure.in

commit eca200b0f083ab9cf72c2887b83f86f3c79619a2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 25 16:08:17 2009 +0200

    [gsm] Port to PolicyKit 1
    
    The port is incomplete, but it's needed for newer ConsoleKit anyway.
    
    See http://bugzilla.gnome.org/show_bug.cgi?id=585614 for the missing
    parts.

M	configure.in
M	gnome-session/Makefile.am
M	gnome-session/gsm-consolekit.c

commit e9c3b2a962729693b3e5a14f1bc5ca02b82e7bbd
Author: Frédéric Péters <fpeters@0d.be>
Date:   Sat Aug 22 13:45:39 2009 +0200

    Remove deprecated Encoding key from desktop files

M	data/gnome-wm.desktop.in.in
M	data/gnome.desktop.in
M	data/session-properties.desktop.in.in

commit dfd2c46f52a6ee2d1d5cbc60388559105c0f258e
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Aug 24 15:27:38 2009 +0530

    Updated Gujarati Translations

M	po/gu.po

commit c29bd528eacb737867bfaa52bcea2fafe3c2fff0
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Sun Aug 23 16:25:38 2009 +0700

    Updated Thai translation.

M	po/th.po

commit 1c0b7888e83a7083c3c7126a11314d9eea5e95d1
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Sun Aug 23 13:46:27 2009 +0700

    Updated Thai translation.

M	po/th.po

commit 120976efccd718f144336a9fee2f436339ca62f4
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Aug 23 05:56:28 2009 +0900

    Update Korean translation

M	po/ko.po

commit 1d78d6ab57b1a89e00c2eb8c452ccc82cd8fca20
Author: Antón Méixome <meixome@mancomun.org>
Date:   Wed Aug 19 16:21:34 2009 +0200

    Updated Galician Translation

M	po/gl.po

commit 3baa870c367015748f15d84b800a651d89db0505
Author: Alexander Shopov <ash@contact.bg>
Date:   Fri Aug 14 08:19:22 2009 +0300

    Updated Bulgarian translation

M	po/bg.po

commit dc6890f037daff1d4634df257fbd356fc70a4644
Author: Luca Ferretti <elle.uca@libero.it>
Date:   Thu Aug 13 10:43:35 2009 +0200

    Updated Italian translation

M	po/it.po

commit 1bd6ae745008a4a92fccf3a701c006a464229ca6
Author: Manoj Kumar Giri <mgiri@mgiri.csb>
Date:   Wed Aug 12 17:23:21 2009 +0530

    Updated Oriya Translation

M	po/or.po

commit cd07d6d4276d0f3d1f400ae1577bc7d6e7d4b51c
Author: Javier Jardón <javierjc1982@gmail.com>
Date:   Tue Aug 11 00:51:57 2009 +0100

    [all] Use accessor functions instead direct access
    
    This is partial go on replacing all directly accessed attributes with
    proper accessor functions. Partially fixes bgo#586767.

M	capplet/gsm-app-dialog.c
M	capplet/gsm-properties-dialog.c
M	configure.in
M	gnome-session/gsm-inhibit-dialog.c
M	gnome-session/gsm-logout-dialog.c
M	gnome-session/test-inhibit.c
M	splash/splash-window.c

commit cf6581a048a95cde191794b3405aa697b94e3e83
Author: Antón Méixome <meixome@mancomun.org>
Date:   Mon Aug 10 17:24:56 2009 +0200

    Updated Galician translation

M	po/gl.po

commit 32c5b09440d65a73a2b5e59b9347bdb7732661b5
Author: Oskar Wallgren <owallgren@hotmail.com>
Date:   Fri Aug 7 12:40:13 2009 +0200

    [gsm] Fix typo in debug message
    
    http://bugzilla.gnome.org/show_bug.cgi?id=591019

M	gnome-session/gsm-session-save.c

commit d7ac0d3844457b1c4616430e80ed47cba34dbbf5
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Aug 5 21:09:38 2009 +0300

    Updated Arabic translation

M	po/ar.po

commit 4ba46a7b25bc1248b2c9a1fb89b7dfe949e7c992
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Aug 3 00:07:18 2009 +0200

    Updated Norwegian bokmål translation.

M	po/nb.po

commit cbcaa228f0036dfbfe10d177f429a67b054969b4
Author: Djavan Fagundes <dnoway@gmail.com>
Date:   Sat Aug 1 15:16:05 2009 -0400

    Updated Brazilian Portuguese translation.

M	po/pt_BR.po

commit 7a1da980b0b1d050126a65efbaf0b0513327b896
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Fri Jul 31 18:29:05 2009 -0600

    Updated Irish translation

M	po/ga.po

commit fea641b3be892be65b0c7ef2628268b0998c6408
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jul 30 13:38:25 2009 +0200

    [gsm] Fix typo in commit 397cca3a that creates at stupid bug

M	gnome-session/gsm-presence.c

commit 5f30f0376a45ecff4a22da481f992881e9565e2a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 29 14:06:50 2009 +0200

    [build] Do not install gnome-splash.png unless --enable-splash is used

M	data/Makefile.am

commit dbb0556ebd10d51926f2e21f14924c5505fd10f4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 29 13:46:12 2009 +0200

    [splash] Install desktop file in $(sysconfdir)/xdg/autostart
    
    We were still using the old $(datadir)/gnome/autostart.

M	splash/Makefile.am

commit 066e38e76365cbaaded52e3447fb87030e1556e7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 29 04:20:47 2009 +0200

    [release] post-release bump to 2.27.90

M	configure.in

commit 0d92308a064b4680aad21dcd178c62e4b8e3fd17
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 29 04:20:34 2009 +0200

    [release] 2.27.5

M	NEWS

commit 2c6f43e38c739cd12bab1e22e7b17cccf90f6b30
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 29 04:17:07 2009 +0200

    [build] Update POTFILES.skip

M	po/POTFILES.skip

commit 3f3a5e3c5012b99c06b7c61513b0b792764f3740
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 29 04:13:53 2009 +0200

    [build] Update POTFILES.in

M	po/POTFILES.in

commit 5952b7a9efc11b631910688b531ed8176f89440a
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed Jul 22 12:43:50 2009 +0100

    [gsm] Port from gnome-power-manager to DeviceKit-power

M	configure.in
M	gnome-session/Makefile.am
M	gnome-session/gsm-logout-dialog.c
M	gnome-session/gsm-manager.c
D	gnome-session/gsm-power-manager.c
D	gnome-session/gsm-power-manager.h

commit 13fe15fc1ef8a08874ff7c61f1944ae55b0111ce
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 30 15:48:07 2009 +0200

    [gsm] Do not exit when the system bus restarts
    
    We also need to reconnect later to the bus, so unref our dbus connection
    and make sure that our public API will reconnect.
    
    http://bugzilla.gnome.org/show_bug.cgi?id=583345

M	gnome-session/gsm-consolekit.c

commit c19a4e5b580e49d771dae0e653e32d422dd8fd9a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 29 00:08:36 2009 +0200

    [misc] Update commit guidelines for referencing bugs

M	ChangeLog

commit 397cca3a9e5a197860a819a4648bf5bd56969afd
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jul 27 18:27:59 2009 +0200

    [gsm] Properly handle the case where the idle monitor doesn't exist
    
    The idle monitor can fail to be created in some cases, depending on X.
    This was ignored before.

M	gnome-session/gsm-presence.c

commit e6acbfbd0ecd32e371a7664622ad6c262878816a
Author: William Jon McCann <jmccann@redhat.com>
Date:   Thu Jul 23 15:10:30 2009 -0400

    Add Presence interface to the documentation
    
    Was there but not being pulled in.

M	doc/dbus/gnome-session.xml.in

commit 872421f8387ee00f53c617fae147394667ebec23
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Jul 22 13:53:07 2009 +0200

    Updated Swedish translation

M	po/sv.po

commit 8b7d16e9f70f0cfc2795b6506812f0da7cc435f4
Author: Yaron Sharabani <sh.yaron@gmail.com>
Date:   Wed Jul 22 01:14:05 2009 +0300

    Updated Hebrew translation

M	po/he.po

commit e6327dde5743f38e37a29d7a5d44f13346a31900
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 21 19:33:45 2009 +0200

    [build] Set m4/ as macro dir

M	Makefile.am
M	configure.in

commit c466244f609bdcc220b43aa5f7db81afb74a954f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 21 18:47:47 2009 +0200

    [build] Remove shave scripts

D	shave-libtool.in
D	shave.in

commit 1538f59bd47e3755fbb6fbf93c77c16541cb5bc1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 21 18:43:43 2009 +0200

    [build] Add --enable-splash configure option to build splash
    
    By default, the splash is not build anymore.

M	Makefile.am
M	configure.in

commit 9d4f73747615c2134141ec43c2165df7265433e5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 21 18:37:48 2009 +0200

    [build] Fix make clean and distcheck after --with-default-wm change

M	data/Makefile.am

commit 0d206e3ef18617c2bc7d9da2b5ca5024ea503a8f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 21 18:29:56 2009 +0200

    [build] Use silent-rules instead of shave for quiet build

M	compat/Makefile.am
M	configure.in
M	data/Makefile.am
M	doc/dbus/Makefile.am
M	gnome-session/Makefile.am
D	m4/shave.m4
M	splash/Makefile.am

commit 61e46f29f0f23a119d665f5d670821137cbdcbf5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 21 18:11:09 2009 +0200

    [build,gnome-wm] Add --with-default-wm configure option
    
    This lets distributors specify which wm they want to use as default (and
    therefore changes the default value in the schema).
    
    If the default is gnome-wm, then additionally, gnome-wm.desktop will get
    installed.

M	configure.in
M	data/Makefile.am
R099	data/gnome-session.schemas.in	data/gnome-session.schemas.in.in

commit 0831c925b675f84a4258c1b9ebb6c46d1dadca13
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 21 15:57:02 2009 +0200

    [gnome-wm] Prefer compiz-manager over compiz when available
    
    compiz-manager is able to detect if compiz can be run, and knows how to
    launch it, so it's a better solution than handling compiz ourselves.

M	data/gnome-wm

commit 1a6c20518ea3492698c1a2bf328313f2295259e7
Author: Ivar Smolin <okul@linux.ee>
Date:   Mon Jul 20 15:03:49 2009 +0300

    Updating Estonian translation

M	po/et.po

commit 2efadd90181bd72942ad1df5e6b606cf985e25b4
Author: Ilkka Tuohela <hile@iki.fi>
Date:   Sun Jul 19 10:34:02 2009 +0300

    Updated Finnish translation

M	po/fi.po

commit 46bb8740501ac67aa1e07fb15ed9f858a495bd34
Author: drtvasudevan <agnihot3@gmail.com>
Date:   Sat Jul 18 21:38:37 2009 +0530

    Updated Tamil translation

M	po/ta.po

commit f570f18609b9f3894604cc96a9ee6e68b37a4ec8
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Jul 18 13:48:25 2009 +0200

    Updated Spanish translation

M	po/es.po

commit 34c9b79ca20548db1f4384269d351b548701fef5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 15 17:11:08 2009 +0200

    [release] post-release bump to 2.27.5

M	configure.in

commit 32a806bf3c1f7d81bfd661e150ca06dfe8d7ff3b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 15 17:11:00 2009 +0200

    [release] 2.27.4

M	NEWS
M	configure.in

commit 7bec6b76763a2516aa724df3eec0791fc106fbc6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 15 17:07:29 2009 +0200

    [build] Update POTFILES.in

M	po/POTFILES.in

commit 24c38dd23c9d22a0bc281b02d2925c0a9ee165e1
Author: Caolan McNamara <caolanm@redhat.com>
Date:   Wed Jul 15 00:47:01 2009 +0100

    [gsm] Return RESTART_IF_RUNNING if restart is undefined
    
    This is a saner behavior considering that we're now honouring the
    RESTART_NEVER hint a not saving clients with such restart hint.

M	gnome-session/gsm-xsmp-client.c

commit a26ad805370ff9b84e4c3c954985bd10264fa97a
Author: Caolan McNamara <caolanm@redhat.com>
Date:   Wed Jul 15 00:46:33 2009 +0100

    [gsm] Honour the SmRestartNever SmRestartStyleHint
    
    http://bugzilla.gnome.org/show_bug.cgi?id=580411

M	gnome-session/gsm-xsmp-client.c

commit 81d38cee8f0b624b0ad665f9812179923b2826f0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jul 14 21:36:58 2009 +0100

    [gsm] avoid pointless warnings
    
    http://bugzilla.gnome.org/show_bug.cgi?id=588247

M	gnome-session/gs-idle-monitor.c

commit 071f8e0de56613a4901cd50b89a542d4329c4f1d
Author: Mark Krapivner <mark125@gmail.com>
Date:   Sat Jul 4 19:13:47 2009 +0300

    Updated Hebrew translation

M	po/he.po

commit a2a64c847464413394206a421407aec2b34b1171
Author: Ivar Smolin <okul@linux.ee>
Date:   Thu Jul 2 05:25:57 2009 +0300

    Updating Estonian translation

M	po/et.po

commit cd0174971ab40569d8e2ef7e2987f7db5ceb7a7d
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   Wed Jul 1 23:13:07 2009 +0300

    Updated Ukrainian translation

M	po/uk.po

commit 07bb95dae388b8f8706551a3287ace391c8b1446
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 1 14:43:29 2009 +0200

    [build] Fix distclean

M	doc/dbus/Makefile.am

commit 88417d33170b0d64f902847b30f0990dbc0d7f6a
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Tue Jun 30 20:38:01 2009 +0200

    Updated Spanish translation

M	po/es.po

commit 0c05b13b39e4ae67f24f813bcefa421aa93d33fd
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 30 00:31:45 2009 +0200

    [gsm] Also emit GsmConsoleKit signals when CK is not available

M	gnome-session/gsm-consolekit.c

commit 3fb4606db4ca80375a7114bb01672da06c1c6cce
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 30 00:31:17 2009 +0200

    [gsm] Make Restart and Stop code paths more similar

M	gnome-session/gsm-consolekit.c

commit d7d117a764619eddfa1243cdb78fe079b12f2592
Author: Bill Nottingham <notting@redhat.com>
Date:   Tue Jun 30 00:21:01 2009 +0200

    [gsm] Make gnome-session exit properly on reboot/shutdown
    
    GsmConsoleKit wasn't correctly emitting signals on success, and
    therefore the manager couldn't exit properly.
    
    http://bugzilla.gnome.org/show_bug.cgi?id=581043

M	gnome-session/gsm-consolekit.c

commit 52c9e79663be6a99e75a4ac8bb95c0a4e46aa4ed
Author: Daniel Macks <dmacks@netspace.org>
Date:   Tue Jun 30 00:05:13 2009 +0200

    [build] Add missing includes
    
    This is needed on some platforms.
    
    http://bugzilla.gnome.org/show_bug.cgi?id=585672

M	gnome-session/gs-idle-monitor.c

commit 20d7de29b6ca2d319503014feab099a492171794
Author: Jon Nettleton <jon.nettleton@gmail.com>
Date:   Mon Jun 29 23:51:02 2009 +0200

    [gnome-wm] Add mutter support

M	data/gnome-wm

commit 4b169b5cf3513cafbb874064011a3cd31261fe29
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 29 23:46:55 2009 +0200

    [egg] Update smclient code from libegg

M	egg/eggdesktopfile.c

commit bab0c77807041c52131bf7d70103ba3893fea9a2
Author: Alexis Ballier <aballier@gentoo.org>
Date:   Fri Jun 26 21:42:41 2009 +0200

    [build] Fix build on systems without execinfo
    
    See if execinfo.h is available, and if we need to link to an extra
    library to use it.
    
    For instance, FreeBSD does not have execinfo.h by default but a
    libexecinfo library has been created.
    
    http://bugzilla.gnome.org/show_bug.cgi?id=587088

M	configure.in
M	gnome-session/Makefile.am
M	gnome-session/gdm-signal-handler.c

commit 6532e037e0f0a6d4db3d846fbdbd9da27f941d4c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 29 23:01:32 2009 +0200

    [build] Correctly use CFLAGS and LIBS for SM/ICE build flags
    
    Thanks to Daniel Macks <dmacks@netspace.org> for noticing.
    
    http://bugzilla.gnome.org/show_bug.cgi?id=585667

M	egg/Makefile.am

commit fb300d7c90c5de17ca6249d2c806e86299a48b3f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 29 22:58:07 2009 +0200

    [egg] Update smclient code from libegg

M	egg/eggdesktopfile.c
M	egg/eggdesktopfile.h
M	egg/eggsmclient-xsmp.c
M	egg/eggsmclient.c

commit f0be9f71bca86c111d31794bdb3ef3ba792838db
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jun 24 23:44:41 2009 +0200

    [gsm] Use defines for GKeyFile keys we use
    
    This will help us avoid typos, and they're now easier to find.

M	gnome-session/gsm-autostart-app.c
M	gnome-session/gsm-autostart-app.h
M	gnome-session/gsm-session-save.c
M	gnome-session/gsm-xsmp-client.c

commit 9b405c1516d41839383ae19cbef288eb4c22e3a8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jun 24 23:41:32 2009 +0200

    [gsm] Load default apps after saved and autostart apps
    
    Since we let the required components be overloaded by saved apps and
    autostart apps (mainly to respect Provides), it just makes sense to do
    the same for default apps.

M	gnome-session/main.c

commit 2e89b36f7a1fd83735a31505f917b0b3737914e9
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sat Jun 27 15:01:55 2009 +0200

    Updated Spanish translation

M	po/es.po

commit 085ed86f44976aa6af98d28a13d794d60d526493
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Thu Jun 25 14:18:29 2009 +0300

    Updating Estonian translation

M	po/et.po

commit 4c5ae995285ae866db4ad17dfc7b1cae0783db5b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jun 24 01:19:00 2009 +0200

    [capplet] Plug leaks

M	capplet/gsp-app.c

commit 08b1fa271219aebf72f321abb3196b320690d9ed
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jun 24 01:18:39 2009 +0200

    [capplet] Also compare Icon key when comparing user/system files

M	capplet/gsp-app.c

commit c34f21bb728900637b0d0236192e700a48e772ef
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jun 24 01:11:52 2009 +0200

    [capplet] Make the icon and text sensitive/insensitive
    
    This obviously tracks the enabled/disabled state.

M	capplet/gsm-properties-dialog.c

commit 29205aec38469c54a099552f82b3932a15b3d039
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jun 24 00:48:23 2009 +0200

    [capplet] Make the treeview a drag source
    
    Note that we explicitly forbid dropping drags from the treeview itself
    since it doesn't make sense.
    
    This required a new GspApp API (gsp_app_get_path()).
    Also on_drag_data() was renamed to on_drag_data_received().

M	capplet/gsm-properties-dialog.c
M	capplet/gsp-app.c
M	capplet/gsp-app.h

commit a8014dc330b8b6e8b7e1028534a30bca588f3a25
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 23 23:24:15 2009 +0200

    [capplet] Fix bug where editing an app and quickly exiting didn't work
    
    Because of interesting references between all objects, we need to
    correctly unref objects in dispose. Else, saving GspApp objects didn't
    always work when exiting (user files weren't removed if identical to
    system ones) because the GspAppManager object was already finalized.

M	capplet/gsm-properties-dialog.c
M	capplet/gsp-app-manager.c
M	capplet/gsp-app.c

commit 4829dafee3f3a76564b4ac4f4d23d81ff43e05a2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 23 18:05:37 2009 +0200

    [capplet] Make GspApp use GIcon and get rid of the pixbuf/icon-name
    
    Instead of having GspApp provide an icon name or a pixbuf, and handling
    this different cases in the UI, make GspApp only provide a GIcon which
    hides this detail.

M	capplet/gsm-properties-dialog.c
M	capplet/gsp-app.c
M	capplet/gsp-app.h

commit 377b5885d0cfb5920e72f8e7d88aed62c995c54b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 23 17:53:56 2009 +0200

    [capplet] Fix crash when the user file becomes identical to system one
    
    When we edit an autostart desktop file and it becomes identical to the
    system one, we simply remove the user desktop file. This case was not
    correctly handled and triggered an assertion.

M	capplet/gsp-app-manager.c

commit 760db1b13b6f3b917a4544347192675ae5c83639
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 23 14:55:47 2009 +0200

    [capplet] Stop drag_data_received signal after handling the drop
    
    This is needed to avoid a warning from GTK+, since the signal handle
    actually doesn't return a boolean to tell GTK+ to continue/stop.

M	capplet/gsm-properties-dialog.c

commit 6d88b68e6e242795d6073eddcc520483599b38ad
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 23 14:50:51 2009 +0200

    [capplet] Use gtk_selection_data_get_uris() to simplify code

M	capplet/gsm-properties-dialog.c

commit ba292b37844994d0a71de2e779837221d6f9f238
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 23 14:43:07 2009 +0200

    [capplet] Use gtk_drag_dest_add_uri_targets() to simplify code

M	capplet/gsm-properties-dialog.c

commit 863e6a05dbc1be0d4145acc44a81daba04a782b6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 23 14:27:48 2009 +0200

    [capplet] Make g-s-p return 0 when using --version
    
    Returning 1 doesn't make sense, since there's no error.

M	capplet/main.c

commit 5285037eb9a022581e4921b13c7d1ed032afb045
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 23 14:26:47 2009 +0200

    [capplet,gsm] Use the right translation domain for GtkBuilder

M	capplet/gsm-app-dialog.c
M	capplet/gsm-properties-dialog.c
M	gnome-session/gsm-inhibit-dialog.c

commit 4c87949443e9c9bc525484ef6a5713c4fd1410e4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 23 14:17:39 2009 +0200

    [capplet] Make GspApp independent of GTK+
    
    This mainly involved putting some code to edit the app back to
    gsm-properties-dialog.c.

M	capplet/gsm-properties-dialog.c
M	capplet/gsp-app.c
M	capplet/gsp-app.h

commit 64b2dfa36a1b5865906106f0059a185768b859af
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 23 14:07:09 2009 +0200

    [capplet] Make it clear that some GstApp API is private
    
    Some of the API only exists because it's needed for GstAppManager, and
    shouldn't be used by any other part of the capplet.

M	capplet/gsp-app.h

commit 5c6c3e8f8ee6599bf124cf976ce4d339cfeabe71
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 22 19:55:02 2009 +0200

    [gsm] Do not print NULL on error
    
    Instead of printing NULL when the Exec key cannot be parsed, print the
    URI of the desktop file that has an issue.

M	gnome-session/gsm-autostart-app.c

commit 20e6c0d459351926261b232cfbaf4d704bf997da
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 22 01:16:02 2009 +0200

    [capplet] Add help button to the capplet

M	capplet/gsm-properties-dialog.c
M	capplet/main.c

commit 3c6baf8ac65200db0d40f547b27b0301bd114962
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 22 01:14:09 2009 +0200

    [capplet,gsm] Port to GtkBuilder and remove glade dependency
    
    http://bugzilla.gnome.org/show_bug.cgi?id=571467

M	capplet/Makefile.am
M	capplet/gsm-app-dialog.c
M	capplet/gsm-properties-dialog.c
M	configure.in
M	data/Makefile.am
D	data/gsm-inhibit-dialog.glade
A	data/gsm-inhibit-dialog.ui
D	data/session-properties.glade
A	data/session-properties.ui
M	gnome-session/Makefile.am
M	gnome-session/gsm-inhibit-dialog.c
M	po/POTFILES.in

commit fe9f11b9bfefb3f12b048118a003b1c5ca6a9d38
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 21 17:09:21 2009 +0200

    [capplet] Big rework of the code to clean it up, fix bugs, etc.
    
    The core of this rework is to separate in a clean way the code that
    tracks the autostart files from the UI itself.
    
    Now it'd be possible to make an autostart file inherit the data from
    the autostart files with the same basename but in other directories.
    
    This work also fixes a few bugs:
     + monitor autostart files
       http://bugzilla.gnome.org/show_bug.cgi?id=437204
     + make name field optional and autofill it instead
       http://bugzilla.gnome.org/show_bug.cgi?id=502393

M	capplet/Makefile.am
M	capplet/gsm-app-dialog.c
M	capplet/gsm-app-dialog.h
M	capplet/gsm-properties-dialog.c
M	capplet/gsm-properties-dialog.h
A	capplet/gsp-app-manager.c
A	capplet/gsp-app-manager.h
A	capplet/gsp-app.c
A	capplet/gsp-app.h
A	capplet/gsp-keyfile.c
A	capplet/gsp-keyfile.h

commit 60d5b4828baec090a4e83bb910c107e38d4230b6
Author: Mark Krapivner <mark125@gmail.com>
Date:   Fri Jun 12 11:41:14 2009 +0300

    Updated Hebrew translation

M	po/he.po

commit b5a4e9cba002172fe017b78abfd9214b02657074
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue May 26 10:53:04 2009 -0400

    Generate docs for the presence API
    
    This was omitted by an oversight.

M	doc/dbus/Makefile.am

commit 48aa21662245926b7066979c5104f02c565cd7f3
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Wed May 13 00:23:43 2009 +0200

    "Updated Danish translation"

M	po/da.po

commit fb334aa4b9d4ddcbcf1d3b7880e55035b570634d
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Mon May 11 14:10:33 2009 +0530

    Updated Telugu translation

M	po/te.po

commit 7268ccc98c497118b97db7201552e68df82224ee
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Mon May 11 14:08:58 2009 +0530

    Updated Telugu translation

M	po/te.po

commit 3d5f0b48a2871c9f5450f02667dee8ed4307823d
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Tue May 5 08:08:45 2009 +0200

    Updated Spanish translation

M	po/es.po

commit 937a20dbcfa3c80c5551147f5ed726a6b34b944d
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Tue May 5 07:46:36 2009 +0200

    Updated Spanish translation

M	po/es.po

commit 8b9df401a100a24e03360515ffbe81e62cbbee53
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Mon May 4 23:22:53 2009 +0200

    [master] Updated German translation.

M	po/de.po

commit f5e6fd5f6703e44b628cc471d3bc5961a71b3e27
Author: Ivar Smolin <okul@linux.ee>
Date:   Sun May 3 11:59:10 2009 +0300

    Updating Estonian translation

M	po/et.po

commit d98b4054ebbc0161f37b313324661bde444c39e7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat May 2 02:23:59 2009 +0200

    Update commit messages guidelines

M	ChangeLog

commit 23c94651ce9ae5297db2cdb9ac084b57652d08b8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 27 00:32:07 2009 +0200

    Update MAINTAINERCLEANFILES
    
    Add configure, remove intltool-*.in (shouldn't be here in the first
    place, see lp#367259) and .gitignore (handled by git.mk).

M	Makefile.am

commit 099f9d7d333d5b6a9a83f64315f0997e07bacf3b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 27 00:31:26 2009 +0200

    Update git.mk from pango

M	git.mk

commit bfeb69db2ee8bd08a5184a35fa17b78072e65975
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Apr 24 04:41:57 2009 +0200

    Use git.mk from pango to autogenerate .gitignore files

M	Makefile.am
M	capplet/Makefile.am
M	compat/Makefile.am
M	data/Makefile.am
M	data/icons/16x16/Makefile.am
M	data/icons/22x22/Makefile.am
M	data/icons/24x24/Makefile.am
M	data/icons/32x32/Makefile.am
M	data/icons/48x48/Makefile.am
M	data/icons/Makefile.am
M	data/icons/scalable/Makefile.am
M	doc/Makefile.am
M	doc/dbus/Makefile.am
M	doc/man/Makefile.am
M	egg/Makefile.am
A	git.mk
M	gnome-session/Makefile.am
M	splash/Makefile.am
M	tools/Makefile.am

commit 64c0b0d52f7740a3a23e1849e6cb57422359a7cb
Author: gheet <ghee.teo@sun.com>
Date:   Thu Apr 30 17:39:48 2009 +0100

    Modified a g_debug for on_client_end_session_response() not to crash when a null pointer
    is encountered on Solaris. bugzilla #580824 comment#7.

M	gnome-session/gsm-manager.c

commit 25604393fccdc2359bbd3c82fb088bbdc296fb89
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 27 01:10:41 2009 +0200

    Remove .cvsignore files

D	doc/man/.cvsignore
D	gnome-session/.cvsignore
D	po/.cvsignore

commit bf17890d6d5714405e68c7e5b01656f7c9289ad6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Apr 26 12:25:38 2009 +0200

    Fix doap file to have mail address as URL (mailto:)

M	gnome-session.doap

commit e1912704cda45033484d63898ca1c4be25ff3d43
Author: Ivar Smolin <okul@linux.ee>
Date:   Sat Apr 25 18:18:29 2009 +0300

    Updating Estonian translation

M	po/et.po

commit 357034cee626d345dc3f931847aa3414cec2bb8a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Apr 24 04:02:48 2009 +0200

    Use shave to improve build log readability
    
    See http://git.lespiau.name/cgit/shave/tree/README for more details.

M	compat/Makefile.am
M	configure.in
M	doc/dbus/Makefile.am
M	gnome-session/Makefile.am
A	m4/shave.m4
A	shave-libtool.in
A	shave.in
M	splash/Makefile.am

commit b754b094b85b85f437fc55d8a51d694abb5041a2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Apr 24 03:24:50 2009 +0200

    Make autogen.sh more modern.

M	autogen.sh

commit 0ca3f5f4dec579f5943368fda55aa1597932b394
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Apr 23 21:45:41 2009 -0400

    Reduce GConf roundtrips
    
    Don't preload a whole directory tree when watching a single key
    as an autostart condition. (#578533)

M	gnome-session/gsm-autostart-app.c

commit 06bb9270b1797485267bad78042ef39ec91c8282
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Apr 23 21:42:59 2009 -0400

    Reduce GConf roundtrips
    
    Preload the /desktop/gnome/session/ directory, since we access most
    keys during startup.  (#578537)

M	gnome-session/gsm-manager.c

commit 8a339a5ea3f8791dac95343f0c91c72f6bdb4dc8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Apr 22 17:28:38 2009 +0200

    Add doap file

A	gnome-session.doap

commit c635fd9ff78e2e07973a3c855d067e326d648503
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Apr 22 17:27:30 2009 +0200

    Rename ChangeLog files to ChangeLog.pre-git

M	ChangeLog
C100	ChangeLog	ChangeLog.pre-git
R100	po/ChangeLog	po/ChangeLog.pre-git

commit d75edd1fedbfeb174352c30316ceff9338b4ee82
Author: Miquel Esplà <miquelespla@gmail.com>
Date:   Tue Apr 21 15:10:41 2009 +0200

    Added Valencian-Catalan translation

M	po/LINGUAS
A	po/ca@valencia.po

commit ddf79a3e99ddecb8298a7d7ec0d664c8d99086ab
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Apr 18 22:19:09 2009 +0200

    Updated Arabic translation

M	po/ar.po

commit 41f6df6ffd8ea0f1ea4b83b524ea0c6e41767ec3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 14 16:33:36 2009 +0000

    post-release bump to 2.26.2
    
    2009-04-14  Vincent Untz  <vuntz@gnome.org>
    
    	* configure.in: post-release bump to 2.26.2
    
    svn path=/trunk/; revision=5388

M	ChangeLog
M	configure.in
M	po/ChangeLog
